lomiri (0.5.0) unstable; urgency=medium

  * Upstream-provided Debian package for lomiri. See upstream ChangeLog
    for recent changes.

 -- UBports developers <developers@ubports.com>  Mon, 05 May 2025 10:08:52 +0200

lomiri (0.4.1) unstable; urgency=medium

  * Upstream-provided Debian package for lomiri. See upstream ChangeLog
    for recent changes.

 -- UBports developers <developers@ubports.com>  Thu, 17 Apr 2025 21:53:41 +0200

lomiri (0.4.0) unstable; urgency=medium

  * Upstream-provided Debian package for lomiri. See upstream ChangeLog
    for recent changes.

 -- UBports developers <developers@ubports.com>  Fri, 28 Mar 2025 08:31:06 +0100

lomiri (0.3.0) unstable; urgency=medium

  * Upstream-provided Debian package for lomiri. See upstream ChangeLog
    for recent changes.

 -- UBports developers <developers@ubports.com>  Sat, 20 Jul 2024 17:38:03 +0200

lomiri (0.2.1) unstable; urgency=medium

  * Upstream-provided Debian package for lomiri. See upstream ChangeLog
    for recent changes.

 -- UBports developers <developers@ubports.com>  Sat, 27 Jan 2024 07:54:26 +0100

lomiri (0.2.0) unstable; urgency=medium

  * Upstream-provided Debian package for lomiri. See upstream ChangeLog
    for recent changes.

 -- UBports developers <developers@ubports.com>  Sat, 27 Jan 2024 07:43:34 +0100

lomiri (0.1.4) unstable; urgency=medium

  * Upstream-provided Debian package for lomiri. See upstream ChangeLog
    for recent changes.

 -- UBports developers <developers@ubports.com>  Sun, 15 Oct 2023 01:15:56 +0200

lomiri (0.1.3) unstable; urgency=medium

  * Upstream-provided Debian package for lomiri. See upstream ChangeLog
    for recent changes.

 -- UBports developers <developers@ubports.com>  Fri, 28 Jul 2023 02:31:44 +0200

lomiri (0.1.2) unstable; urgency=medium

  * Upstream-provided Debian package for lomiri. See upstream ChangeLog
    for recent changes.

 -- UBports developers <developers@ubports.com>  Sun, 26 Feb 2023 18:25:40 +0100

lomiri (0.1.1) unstable; urgency=medium

  * Upstream-provided Debian package for lomiri. See upstream ChangeLog
    for recent changes.

 -- UBports developers <developers@ubports.com>  Sat, 18 Feb 2023 11:50:01 +0100

lomiri (0.1) unstable; urgency=medium

  [ Marius Gripsgard ]
  * Rename to lomiri

  [ UBports developers ]
  * Upstream-provided Debian package for lomiri. See upstream ChangeLog
    for recent changes.

 -- UBports developers <developers@ubports.com>  Mon, 06 Feb 2023 21:26:23 +0100

unity8 (8.20+ubports) xenial; urgency=medium

  * Replace dependency on ubuntu-wallpapers with ubports-wallpapers

 -- Dalton Durst <dalton@ubports.com>  Fri, 5 Oct 2018 13:28:20 -0500

unity8 (8.17+ubports3) xenial; urgency=medium

  * Imported to UBports

 -- UBports auto importer <infra@ubports.com>  Mon, 31 Jul 2017 03:12:43 +0200

unity8 (8.15+17.04.20170404.7-0ubuntu2) zesty; urgency=medium

  [ Michael Zanetti  ]
  * Make the default store uri point to gnome software center

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 06 Apr 2017 10:49:29 +0300

unity8 (8.15+17.04.20170404.7-0ubuntu1) zesty; urgency=medium

  [ Albert Astals Cid ]
  * Tweak app drawer a bit (LP: #1667570)

  [ Josh Arenson ]
  * Make some small changes to the greeter's session list
  * Handle a user in the greeter having never selected a session better
    (LP: #1673199)

  [ Lukáš Tinkl ]
  * Do not occlude windows with an ongoing unmaximize transition (LP:
    #1666363)
  * Show and implement close buttons for child windows (LP: #1668053)
  * Sanitize the logic for pointer vs. touch menus, fixes hiding the
    window title in staged mode, when hovering the panel with mouse and
    no menus available.

  [ Michael Zanetti ]
  * Don't hide the launcher on super press if it's locked visible (LP:
    #1675373)
  * fix searchfield selection in drawer (LP: #1677259)
  * make sure the stage has focus when going to spread (LP: #1672053,
    #1672673, #1676995)
  * don't autostart the dash app, but show its .desktop file instead

 -- Michał Sawicz <michal.sawicz@canonical.com>  Tue, 04 Apr 2017 22:56:06 +0000

unity8 (8.15+17.04.20170328.3-0ubuntu1) zesty; urgency=medium

  [ Albert Astals Cid ]
  * mock: Remove empty property and move invokable
  * Tune quicklist item selection
  * Fix unminimizing going to the wrong position the second time (LP:
    #1671458)
  * Remove unclickable gaps on the menubar (LP: #1672722)
  * indicators client is a tool
  * Make sure we destroy the popups when the item goes away (LP:
    #1670338)
  * UnityApplicationMocks: Initialize m_state and m_requestedState
  * Don't use appInfo after checking it if is null
  * Initialize m_privateMode
  * Hook up aboutToShow for overflow menus (LP: #1676016)

  [ Daniel d'Andrada ]
  * Give active focus to child surface qml items (LP: #1671072)
  * Satellite child windows (LP: #1673415)
  * Tell qtmir/miral about the available desktop area

  [ Florian Boucault ]
  * WindowStateStorage: use a private QThreadPool to ensure that
    WindowStateStorage::saveValue always has a thread available to
    execute the query in. (LP: #1675424)

  [ Lukáš Tinkl ]
  * Protect against loading invalid window geometry (LP: #1674262)
  * Remove usage of the deprecated (and non-functional) system-image-
    dbus service.
  * Implement Ctrl+Alt+T to launch the terminal app (LP: #1673500)
  * Only take normal and dialog surface types into account for launcher
    items (LP: #1669047)
  * Fix the shutdown dialog after recent refactoring in
    DBusUnitySessionService (LP: #1676426)

  [ Michael Zanetti ]
  * drop the grey background behind icons in the drawer (LP: #1675688)

  [ Pete Woods ]
  * Fix Unity/Platform::isPC, and add tests (LP: #1670657)

 -- Michał Sawicz <michal.sawicz@canonical.com>  Tue, 28 Mar 2017 21:50:20 +0000

unity8 (8.15+17.04.20170321-0ubuntu1) zesty; urgency=medium

  [ Albert Astals Cid ]
  * Signal aboutToShow (LP: #1664578)
  * Support Panel top level items to be disabled (LP: #1670694)
  * Improve Launcher ←→ touch menu interaction (LP: #1667620, #1671069)
  * Fix real world submenus (e.g. kate) not getting their first item
    selected on open (LP: #1666859)

  [ Daniel d'Andrada ]
  * Really disable the window decoration when in staged mode (LP:
    #1670361)
  * Don't let clients resize their surfaces while in staged
    (phone/tablet) mode (LP: #1670390)
  * TopLevelWindowModel: don't put hidden windows in the model (LP:
    #1665286)

  [ Lukáš Tinkl ]
  * Reset always-show-osk gsetting on startup to default value (false
    atm)
  * Fix the restored-to position with Miral due to the state changes
    being async (LP: #1669819)
  * Add a cursor name fallback mapping "grabbing" -> "closedhand" for
    Breeze
  * Fix unsnapping a maximized window from the panel (LP: #1671721)
  * Disable altDrag feature outside windowed mode

  [ Michael Terry ]
  * Don't lock the screen for guest users or users in the nopasswdlogin
    group. (LP: #1644237)
  * Support GNOME-style logout DBus API (making the Logout, Reboot, and
    Shutdown launcher commands work) (LP: #1673229)

  [ Michael Zanetti ]
  * Add support for closing apps from the spread with "Q" (LP: #1670327)
  * hide "private" launcher quicklist entries when the greeter is locked
    (LP: #1667649)
  * add surface titles to launcher's quicklist (LP: #1661668)
  * properly reset the drawer state when cancelling a horizontal drag
    (LP: #1669536)
  * fix the focus moving correctly between launcher and drawer (LP:
    #1669880)
  * unfocus the drawer's textfield when it is moved (LP: #1669839)

  [ Pete Woods ]
  * Fix up indicators-client after refactoring (LP: #1672797)

 -- Michał Sawicz <michal.sawicz@canonical.com>  Tue, 21 Mar 2017 10:58:13 +0000

unity8 (8.15+17.04.20170308-0ubuntu1) zesty; urgency=medium

  [ Albert Astals Cid ]
  * Let's follow the keyboard order
  * Enable the license check (LP: #1590044)
  * Show a barebones error message if loading the QML doesn't work
  * Make sure cursor is back to normal when closing the window (LP:
    #1666158)
  * Fix small warning when sensitive is undefined
  * Remove unused member variable
  * Initialize m_msecsSinceReference
  * Add warning if registerService fails
  * Move menus Component {} out of the repeater
  * Add tool to browse menus of a running app

  [ Daniel d'Andrada ]
  * Drag child windows with Alt+LeftMouseButton (LP: #1664947)

  [ Gerry Boland ]
  * TopLevelWindowModel: connect to the OSK surface to know when it goes
    away so we can clean up after it. (LP: #1670681)

  [ Josh Arenson ]
  * Initialize sessionMode to single when mock is reset (LP: #1667463)

  [ Lukáš Tinkl ]
  * Make the menu string "Back" translatable
  * Let the OSK be driven by a switch in indicator-keyboard (LP:
    #1521518)
  * Disable the tutorial when there's no touchscreen (LP: #1661557)
  * Shell chrome fixes (LP: #1658117, #1665723, #1665724, #1669010)
  * Cancel the drag as soon as we're entering the spread (LP: #1668642)
  * Fix being unable to use window control buttons or menus with touch
    (LP: #1667604, #1668387)

  [ Michael Terry ]
  * Set QT_IM_MODULE in the greeter so that the OSK can come up. (LP:
    #1670383)
  * Simplify our startup handling of Mir environment variables and set
    the right socket path in snappy.

  [ Michael Zanetti ]
  * Cancel the home key activation if something else is pressed along
    with Meta (LP: #1670678)
  * close the drawer when something is launched from the launcher (LP:
    #1660367)
  * use a svg instead of a png for the Launcher's BFB (LP: #1668057)
  * change the default setting for the launcher autohiding (LP:
    #1670655)

  [ Nick Dedekind ]
  * Split up Shell::test_spreadDisabled to ensure initial state for each
    test.

 -- Michał Sawicz <michal.sawicz@canonical.com>  Wed, 08 Mar 2017 09:56:46 +0000

unity8 (8.15+17.04.20170221-0ubuntu1) zesty; urgency=medium

  * Handle ubuntu-app-launch API/ABI break

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 21 Feb 2017 13:23:23 +0000

unity8 (8.15+17.04.20170216.1-0ubuntu1) zesty; urgency=medium

  [ Albert Astals Cid ]
  * Make menus items close the menu when clicking on them (LP: #1657082,
    #1657399)
  * Clicking on an open menu closes it + test
  * Make the menus and submenus do not go outside the screen when
    popping out
  * Auto open submenus on hover (LP: #1657085)
  * Make the double click on a menu not be maximize the window below
    (LP: #1657079)
  * Make the MenuBar InverseMouseArea eat hover events when there's a
    popup open (LP: #1657763)
  * Make double click on the window decoration maximize (LP: #1657758)
  * Eat hover events when the launcher quicklist is open (LP: #1640776)
  * Remove TODO now that we require Qt > 5.5
  * Serialize two make targets that want to cp to the same target file
    (LP: #1660576)
  * Remove variable that is always false (LP: #1585910)

  [ Daniel d'Andrada ]
  * Consolidate launcher API checks

  [ Lukáš Tinkl ]
  * Fixes for activating minimized windows and restoring fullscreen ones
    (LP: #1656808, #1658937, #1658938)

  [ Michael Zanetti ]
  * move right edge push area up some levels so it can be used on top of
    the indicators
  * fix minimizing/restoring transitions (LP: #1658936)
  * fix some glitches with spread positioning
  * fix jumpy animation when closing an item from the spread
  * Show the wallpaper while the focused app is moving in staged mode
    (LP: #1648251)
  * Update the tutorial to mention the app drawer instead of the dash on
    long left edge swipe (LP: #1658932)
  * prevent hiding the launcher when the mouse hover event is eaten by
    the EdgePushArea (LP: #1657045)
  * properly invalidate the whole model (LP: #1658190)
  * stabilize OrientedShell test (LP: #1658994)

  [ Nick Dedekind ]
  * Added overflow support to application menus.
  * Updated menu colors

 -- Michał Sawicz <michal.sawicz@canonical.com>  Thu, 16 Feb 2017 13:49:18 +0000

unity8 (8.15+17.04.20170206-0ubuntu1) zesty; urgency=medium

  [ Daniel d'Andrada ]
  * Initial support for child windows (menus, dialogs, tooltips) (LP:
    #1543467, #1591384, #1656727)

 -- Albert Astals Cid <albert.astals@canonical.com>  Mon, 06 Feb 2017 09:12:23 +0000

unity8 (8.15+17.04.20170131.1-0ubuntu1) zesty; urgency=medium

  [ Rodney Dawes ]
  * Remove dependencies on clickscope.

 -- Albert Astals Cid <albert.astals@canonical.com>  Tue, 31 Jan 2017 14:40:33 +0000

unity8 (8.15+17.04.20170124-0ubuntu1) zesty; urgency=medium

  [ Albert Astals Cid ]
  * Limit tab-focus travelling on dialogs with a fence
  * Restore focus to where it was when our ShellDialogs get unloaded
  * Update current session after changing the user
  * Add keyboard navigation for Indicators
  * a window -> the current window
  * There's no spreadDelegate_ anymore

  [ Daniel d'Andrada ]
  * Simplify DecoratedWindow
  * Remove unnecessary warning message

  [ Josh Arenson ]
  * Add a test for the session chooser icon in the greeter's sessions
    list

  [ Lukáš Tinkl ]
  * Fix keymap not being applied on the shell itself (LP: #1626435)
  * Shell dialog improvements (kbd focus, mouse eater)
  * Start searching directly as you type, w/o having to first
    focus/click the search field.
  * Add a test for the real implementation of WindowStateStorage
  * Use a four finger gesture to open the drawer, much like in u7

  [ Michael Terry ]
  * Simplify the lightdm mock to make future greeter improvements easier
    to test.
  * Add support for guest sessions in unity8-greeter.
  * Use a model for PAM prompts, supporting more possible interactions.
  * Fix grouping of autopkg output and allow optionally passing
    arguments to installed test scripts.
  * Add support for LightDM hints for manual logins and hiding normal
    users.

  [ Michael Zanetti ]
  * hint the launcher to indicate a successful size change to the user
    (LP: #1646457)
  * Improvements for the appdrawer (LP: #1648173)
  * Adjust home key to still focus the dash instead of messing with the
    drawer
  * allow 4 finger simulation with mousetouchadaptor

  [ Nick Dedekind ]
  * Added Alt+F10 shortcut to open app menus. (LP: #1656896)
  * Fixed menu layout width calculations. (LP: #1657050)
  * Skip Panel::test_drag_indicator_item_down_shows_menu

 -- Michał Sawicz <michal.sawicz@canonical.com>  Tue, 24 Jan 2017 07:46:58 +0000

unity8 (8.15+17.04.20170110.4-0ubuntu1) zesty; urgency=medium

  [ Albert Astals Cid ]
  * Give focus to one of the buttons of the dialog
  * tst_WindowResizeArea: Use default values for mouseFlick speed and
    iterations (LP: #1651580)
  * Require Qt 5.6 & misc fixes

  [ Daniel van Vugt ]
  * Deprecate usage of Mir's input resampling, instead opting for: (LP:
    #1497105, #1591328)

  [ Josh Arenson ]
  * Allow the scopes list to automatically scroll when a scope is being
    dragged past the bounds of the screen. (LP: #1575319)

  [ Lukáš Tinkl ]
  * Fix touch window controls being unreachable when the overlay is
    being displayed (LP: #1648167)
  * Fixup paths for window state storage in snappy environment
  * Add Unity.Platform mock for our tests (LP: #1655336)

  [ Michael Zanetti ]
  * PreviewRatingInput: Use displayText instead of text to
    enable/disable the Send button (LP: #1595910)
  * Add a D-Bus interface to control some debug facilities on the fly
  * some launcher workarounds for the snapping

  [ Michał Sawicz ]
  * Nuke leftover Platform in IndicatorsManager

  [ Nick Dedekind ]
  * Added registry for application menus

  [ Michael Terry, Nick Dedekind ]
  * Run the qmluitests.sh autopkg test against the installed package.

  [ Michał Sawicz, Nick Dedekind ]
  * Application menus

  [ Rodney Dawes ]
  * Remove the payments widget and dependency on libpay as no longer
    needed.

 -- Michał Sawicz <michal.sawicz@canonical.com>  Tue, 10 Jan 2017 14:48:42 +0000

unity8 (8.15+17.04.20161215-0ubuntu2~1) zesty; urgency=medium

  * No change rebuild

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 04 Jan 2017 10:54:32 +0200

unity8 (8.15+17.04.20161215-0ubuntu1) zesty; urgency=medium

  * Let the model deal with some window management decisions (LP:
    #1346633)

 -- Daniel d'Andrada <daniel.dandrada@canonical.com>  Thu, 15 Dec 2016 16:17:29 +0000

unity8 (8.15+17.04.20161207.1-0ubuntu1) zesty; urgency=medium

  [ Albert Astals Cid ]
  * Add the Wsuggest-override flag to gcc
  * Add support for compiler sanitizers via ECM
  * Use timeStep as delay time (LP: #1642919)
  * Bring back fix for 1517830 (LP: #1517830)
  * Fix compile warnings in mocks
  * Do not hide panel when launching an application if the mouse is on
    the panel (LP: #1591311)

  [ Daniel d'Andrada ]
  * Fix "make tryApplicationWindow"
  * Take save/restore functions out of WindowResizeArea

  [ Josh Arenson ]
  * Enable the greeter to remember which session the user last logged
    into (LP: #1631365)

  [ Lukáš Tinkl ]
  * Fix the Super key not invoking the dash scope home (LP: #1607427)

  [ Michael Zanetti ]
  * Add the ApplicationDrawer
  * tune right edge push (LP: #1646094)
  * improve close button visiblity when hovering with the mouse
  * Update virtual touchpad visuals and add a tutorial. (LP: #1585220)

  [ Pete Woods ]
  * MenuItemFactory: Add subtitle support to SwitchItem widget

 -- Michał Sawicz <michal.sawicz@canonical.com>  Wed, 07 Dec 2016 13:49:24 +0000

unity8 (8.15+17.04.20161129-0ubuntu1) zesty; urgency=medium

  [ Albert Astals Cid ]
  * Fix PreviewProgress implicitHeight (LP: #1641943)
  * Adapt to dummy notification being gone
  * Fix autopilot test_lock_screen tests
  * Autopilot: Add more applications to the list for wider screens
  * Fix autopilot DashHelperTestCase.test_search
  * Also install the Screens mock
  * Give default value to gu-px size

  [ Andrea Azzarone ]
  * Set Mir.cursorName to "grabbing" on first mouse press on a window
    decoration. Don't wait for press+motion. (LP: #1618078)
  * Do not show a divider between each quicklist entry but just between
    each section, similar to how unity7 does. (LP: #1637478)

  [ Andrea Cimitan ]
  * Fix white text (LP: #1644468)
  * Make MascotLoader in CardCreator flat
  * Make the remaining UbuntuShape flat
  * added dropshadow from panel indicators to dash page header extra
    panel, so there is right shadow when the extra panel is narrow
  * Look up for expandable template dash category flag

  [ Brian Douglass ]
  * Added a setting to enable/disable the indicator dropdown menu.

  [ Daniel d'Andrada ]
  * There's no need for WindowDecoration to access the appDelegate

  [ Lukáš Tinkl ]
  * Enable brightness (laptop backlight) handling on desktop/laptop PCs
    (LP: #1595947)

  [ Michael Zanetti ]
  * disable spread interaction while locked (LP: #1641578)

  [ Andrea Azzarone, Michał Sawicz ]
  * Implement launcher tooltips.

  [ Olivier Tilloy ]
  * Remove dependency on transitional package. (LP: #1583079)

 -- Michał Sawicz <michal.sawicz@canonical.com>  Tue, 29 Nov 2016 09:43:33 +0000

unity8 (8.15+17.04.20161116.1-0ubuntu1) zesty; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * MenuItemFactory: bind calendar backend properties to calendarMenu item

    Adds support for showing the calendar at the requested date, marking days
    with events properly and toggling the visibility of the week number.

  * MenuItemFactory: use Menus.RadioMenu and Menus.ButtonMenu

  * Bump version as USC breaks with unity8 << 8.14

  [ Albert Astals Cid ]
  * [Hopefully] Fix infinite loop in some of the GSV tests (LP:
    #1599301)

  [ Marco Trevisan (Treviño) ]
  * testLauncher: use tryCompare to check launcher contentY

  [ Michael Zanetti ]
  * Stabilize OrientedShell tests

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Wed, 16 Nov 2016 10:44:59 +0000

unity8 (8.14+17.04.20161109-0ubuntu1) zesty; urgency=medium

  [ Albert Astals Cid ]
  * Make more CardTool properties readonly
  * Make the > in Dash Section Header be after text (LP: #1508905)
  * Rework Dash Preview column margins
  * Improve LVWPH <-> GenericScopeView interaction (LP: #1508905,
    #1622423)
  * Make the PreviewButtons be of the width of the button and not half
    the total width
  * Fix first column of the preview table to be 25%

  [ Andrea Cimitan ]
  * Remove background under header pagination dots, update dots assets,
    remove dash paper background, update bottom edge asset
  * Few styling changes for cards
  * various tweaks to fonts inside previews
  * More visual tweaks

  [ Brian Douglass ]
  * Add a new setting to enable/disable the launcher

  [ Lukáš Tinkl ]
  * Stabilize test_doubleTapToMaximizeWindow()
  * Enable loading the main Qt catalog which in turn allows for using
    RTL languages
  * Fix the pixelated notification icon by setting sourceSize (LP:
    #1637712)

  [ Michael Terry ]
  * More path lookup fixes for running inside of a snap. (LP: #1629009)

  [ Michael Zanetti ]
  * Added blur and darkening to wallpaper while in spread
  * Fixes in the spread after design review (LP: #1637502, #1638848)
  * More fixes to the unified stages code (LP: #1637205, #1637249,
    #1637258)
  * Delay alt tab for tiny bit in order to avoid flickering on quick alt-
    tabs

  [ Tomás Tormo ]
  * Reload Infographics userdata when the day changes (LP: #1378814)

 -- Michał Sawicz <michal.sawicz@canonical.com>  Wed, 09 Nov 2016 15:10:32 +0000

unity8 (8.14+17.04.20161027-0ubuntu1) zesty; urgency=medium

  * MenuItemFactory: activate item on calendar selection change (LP:
    #1541125)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Thu, 27 Oct 2016 12:32:25 +0000

unity8 (8.14+17.04.20161024-0ubuntu1) zesty; urgency=medium

  [ Albert Astals Cid ]
  * Make PreviewProgress be thicker again (LP: #1629382)
  * tst_PreviewZoomableImage: Wait for LazyImage transitions on init()
    (LP: #1630136)

  [ Andrea Azzarone ]
  * Remove UbuntuShapeForItem and replace its use with the more standard
    Ubuntu.Components.UbuntuShape.

  [ Lukáš Tinkl ]
  * Restore the double tap decoration to maximize feature (LP: #1627281)
  * Hide the cursor for fullscreen apps after 3 seconds of inactivity
  * Implement moving windows by Alt + left mouse button

  [ Marco Trevisan (Treviño) ]
  * MenuItemFactory: use more features from SlotsLayout based settings
    components

  [ Michael Terry ]
  * Grab launcher icon information from ubuntu-app-launch, not directly
    from desktop files.
  * Adjust root paths if we're running inside a snap. (LP: #1629009)

  [ Michael Zanetti ]
  * Merge all Stages into one single codebase. Apply new spread visuals.
    (LP: #1489517, #1603914, #1635800)

 -- Michael Zanetti <michael.zanetti@canonical.com>  Mon, 24 Oct 2016 11:37:28 +0000

unity8 (8.14+16.10.20160922-0ubuntu2) yakkety; urgency=medium

  * debian/control:
    - Drop unity-scope-mediascanner2 to a Suggests rather than a Recommends,
      to ease our transition to main.  It's already seeded directly in
      Touch, so this will only affect the Desktop variant of unity8.

 -- Michael Terry <mterry@ubuntu.com>  Mon, 03 Oct 2016 10:43:25 -0400

unity8 (8.14+16.10.20160922-0ubuntu1) yakkety; urgency=medium

  [ Albert Astals Cid ]
  * LVWPH: update clipItem height when list height changes (LP:
    #1606935)
  * Put the touchdown shape inside a loader
  * No need for the touchdown in the card for the cardtool
  * Add bottom gradient to the Show Less floating button
  * Remove artShapeSize from non cardtool cards
  * LVWPH: Fix case in which header was shown incorrectly
  * LVWPH: Fix items cut on top in the dash (or at least some instances
    of it)
  * Reduce calls to CardCreatorCache.getCardComponent while the
    component is being created (LP: #1615675)
  * Dash::test_cardIconStyle change compare into tryCompareFunction
  * Make PreviewActionsTest::test_comboButton more stable
  * Adapt onShiftedContentXChanged to work when the content changes very
    abruptly
  * Make tryGenericScopeView show the scope correctly
  * Make sure the spinner does not get too close to the title text (LP:
    #1597392)
  * Show "Pull to refresh" in white when overlaid in low luminance
    colors (LP: #1596849)
  * Make test_Shell non ultra slow again (LP: #1597366)
  * Improve findChild calls inside tryCompareFunction.

  [ Andrea Cimitan ]
  * override some Qt Components definitions so we can have sane default
    values for flick speeds
  * Elide the label text inside recent searches panel (LP: #1611796)
  * Add a PreviewSingleton module to store some data for previews (LP:
    #1595235)
  * Use PreviewSingleton for PreviewRatingInput and PreviewCommentInput
    (LP: #1595235)
  * rework GenericScopeView PullToRefresh test
  * use mouseFlick instead touchFlick for manage_dash_move_current
  * add a couple of waiting tricks for a flaky dash test

  [ Daniel d'Andrada ]
  * Set progress bar indeterminate when processing signal received. (LP:
    #1249349)
  * Implement cursor confinement (LP: #1590099)

  [ Josh Arenson ]
  * Add a frontend to the sessions model and enable a session chooser in
    the greeter.

  [ Lukáš Tinkl ]
  * Implement edge maximizing (aka window snapping) (LP: #1602628)
  * On the PC platform (as opposed to running on $devices), use the
    "mute" action instead of silent mode
  * Respect Fitt's law wrt the window control buttons in panel (LP:
    #1611959)
  * Fix 2 failing color-related tests

  [ Marco Trevisan (Treviño) ]
  * Indicators, mocks: add fake indicators menuitem to populate mocks
    with different menu types
  * IndicatorsClient: use PageHeader and ListItemLayout's

  [ Michael Terry ]
  * Support launching apps inside a unity8 session from the greeter and
    support emergency dialing inside the greeter.
  * Fix tryShell to actually show appropriate backgrounds for each mock
    user.
  * Add an indicator to the greeter when a user is logged in (only shown
    if we have more than one user)
  * Hide the greeter OSK if indicators are open and don't show the edge
    tutorial during an emergency call.
  * Switch from lockscreen PIN pad to a passcode entry box that uses the
    OSK.
  * Use the default system wallpaper instead of our custom one.
  * Update look of infographic a bit
  * Make infographic bubbles white even on the default wallpaper.

 -- Michał Sawicz <michal.sawicz@canonical.com>  Thu, 22 Sep 2016 07:46:57 +0000

unity8 (8.14+16.10.20160831.3-0ubuntu1) yakkety; urgency=medium

  [ Daniel d'Andrada ]
  * Added implementation for MirSurfaceInterface::persistentId

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 31 Aug 2016 11:56:09 +0000

unity8 (8.14+16.10.20160826-0ubuntu1) yakkety; urgency=medium

  * Make sure we emit sounds when taking a screenshot even after media-
    hub (LP: #1544477)

 -- Alfonso Sanchez-Beato <alfonso.sanchez-beato@canonical.com>  Fri, 26 Aug 2016 08:14:14 +0000

unity8 (8.14+16.10.20160819-0ubuntu1) yakkety; urgency=medium

  [ Lukáš Tinkl ]
  * Reset topmostIsFullscreen to correctly rotate the shell when
    dismissing SIM PIN screen (LP: #1614070)

 -- Michał Sawicz <michal.sawicz@canonical.com>  Fri, 19 Aug 2016 14:16:54 +0000

unity8 (8.14+16.10.20160811.1-0ubuntu1) yakkety; urgency=medium

  [ Albert Astals Cid ]
  * Take into account carousel selectedItemScaleFactor when setting card
    fixedArtShapeSize (LP: #1599238)
  * Remove unused LimitProxyModel
  * Do not calculate implicitHeight for Cards in a CardGrid
  * Small clazy fixes

  [ Daniel d'Andrada ]
  * Remove stage property from Application

  [ Larry Price ]
  * Allow libertine-scope to show empty search result hint unmodified.
    (LP: #1606693)

  [ Lukáš Tinkl ]
  * Open the quicklist (context) menu also using the Menu key (LP:
    #1608265)
  * Fix incorrect SIM PIN dialog position when entering a wrong PIN (LP:
    #1596076)
  * Apply the correct keymap also on prompt surfaces (LP: #1610124)
  * Implement an optional system update feature during OOBE wizard (LP:
    #1580785)
  * Implement a page for choosing HW keyboard layout in OOBE wizard

  [ Michael Zanetti ]
  * Clean up some build script legacy
  * Add a crossbuilder_post file to make crossbuilder restart unity8
    after deploying
  * fixes for the automatic switching between usage modes (LP: #1590944)

  [ Omer Akram ]
  * Add object names for setup wizard

 -- Michał Sawicz <michal.sawicz@canonical.com>  Thu, 11 Aug 2016 06:28:20 +0000

unity8 (8.14+16.10.20160803-0ubuntu1) yakkety; urgency=medium

  [ Albert Astals Cid ]
  * Fix DisabledScreenNotice::test_rotation
  * Make the delegate of DashNavigationList an async Loader
  * unity-scope-tool: Use parse instead of process
  * VerticalJournal improvements regarding model insertions and item
    height changes (LP: #1599754)
  * Add math.h includes for compilation in yakkety (LP: #1605502)

  [ Andrea Cimitan ]
  * Unfocus the search text field in the dash page header when requested
    (LP: #1590820)
  * Use binding for filter popover contentWidth (LP: #1595116)
  * Add few sourceSize for Image we forgot (LP: #1595113)
  * Replace Flickable with an Item inside DashPageHeader for
    headerContainer (LP: #1599235)

  [ Albert Astals Cid, Andrea Cimitan ]
  * Unbox the artshapeLoader

  [ Daniel d'Andrada ]
  * Fix splashscreen orientation when app rotates own contents (LP:
    #1586050)
  * tst_PreviewIconActions: Make test name match filename
  * Cursor: make its size grid unit based (LP: #1604014)
  * TouchEventSequenceWrapper: item might get deleted when touch
    sequence is committed (LP: #1607686)

  [ Lukáš Tinkl ]
  * Implement frontend support for running keyboard indicator
  * Provide window/surface close shortcuts across all the stages (LP:
    #1578392, #1606528)
  * Restart the location trust prompt service when exiting the wizard
    (LP: #1594430)
  * Implement clearing the search and closing the panel on pressing
    Escape key in the dash header
  * Fix log timestamps (LP: #1602196)
  * Don't display the mode switch warning dialog on tablets (LP:
    #1600290)

  [ Michael Terry ]
  * Fix indicator profile bug that caused sound indicator to say Mute
    instead of Silent Mode. (LP: #1604205)
  * Fix lockscreen appearing right after unlocking a locked session on
    the desktop. (LP: #1604374)

  [ Michał Sawicz ]
  * Add arm64 support, drop unnecessary B-D on web plugin

 -- Michał Sawicz <michal.sawicz@canonical.com>  Wed, 03 Aug 2016 15:56:27 +0000

unity8 (8.14+16.10.20160728-0ubuntu1) yakkety; urgency=medium

  [ Zoltán Balogh ]
  * Bump the version to secure UITK compatibility

  [ Albert Astals Cid ]
  * Pass the correct number of arguments to mapToItem (LP: #1606835)

 -- Michał Sawicz <michal.sawicz@canonical.com>  Thu, 28 Jul 2016 08:17:13 +0000

unity8 (8.13+16.10.20160714+fix1-0ubuntu2~1) yakkety; urgency=medium

  * Rebuild against Qt 5.6.
  * Add https://code.launchpad.net/~aacid/unity8/floor_includes/+merge/300850

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 22 Jul 2016 09:03:54 +0300

unity8 (8.13+16.10.20160714-0ubuntu1) yakkety; urgency=medium

  [ Daniel d'Andrada ]
  * Make use of MirSurface::inputBounds and drop UbuntuKeyboardInfo hack

 -- Michał Sawicz <michal.sawicz@canonical.com>  Thu, 14 Jul 2016 07:09:29 +0000

unity8 (8.12+16.10.20160711-0ubuntu1) yakkety; urgency=medium

  [ Josh Arenson ]
  * Add a SessionsModel to lightdm to support the greeter's session
    chooser
  * Add unity8-greeter package which contains a basic, but usable
    LightDM greeter. (LP: #1324602)

  [ Michael Terry ]
  * Make sure indicators and launcher hide when power button is pressed
    on greeter. (LP: #1595569)
  * Fix tablet greeter focus to be always-on, no longer hiding the OSK
    or forcing a mouse click to type a password. (LP: #1435923)

 -- Michael Terry <michael.terry@canonical.com>  Mon, 11 Jul 2016 17:24:20 +0000

unity8 (8.12+16.10.20160707-0ubuntu1) yakkety; urgency=medium

  [ Michael Zanetti ]
  * emit the correct role changed signal on count visible changed (LP:
    #1599925)

 -- Michał Sawicz <michal.sawicz@canonical.com>  Thu, 07 Jul 2016 16:49:32 +0000

unity8 (8.12+16.10.20160705-0ubuntu1) yakkety; urgency=medium

  [ Michael Zanetti ]
  * don't displace windows if the OSK is on another screen (LP:
    #1598917)

 -- Michał Sawicz <michal.sawicz@canonical.com>  Tue, 05 Jul 2016 10:00:57 +0000

unity8 (8.12+16.10.20160627.5-0ubuntu1) yakkety; urgency=medium

  [ Albert Astals Cid ]
  * Stop watching the old header item height once it's not our header
    anymore
  * LVWPH: cull the header item when not on view to save some painting
  * Adapt test to new mock behaviour
  * Don't let the mouse go outside the parentItem (LP: #1525350)
  * Use non deprecated package names
  * Mark system includes as such
  * Fix initialization order warning
  * Do not rely on deleteLater not crashing on null pointers
  * Add more headers of classes we use for automoc to be run
  * CardTool: Fix the fallback value to be a size and not an integer
  * CardTool: Include Ubuntu Components since we're using units.gu
  * Rework tst_PreviewRatingDisplayCreationRanges

  [ Daniel d'Andrada ]
  * Cursor: Let AnimatedSprite run only on animated cursors and while
    the display is on (LP: #1588873, #1594358)
  * Fix missing screenshot when orientation changes while shell rotation
    ongoing (LP: #1587796)

  [ Josh Arenson ]
  * Make PreviewRatingSingleDisplay visible again after editing a
    review. (LP: #1587097)
  * Correct errors in all png images to prevent libpng warnings.

  [ Lukáš Tinkl ]
  * Fix some smaller issues with OOBE wizard password pages (LP:
    #1590467)
  * Prevent mouse wheel events from going through shell elements (LP:
    #1536268)
  * Do not let mouse and wheel events pass thru the titlebar (LP:
    #1588424)
  * Hide the maximize window button based on size restrictions (LP:
    #1541982)

  [ Marco Trevisan (Treviño) ]
  * Unity8.conf: ensure MIR_SOCKET is set for future customers (such as
    the dash)
  * ClientIndicator: be more informative about loading failures for
    dynamically created objects

  [ Michael Terry ]
  * Stop unity8 from getting in a "switch-to-greeter" loop when locking
    on a desktop. (LP: #1593718)

  [ Michael Zanetti ]
  * set minimum window sizes on dash
  * displace application windows when the OSK would cover them

  [ Nick Dedekind ]
  * Force dash to always stay in the main stage. (lp:#1592404) (LP:
    #1592404)
  * Save the last surface stage on stage drop. (LP: #1579003)
  * Default portrait only apps to the side stage. (LP: #1573153)

  [ Albert Astals Cid, Andrea Cimitan, Michał Sawicz, Nick Dedekind ]
  * Added live video playback in dash previews

 -- Michael Zanetti <michael.zanetti@canonical.com>  Mon, 27 Jun 2016 18:48:59 +0000

unity8 (8.12+16.10.20160620.3-0ubuntu1) yakkety; urgency=medium

  [ Michael Terry, Michał Sawicz ]
  * Support unlocking via fingerprint, if one is registered.

 -- Michael Terry <michael.terry@canonical.com>  Mon, 20 Jun 2016 20:25:25 +0000

unity8 (8.12+16.10.20160617-0ubuntu1) yakkety; urgency=medium

  [ Michael Terry ]
  * Do not create Label/Icon if we don't need it
  * Fix Z-ordering of prompt surfaces (LP: #1586219)
  * Drop bottom edge tutorials completely and small fixes for other
    edges. (LP: #1565103)
  * Redo visuals for greeter prompt box. (LP: #1435923)
  * Make tutorial qmltests more robust. (LP: #1590810)
  * Stop showing an extra lockscreen in desktop unity8 sessions. (LP:
    #1582987)

  [ Albert Astals Cid ]
  * Improve dash plugin mock
  * Stabilize PreviewExpandableTest::test_all_widgets_height
  * Workaround QTBUG-53460
  * Split artShape code for cardTool card and regular card
  * Simplify the code since fixedArtSize code is mandatory for regular
    cards
  * Desktop stage: Support rotatesWindowContents (LP: #1547481)
  * Turn if if else into if elseif else
  * Fix leaks in QInputDeviceManagerPrivate::addDevice
  * Do not call |= on uninitialized sigterm.sa_flags
  * initialize udevMonitor
  * Make notifier and notifierFd function local variables
  * Fix crash if a component that is not an Item is given to
    sectionDelegate
  * Tests: Do not use dynamic_cast if we're not going to test it anyway
  * Minor coverity fixes
  * Fix warning about anchors.fill in ProportionalShape (LP: #1590963)
  * Make wait in cleanup() wait for snapTo animation to have finished

  [ Alexandros Frantzis ]
  * Improve the way notifications interact with power management (LP:
    #1570922)

  [ Andrea Cimitan ]
  * Correctly refresh cardcreator cache on artshapestyle changes (LP:
    #1588335)
  * Same tweaks we have for click scope now for libertine
  * add a timer to pull to refresh to work on small windows (LP:
    #1589060)

  [ Daniel d'Andrada ]
  * Clean up debug leftovers
  * Ensure mouse and window movement are pixel-aligned (LP: #1510382)
  * Fix SpreadDelegate rotation animations
  * No point in version-controlling files that are automatically
    generated
  * Center cursor on screen when it's first shown
  * Custom cursor name just have to start with "custom"
  * Work around AnimatedSprite infinite loop bug (LP: #1588929)

  [ Josh Arenson ]
  * Disable showDash when it is already shown. (LP: #1506708)
  * Add a timestamp to the dash log (LP: #1580074)
  * Add timestamp to unity8 log (LP: #1498169)

  [ Lukáš Tinkl ]
  * Implement keyboard shortcuts info panel
  * Implement window controls overlay activatable with 3 fingers tap
    (LP: #1489020)
  * Select correct Chinese input method for OSK in the wizard (LP:
    #1588633)

  [ Michael Zanetti ]
  * Add support for the launcher surface pips displaying the correct
    number of surfaces
  * Add support for the persistent alert state. (LP: #1575147, #1584348,
    #1586621)
  * send a Alt-release event on alt+tab instead of delaying it
    completely and invoking it later (LP: #1565236)

  [ Stephen M. Webb ]
  * added a new upstart $SESSION for unity8-desktop-session (LP:
    #1376715)

 -- Michael Terry <michael.terry@canonical.com>  Fri, 17 Jun 2016 01:22:57 +0000

unity8 (8.12+16.10.20160601.1-0ubuntu1) yakkety; urgency=medium

  [ Pawel Stolowski ]
  * Added apparmor profile for unity8-dash.

 -- Michał Sawicz <michal.sawicz@canonical.com>  Wed, 01 Jun 2016 20:59:03 +0000

unity8 (8.12+16.10.20160527-0ubuntu1) yakkety; urgency=medium

  [ Albert Astals Cid ]
  * Activate on click for SimpleMessages (LP: #1421696)
  * Add override
  * Change the art back to the cardData value if it changes from broken
    to valid image (LP: #1533577)
  * Concierge mode generated code optimization
  * Don't use context properties but properties of the delegates
  * Listen to contentItem::widthChanged instead of
    Flickable::contentWidthChanged (LP: #1565763)
  * Make some AP code faster
  * Make tests a bit more stable
  * Make unity8 and unity8-dash handle termination signals
  * Remove  workaround not needed anymore (LP: #1475643)
  * Resolve cardArtStyle on compile time
  * Set the theme earlier (LP: #1574048)

  [ Albert Astals Cid, Daniel d'Andrada ]
  * Remove DirectionalDragArea and libs/UbuntuGestures and port to SDK
    equivalents

  [ Andrea Cimitan ]
  * Hide the preview review input field when a rating is required (LP:
    #1541971)

  [ CI Train Bot ]
  * Resync trunk.

  [ Daniel d'Andrada ]
  * Fix DragHandle so it works in all directions
  * Support animated cursors
  * WindowInputMonitor - also map Qt::Key_HomePage to our home key
  * plugins/Cursor: properly register to the screen's QPlatformCursor
    when screen changes (LP: #1579742)

  [ Josh Arenson ]
  * Close the PageHeaderExtraPanel when a filter option is selected (LP:
    #1569498)
  * Wrap primaryFilter in a flickable to make it behave nicely. (LP:
    #1569492)

  [ Lukáš Tinkl ]
  * First snap decision should always be expanded, unless user decides
    otherwise (LP: #1580090, #1575045)
  * Fullscreen notification bug fixes (LP: #1583944, #1581498, #1422711)
  * Implement maximizing windows horizontally/vertically
  * Lock the session when putting the laptop into sleep (LP: #1581063)

  [ Lukáš Tinkl, Michael Terry ]
  * With a maximized window, "dragging" the panel down should restore it

  [ Michael Terry ]
  * Change some dash button colors from orange to green. (LP: #1581047)
  * Use PageHeader instead Ambiance's PageHeadStyle
  * Use new setTimeZone method to set user-friendly timezone name in the
    wizard. (LP: #1566295)

  [ Michael Zanetti ]
  * Remove the background dimming when the launcher is revealed by a
    drag (LP: #1575137)
  * reenable or drop disabled tests

 -- Michael Terry <michael.terry@canonical.com>  Fri, 27 May 2016 13:54:44 +0000

unity8 (8.12+16.10.20160520.1-0ubuntu1) yakkety; urgency=medium

  [ Lukáš Tinkl ]
  * Don't dim screen when the indicators are open (LP: #1564342)
  * Fix upcoming alarms ETA labels (LP: #1576741)
  * Stabilize flaky wizard tests (LP: #1582994)

  [ Michael Zanetti ]
  * fix the SIM PIN darkening after it got removed accidentally (LP:
    #1577147)

  [ Michał Sawicz, Nick Dedekind ]
  * Fixed saving current stage and loss of surface focus when switching
    stages

  [ Nick Dedekind ]
  * Fixed incorrect osk surface item resizing the surface.

 -- Michał Sawicz <michal.sawicz@canonical.com>  Fri, 20 May 2016 08:44:19 +0000

unity8 (8.12+16.04.20160518.1-0ubuntu1) xenial; urgency=medium

  [ CI Train Bot ]
  * Resync trunk.

  [ Daniel d'Andrada, Michał Sawicz ]
  * Move prompt surfaces from MirSurface to Application

 -- Nick Dedekind <ci-train-bot@canonical.com>  Wed, 18 May 2016 11:20:04 +0000

unity8 (8.12+16.04.20160504.2-0ubuntu1) xenial; urgency=medium

  [ Albert Astals Cid ]
  * Expandable Filter Widget
  * Pass the category correctly

  [ Albert Astals Cid, CI Train Bot ]
  * Make the previewActions react to the actions model changing (LP:
    #1485887)
  * Reload Preview Zoomable Image source if it gets updated
  * Update the icon also to the original one if that's what the scope
    wants

  [ Andrea Cimitan ]
  * Add social actions to cards

  [ CI Train Bot ]
  * Resync trunk.

 -- Pawel Stolowski <ci-train-bot@canonical.com>  Wed, 04 May 2016 18:09:33 +0000

unity8 (8.12+16.04.20160429.2-0ubuntu1) xenial; urgency=medium

  [ CI Train Bot ]
  * Resync trunk.

  [ Daniel d'Andrada ]
  * Ensure shell transformations use bindings as OrientedShell can get
    resized
  * Make shell rotation animation work on multimonitor scenarios.
  * Refactor screenshotting code and make it work in multimonitor
    scenarios

  [ Gerry Boland, Nick Dedekind ]
  * Indicators: set menu height binding while fully open/closed, fixes
    dynamic grid unit bug.

  [ Michael Zanetti ]
  * Call the dash sizing hack when units.gu changes
  * Temporary means to override GUs on the internal screen
  * reduce some paint layers.

 -- Michał Sawicz <michal.sawicz@canonical.com>  Fri, 29 Apr 2016 20:07:37 +0000

unity8 (8.12+16.04.20160427.3-0ubuntu1) xenial; urgency=medium

  [ Albert Astals Cid ]
  * Add env var to enable js debugging/profiling even if not built on
    debug mode
  * Better error message if the item does not exist
  * CardCreator: Remove ShaderEffectSource (LP: #1544875)
  * Compile with Qt 5.6 (LP: #1565632)
  * LVWPH: Account for contentHeight not really being "all" of the
    content height (LP: #1569976)
  * NotificationAudio: We don't need weird "ifdef" for multimedia 5.6 vs
    5.0 roles anymore
  * See all/less -> Show all/less (LP: #1349471)
  * Stabilize test_superTabToCycleLauncher
  * Take into account that sectionItem height can change
  * Turn verify intro tryCompareFunction
  * forceLayout before calling positionViewAtIndex (LP: #1553475)
  * rootObject can be null for a small moment after setSource is called
    (LP: #1560501)

  [ CI Train Bot ]
  * Resync trunk.

  [ Daniel van Vugt ]
  * Reinstate the touch performance/smoothness fix (LP: #1486341, LP:
    #1556763). (LP: #1556763, #1486341)

  [ Josh Arenson ]
  * Change the color of the activity pulse to blue (LP: #1568082)
  * Make scope filter settings button the same color as other foreground
    elements (LP: #1563357)

  [ Lukáš Tinkl ]
  * Drop OOBE wizard autopilot tests
  * Fix labels in desktop spread
  * Fix upcoming event ETAs falling out of sync (LP: #1557571)
  * Hide the close button for dash (LP: #1550056, #1564347)
  * Notifications visual update, close button on mouse hover (LP:
    #1564343)
  * Shell visual update
  * Stabilize wizard tests
  * Unity8 windows now cascade instead of opening all in the top left
    corner (LP: #1513813)

  [ Michael Terry ]
  * Fix some unreliable test code.
  * Ignore Home Key presses when the greeter is up. (LP: #1565818)

  [ Michael Zanetti ]
  * Drop the rotation lock for the dash (LP: #1465331, #1574165)
  * improve the pin lockscreen
  * install devices.conf by default

  [ Ted Gould ]
  * Switch to using uid/pwdent for getting username

 -- Michael Terry <michael.terry@canonical.com>  Wed, 27 Apr 2016 15:01:28 +0000

unity8 (8.12+16.04.20160421.1-0ubuntu1) xenial; urgency=medium

  [ Daniel d'Andrada ]
  * Refactor keymap switching code
  * Surface-based window management
  * Use Item.grabToImage() instead of qtmir's ApplicationScreenshot
    provider

  [ Michael Zanetti ]
  * Fixes for programmatically closing Applications

  [ Robert Bruce Park ]
  * Use new bileto_pre_release_hook

 -- Gerry Boland <ci-train-bot@canonical.com>  Thu, 21 Apr 2016 13:48:02 +0000

unity8 (8.12+16.04.20160414.1-0ubuntu1) xenial; urgency=medium

  [ Michael Terry ]
  * Make sure that usageMode is set on startup, fixing a problem with
    the tutorial not noticing that it is running on a desktop. (LP:
    #1564351)

  [ Michael Zanetti ]
  * make the edge drag area width configurable (LP: #1559512)

 -- Michael Zanetti <michael.zanetti@canonical.com>  Thu, 14 Apr 2016 21:20:28 +0000

unity8 (8.12+16.04.20160401-0ubuntu1) xenial; urgency=medium

  * Add missing Testsuite header
  * Skip the failing test until we have a working solution for bug
    #1564571 (LP: #1564571)

 -- Michał Sawicz <michal.sawicz@canonical.com>  Fri, 01 Apr 2016 08:32:16 +0000

unity8 (8.12+16.04.20160330-0ubuntu1) xenial; urgency=medium

  [ Albert Astals Cid ]
  * Use tutorialLeftLoader instead of tutorialLeft

  [ CI Train Bot ]
  * Update translation template

  [ Lukáš Tinkl ]
  * Fix the last chance popup colors/theme

  [ Michael Terry ]
  * Adjust text for desktop right edge tutorial to be accurate. (LP:
    #1563103)
  * Fix OOBE wizard not setting your name. (LP: #1562872)
  * Fix showing "Retry" in password prompt when turning on screen in
    tablet mode.

 -- Michał Sawicz <michal.sawicz@canonical.com>  Wed, 30 Mar 2016 07:46:51 +0000

unity8 (8.12+16.04.20160323.2-0ubuntu1) xenial; urgency=medium

  [ Michael Terry ]
  *
  * Fix setting OSK layout in OOBE wizard
  * Stop the left edge tutorial from being shown when the bottom edge
    tutorial wants to be shown after receiving a call.

  [ Albert Astals Cid ]
  * Filter implementation with Option Selector filter as the only filter
  * Get the engine from the parent context
  * Implement the API changes due to filters
  * Match design visuals for the new dash navigation/page header popup
  * New Dash Navigation UX
  * Range Input filter
  * Value slider filter
  * Workaround SDK ListItem bug

  [ Albert Astals Cid, Lukáš Tinkl ]
  * Fix various tests

  [ CI Train Bot ]
  * Resync trunk.
  * Update translation template

  [ Lukáš Tinkl, Michael Terry ]
  * New first-run wizard for the phone (part of the OOBE effort) (LP:
    #1536688, #1536617, #1543790, #1555222)

  [ Lukáš Tinkl, Michał Sawicz ]
  * Keymap switching support (LP: #1524400, #1412492, #1491340)

  [ Michael Terry, Michael Zanetti ]
  * Redesign the first-boot edge tutorial

  [ Michael Zanetti ]
  * disabling some tests that are flaky in adt but can't be made fail on
    our machines

  [ Michael Zanetti, Michał Sawicz ]
  * Change the behavior alond with the switch in indicator-display (LP:
    #1538591)

  [ Michael Zanetti, Michał Sawicz, Nick Dedekind ]
  * Add support for low shell chrome. (LP: #1535397)
  * Sidestage load/unload redesign (LP: #1544479)

 -- Michael Zanetti <michael.zanetti@canonical.com>  Wed, 23 Mar 2016 09:53:17 +0000

unity8 (8.11+16.04.20160318.1-0ubuntu1) xenial; urgency=medium

  [ CI Train Bot ]
  * Update translation template

  [ Lukáš Tinkl ]
  * Fix notifications with the new UITK color schemes (LP: #1554616,
    #1556523)

  [ Lukáš Tinkl, Michael Zanetti, Nick Dedekind ]
  * more fixes for the new theme palette (LP: #1554616, #1557534)

 -- Michael Zanetti <michael.zanetti@canonical.com>  Fri, 18 Mar 2016 17:12:53 +0000

unity8 (8.11+16.04.20160310.4-0ubuntu1) xenial; urgency=medium

  [ Albert Astals Cid ]
  * Add context for Re-dock as asked by translators (LP: #1534608)
  * Add emblem to the preview header widget (LP: #1424720)
  * Add haptics to ScopesListCategoryItem buttons
  * Audio Cards: Make some of the image loading async (LP: #1533432)
  * Do not create fallback code for the card tool fake card (LP:
    #1545865)
  * Fix resizing the dash bringing temp scopes size out of sync (LP:
    #1543130)
  * Minor fixes for unity-scope-tool
  * Resolve title alignment on card creator time instead of on runtime
  * Use fixedHeaderHeight only in the non cardtool cards
  * Use the new undeprecated connectivityqt::Connectivity
  * asynchronous is only false on the fake card in cardtool
  * clazy fixes

  [ Albert Astals Cid, CI Train Bot ]
  * click scope: Add the else branch so we reset the card size in all
    situations

  [ Andrea Cimitan ]
  * PreviewSharing widget now accepts both string and array of
    widgetData["share-data"]["uri"] (LP: #1549056)
  * Update AP tests for new single preview
  * Use Text.Wrap for body notification text (LP: #1544909)

  [ Andrea Cimitan, Lukáš Tinkl, Michael Zanetti, Nick Dedekind ]
  * some fixes for the new palette (LP: #1554616)

  [ CI Train Bot ]
  * Resync trunk.
  * Update translation template

  [ CI Train Bot, Daniel d'Andrada ]
  * Ensure the QML engine doesn't delete our mock MirSurfaces on its
    own.

  [ Daniel d'Andrada ]
  * tst_Shell: Remove unused qml items

  [ Josh Arenson ]
  * Allow the shell to blacklist input devices and force the OSK shown.
    (LP: #1542224)

  [ Lukáš Tinkl ]
  * Disallow resizing windows up, past the Panel (LP: #1544766)
  * Elide the window title not to let it overflow into the indicators
    area (LP: #1535767)
  * Enable the PIN lockscreen to be used with a HW keyboard (LP:
    #1550359)
  * Fix tiny windows when switching stages
  * Provide a range of ports to QML JS Debugger
  * Watch for launcher item icon changes (LP: #1543290)

  [ Michael Terry ]
  * Proxy more mouse and touchpad properties to USC (LP: #1540398) (LP:
    #1543344, #1540398)
  * Refactor the AccountsService plugin and make it slightly faster.
  * To let the user log in if a mouse is connected, hide the greeter
    cover page on a mouse click (but NOT a touch click). (LP: #1540497)
  * Watch AccountsService for changes to the user's real name.  This was
    preventing us from noticing when the user set their name in the
    welcome wizard.

  [ Michael Zanetti ]
  * Allow alt+tabbing in staged mode too (LP: #1540502)
  * Allow invoking the staged mode spreads by mouse right edge pushes
    too (LP: #1540392)
  * Allow loading the device configuration from an external file
  * Implement Launcher's keyboard navigation and updated pip design
  * Make launcher scalable, allow it locking (LP: #1511015)
  * Properly parent launcher items in all cases (LP: #1495732)
  * Read inputMethod surface from the new property int QtMir (LP:
    #1545286)
  * Some visual updates and rotation lock for the virtual touchpad (LP:
    #1549087)
  * Visual updates for the windowed spread (LP: #1488148)
  * stabilize swipeAwayGreeter()

  [ Michał Sawicz ]
  * Add udev rules to make sure we have access to uinput
  * Make dash respawn indefinitely (LP: #1550056)
  * Use dpkg-architecture, not arch, to disable touch emulation

  [ Vesa Rautiainen ]
  * Fixing the vertical position of desktop spread item icon.

 -- Michał Sawicz <michal.sawicz@canonical.com>  Thu, 10 Mar 2016 22:44:16 +0000

unity8 (8.11+16.04.20160308-0ubuntu1) xenial; urgency=medium

  [ Albert Astals Cid ]
  * Make these tests pass with the new SDK

  [ Andrea Cimitan, Nick Dedekind ]
  * replace selected.backgroundText with normal.backgroundText in
    Splash, Notifications, Wizard

  [ CI Train Bot ]
  * Update translation template

  [ Michał Sawicz, Nick Dedekind ]
  * Fixed colours palette value set. Moved ModemItem to USC.

  [ Michał Sawicz, Tim Peeters ]
  * Update headers for Dash and Splash to work properly with the new UI
    toolkit release.

  [ Zoltán Balogh, Zsombor Egri ]
  * Use SuruDark theme instead of the deprecated SuruGradient.

 -- Zoltan Balogh <zoltan.balogh@canonical.com>  Tue, 08 Mar 2016 20:59:34 +0000

unity8 (8.11+16.04.20160307-0ubuntu1) xenial; urgency=medium

  [ CI Train Bot ]
  * Resync trunk.
  * Update translation template

  [ Rodney Dawes ]
  * Re-enable the purchaseCancelled signal.

 -- Rodney Dawes <ci-train-bot@canonical.com>  Mon, 07 Mar 2016 14:12:08 +0000

unity8 (8.11+16.04.20160301-0ubuntu1) xenial; urgency=medium

  [ Albert Astals Cid ]
  * Hook the new scope.activationInProgress property (LP: #1537132)

  [ Andrea Cimitan ]
  * Updated the Preview view to use a single PreviewModel instead old
    PreviewStack, using a Loader instead ListView (LP: #1541967)

  [ CI Train Bot ]
  * Resync trunk.
  * Update translation template

  [ Michał Sawicz ]
  * Add autopilot as DEP-8 tests added: debian/tests/autopilot.sh

 -- Pawel Stolowski <ci-train-bot@canonical.com>  Tue, 01 Mar 2016 10:28:52 +0000

unity8 (8.11+16.04.20160216.1-0ubuntu1) xenial; urgency=medium

  [ Albert Astals Cid ]
  * Make the audio previews create a playlist (LP: #1540477)

  [ CI Train Bot ]
  * Resync trunk. added: po/aa.po
  * Update translation template

 -- Pawel Stolowski <ci-train-bot@canonical.com>  Tue, 16 Feb 2016 03:24:46 +0000

unity8 (8.11+16.04.20160212-0ubuntu1) xenial; urgency=medium

  [ Albert Astals Cid ]
  * Do not use components in card creator generated code
  * Forward the makesurevisible signal from the inner preview widget
  * Make fallback also be fallback when the image is empty and not only
    on error (LP: #1531913)
  * Make the artShapeSize assignment be updated when using dynamic grid
    units
  * Visual improvements to the dash audio play cards
  * We don't use the unity-scope-scopes anymore (LP: #1439172)

  [ Andrea Cimitan ]
  * only request a bigger image if zoomable widget data property is
    true, otherwise just leave the screen size (LP: #1536814)

  [ CI Train Bot ]
  * Update translation template

  [ Daniel d'Andrada ]
  * Set initial surface size (LP: #1532974)

  [ Daniel d'Andrada, Michał Sawicz ]
  * Window Size Hints

  [ Florian Boucault ]
  * Splash screen: delay showing the ActivityIndicator by 2 seconds.

  [ Lukáš Tinkl ]
  * Replace the word "phone" with a more generic term "device" in the
    welcome wizard (LP: #1294732, #1543527)

  [ Michael Terry ]
  * Have the tablet greeter set appropriate OSK hints if the user has a
    passcode instead of a passphrase. (LP: #1544173)

  [ Michael Zanetti ]
  * Don't eat mouse events in the edgebarrer

  [ Michał Sawicz ]
  * Bump unity-api dependencies

  [ Nick Dedekind ]
  * Added support for secondary indicator actions (LP: #1398888)
  * Remove zombie if they're not animated. (LP: #1534541)
  * Removed unused panel resources

  [ Ted Gould ]
  * Start the indicators after Unity8 starts instead of before

 -- Michał Sawicz <michal.sawicz@canonical.com>  Fri, 12 Feb 2016 00:12:41 +0000

unity8 (8.11+16.04.20160208-0ubuntu1) xenial; urgency=medium

  [ Albert Astals Cid ]
  * LVWPH: Reset to initial values when list is empty (LP: #1540490)
  * Make LazyImage qmltest less flaky on CI

  [ Andrea Cimitan ]
  * Make LazyImage qmltest less flaky on CI

  [ CI Train Bot ]
  * Resync trunk.
  * Update translation template

  [ Michael Terry ]
  * Display the current user's real name on the tablet lockscreen. (LP:
    #1536714)

 -- Michał Sawicz <michal.sawicz@canonical.com>  Mon, 08 Feb 2016 09:38:00 +0000

unity8 (8.11+16.04.20160129-0ubuntu1) xenial; urgency=medium

  [ Albert Astals Cid ]
  * Audio Preview Button: Don't gain focus on press (LP: #1517830)
  * Better attempt at sanitization
  * Better looking application scopes for wide screens
  * Call printSettings correctly
  * Card test: Limit the precision we ask for doubles to be equal
  * Convert while into tryCompareFunction
  * Do not use the same filepath parameter for all the card creator
    createQmlObject calls (LP: #1536379)
  * Fix some test shells being unstable in the armhf builders
  * Make revealByEdgePush more stable
  * More reliable compares
  * Move the mouse over the bfb before waiting for rendering
  * Remove the DDAs constrains for every test
  * Set the background source size to the max we'll need + new
    background (LP: #1539011)

  [ Andrea Cimitan ]
  * Dynamically  change click scope card size according to size (LP:
    #1536745)
  * Should fix lazyimage test failures on fast machines

  [ CI Train Bot ]
  * Fix card tests on the phone
  * Update translation template

  [ Daniel d'Andrada ]
  * Desktop stage rotates only to follow screen orientation (LP:
    #1515977)

  [ Lukáš Tinkl ]
  * Hide/reveal the mouse pointer on touch/mouse events renamed:
    plugins/Utils/HomeKeyWatcher.cpp =>
    plugins/Utils/WindowInputMonitor.cpp plugins/Utils/HomeKeyWatcher.h
    => plugins/Utils/WindowInputMonitor.h
    tests/mocks/Utils/HomeKeyWatcher.qml =>
    tests/mocks/Utils/WindowInputMonitor.qml
    tests/plugins/Utils/HomeKeyWatcherTest.cpp =>
    tests/plugins/Utils/WindowInputMonitorTest.cpp

  [ Michael Terry ]
  * Synchronize the mouse-cursor-speed and touchpad-cursor-speed
    properties with USC. (LP: #1536383)

  [ Michael Zanetti ]
  * Add InputMethod to secondary screen
  * Add a virtual Touchpad while external screen is connected
  * Make big tablets switch to windowed mode by plugging a kbd only (LP:
    #1535399)
  * Prevent alt key presses from being dispatched to the app on alt+tab
    (LP: #1532862)

  [ Michał Sawicz ]
  * Make qmluitests.sh more robust and allow parallel test execution
  * Skip SessionBackendTest::testLogin1Capabilities until we talk to a
    mock instead (LP: #1532112, #1532113)

 -- Michał Sawicz <michal.sawicz@canonical.com>  Fri, 29 Jan 2016 11:53:27 +0000

unity8 (8.11+16.04.20160122-0ubuntu1) xenial; urgency=medium

  [ Albert Astals Cid ]
  * Fix bug #1536296 added: tests/plugins/Dash/cardcreator/10.tst (LP:
    #1536296)
  * Fix card tests on the phone

  [ CI Train Bot ]
  * Update translation template

 -- Michał Sawicz <michal.sawicz@canonical.com>  Fri, 22 Jan 2016 16:56:04 +0000

unity8 (8.11+16.04.20160111.1-0ubuntu1) xenial; urgency=medium

  [ Albert Astals Cid ]
  * Clear fake item icon name as soon as it goes invisible (LP:
    #1531172)
  * Fix LVWPH test failing on Xenial (Qt 5.5)
  * Fix dragging so that test passes on Xenial
  * Fix focus on the dash page header text field with new SDK (LP:
    #1528178)
  * Make the card creator test pass again
  * Quit the dash communicator thread before destroying it (LP:
    #1508485)
  * Remove duplicated override_dh_auto_clean
  * SDK changed the name they give to the buttons, follow

  [ Andrea Cimitan ]
  * Fix a broken binding

  [ CI Train Bot ]
  * Resync trunk.
  * Update translation template

  [ Daniel d'Andrada ]
  * Have "make tryFoo" work with Qt 5.5
  * Make DragHandle tests run again.

  [ Lukáš Tinkl ]
  * Fix dismissing the launcher when clicking/tapping outside (LP:
    #1531339, #1530940)
  * Fix panel drop shadow and click-to-focus of maximized apps (LP:
    #1531854)
  * Fix wifi access point indicator items signal strength icon on
    desktop

  [ Michael Terry ]
  * Guard against a couple odd timing scenarios for the too-many-failed-
    login-attempts lockout screen.
  * Skip the wizard's password screens if there is already a password
    set by other means. (LP: #1531268)
  * Stop the emergency dialer from accidentally exposing the mtp
    service. (LP: #1525981)

  [ Michael Zanetti ]
  * Make sure the triangle of the quicklist is in bounds (LP: #1531340)

  [ Pawel Stolowski ]
  * Changes 'shareData' and 'contentType' attributes to 'share-data' and
    'content-type', to match existing naming schema.

 -- Michał Sawicz <michal.sawicz@canonical.com>  Mon, 11 Jan 2016 17:38:49 +0000

unity8 (8.11+16.04.20160107-0ubuntu1) xenial; urgency=medium

  [ Albert Astals Cid ]
  * Introduce audio cards

  [ CI Train Bot ]
  * Update translation template

  [ Michael Zanetti ]
  * Introduce audio cards

 -- CI Train Bot <ci-train-bot@canonical.com>  Thu, 07 Jan 2016 08:04:47 +0000

unity8 (8.11+16.04.20160105.1-0ubuntu1) xenial; urgency=medium

  [ CI Train Bot ]
  * Resync trunk.
  * Update translation template

  [ Nick Dedekind ]
  * Use volume-sync action to resync the volume control. (LP: #1520548)

 -- Xavi Garcia <xavi.garcia.mena@canonical.com>  Tue, 05 Jan 2016 13:55:38 +0000

unity8 (8.11+16.04.20151208.1-0ubuntu1) xenial; urgency=medium

  [ Albert Astals Cid ]
  * Allow dragging launcher items with the quicklist open (LP: #1250861)
  * Create ratings on demand instead of all at the same time (LP:
    #1519898, #1492214)
  * LVWPH: Process correctly section changes (LP: #1519893)
  * Make sure that unfavoriting a scope gives us the next one
  * Move images only used in tests to tests folder

  [ Andrea Cimitan ]
  * Add shadows to ubuntu store icon

  [ Daniel d'Andrada ]
  * MirSurfaceItem got a new property: fillMode (LP: #1497083)
  * Session can have multiple surfaces now
  * plugins/Cursor: Do not force loading a specific cursor size (LP:
    #1517878)

  [ Lukáš Tinkl ]
  * Indicators convergence: use the "phone" profile everywhere (LP:
    #1520492)

  [ Michael Terry ]
  * Let qtmir know which apps are exempt from the lifecycle management.
    This way, it can manage its own wakelocks better (and stop
    preventing the system from deep sleeping).

  [ Michael Zanetti ]
  * Use proper z ordering instead of app index for occlusion detection
  * add some debug prints to the uinput backend
  * drop the ignoredMice hack again (LP: #1521580)

  [ Michał Sawicz ]
  * Let qtmir know which apps are exempt from the lifecycle management.
    This way, it can manage its own wakelocks better (and stop
    preventing the system from deep sleeping).
  * Update .pot file in debian/clean when in train

 -- Gerry Boland <ci-train-bot@canonical.com>  Tue, 08 Dec 2015 15:37:58 +0000

unity8 (8.11+16.04.20151126-0ubuntu2) xenial; urgency=medium

  * Rebuild against Qt 5.5.1.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 30 Nov 2015 16:19:18 +0200

unity8 (8.11+16.04.20151126-0ubuntu1) xenial; urgency=medium

  [ Albert Astals Cid ]
  * Initialize the image to be transparent (LP: #1517128)
  * Update pot file
  * clazy improvements

  [ Andrea Cimitan ]
  * Shadows in launcher and dash using UbuntuShapeIcon

  [ CI Train Bot ]
  * Resync trunk.

  [ Daniel d'Andrada ]
  * Cursor plugin: add scroll wheel handling (LP: #1497091)
  * Cursor: Add more fallback names, a blank and custom cursor support
  * DesktopStage: swiping from right edge shows window spread
  * Don't stretch application surfaces when resizing (LP: #1497083)
  * Mouse has to push against edges to show launcher or apps spread (LP:
    #1510969)

  [ Josh Arenson ]
  * Don't let IntegratedLightDM muck with the username (LP: #1497081)

  [ Lukáš Tinkl ]
  * Implement new visuals for panel and window decorations (LP:
    #1493066, #1511020, #1497095)
  * Let systemd/logind handle the lid-close action
  * Make saving screenshots really async

  [ Michael Zanetti ]
  * detect touchpads too, not only mice (LP: #1518395)
  * move screenshots out of the Dash dir

 -- Michał Sawicz <michal.sawicz@canonical.com>  Thu, 26 Nov 2015 13:52:00 +0000

unity8 (8.11+16.04.20151112.1-0ubuntu1) xenial; urgency=medium

  [ Albert Astals Cid ]
  * Make cardWidth and cardHeight real
  * Reset instead of qFatal when removing things from the middle (LP:
    #1238979)
  * Warn we're using only the cache when not connected to the interwebs

  [ Andrea Cimitan ]
  * Add sharing widget to zoomable image and video playback

  [ Daniel d'Andrada ]
  * Cursor: properly initialize hotspot position (LP: #1510407)
  * Update GSettings mock in tst_OrientedShell

  [ Lukáš Tinkl ]
  * Restore windows when activating from the spread, maintain a focus
    stack

  [ Michael Terry ]
  * Make a few DBus calls asynchronous, for a smoother UX.

  [ Michael Zanetti ]
  * Add a warning dialog when disconnecting the external monitor.
  * added icon for the dash (LP: #1488146)
  * prevent windows to be moved under the panel (LP: #1438465)
  * update inputinfo api to the latest upstream snapshot
  * use UbuntuNumberAnimations instead of linear ones for window state
    transitions (LP: #1497097)

 -- Michael Zanetti <michael.zanetti@canonical.com>  Thu, 12 Nov 2015 20:41:02 +0000

unity8 (8.11+16.04.20151104-0ubuntu1) xenial; urgency=medium

  [ Albert Astals Cid ]
  * Add an Item that proxies for old and new audio roles (LP: #1493851)
  * CroppedImageMinimumSourceSize: Fix 'Binding loop detected for
    property "imageAspectRatio"'
  * Make the scope settings list scroll to text visible area (LP:
    #1499084)
  * Move to importing QtQuick 2.4 & friends
  * Use SDK 1.3 across all files (LP: #1503498, #1508363, #1449628)

  [ Andrea Cimitan ]
  * Add sharing widget to zoomable image and video playback
  * Make zoomable and video playback widgets edge to edge
  * Updated all 1.3 UbuntuShape to use new APIs where possible
  * Use SDK 1.3 across all files (LP: #1503498, #1508363, #1449628)

  [ CI Train Bot ]
  * Resync trunk.

  [ Christopher Lee ]
  * Quick spelling fix in process control output.

  [ Daniel d'Andrada ]
  * Enable support for overriding application orientations based on
    device type (LP: #1478637)
  * Use SDK 1.3 across all files (LP: #1503498, #1508363, #1449628)
  * Use SDK 1.3 across all files (LP: #1503498, #1508363, #1449628)

  [ Josh Arenson ]
  * Enable support for overriding application orientations based on
    device type (LP: #1478637)

  [ Michael Terry ]
  * Avoid showing the shutdown dialog when turning on the screen if your
    device is under heavy load. (LP: #1508563)
  * Handle lifecycle policy exceptions ourselves, instead of letting
    qtmir do it for us and allow non-Touch apps to opt-out of the Touch
    lifecycle.

  [ Michael Zanetti ]
  * Fixes for the panel buttons (LP: #1510360, #1504269, #1431566,
    #1443319)
  * Use SDK 1.3 across all files (LP: #1503498, #1508363, #1449628)

  [ Michał Sawicz ]
  * Add missing copyright to Cursor.qml
  * Enable support for overriding application orientations based on
    device type (LP: #1478637)
  * Support server->client visibility change to stop rendering
    (lp:#1475678) (LP: #1475678)

  [ Nick Dedekind ]
  * Support server->client visibility change to stop rendering
    (lp:#1475678) (LP: #1475678)

 -- Michał Sawicz <michal.sawicz@canonical.com>  Wed, 04 Nov 2015 14:58:41 +0000

unity8 (8.11+15.10.20151021-0ubuntu1) wily; urgency=medium

  [ Albert Astals Cid ]
  * Clazy fixes
  * Enable Efficient String Construction by default

  [ CI Train Bot ]
  * New rebuild forced.

  [ Daniel d'Andrada ]
  * Have unity8 drawing its own cursor (LP: #1488417)
  * Initial multi-monitor support

  [ Daniel van Vugt ]
  * Disable Qt's stuttering 'touch compression' to fix scrolling
    smoothness (LP: #1486341, #1488327)

  [ Lukáš Tinkl ]
  * Fix autopilot wizard test skipping the reporting page
  * Implement Unity.Platform plugin wrapping org.freedesktop.hostname1
    (LP: #1504318)
  * React to window title (aka surface name) changes (LP: #1497092)
  * Rotate the screenshots according to the actual orientation

  [ Michał Sawicz ]
  * Fix application API dependency
  * Have unity8 drawing its own cursor (LP: #1488417)
  * Initial multi-monitor support
  * Rotate the screenshots according to the actual orientation

  [ Nick Dedekind ]
  * Fixed leak in UnityMenuModelStackTest
  * Moved time translation to SDK (LP: #1372061)

 -- Michał Sawicz <michal.sawicz@canonical.com>  Wed, 21 Oct 2015 11:51:53 +0000

unity8 (8.11+15.10.20151009-0ubuntu1) wily; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ Pawel Stolowski ]
  * Store unity8 package version in /var/lib/.../version file for fast
    retrieval from the shell plugin.

 -- Pawel Stolowski <ci-train-bot@canonical.com>  Fri, 09 Oct 2015 09:13:03 +0000

unity8 (8.11+15.10.20151008-0ubuntu1) wily; urgency=medium

  [ Lukáš Tinkl ]
  * Revert to using plaintext instead of HTML-like markup for the
    notifications (LP: #1504256)

 -- Michał Sawicz <michal.sawicz@canonical.com>  Thu, 08 Oct 2015 20:46:26 +0000

unity8 (8.11+15.10.20151002-0ubuntu1) wily; urgency=medium

  [ CI Train Bot ]
  * Resync trunk.

  [ Lukáš Tinkl ]
  * Wizard: skip the reporting page if the system is configured not to
    report crashes (LP: #1494442)

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 02 Oct 2015 13:24:03 +0000

unity8 (8.11+15.10.20151001-0ubuntu1) wily; urgency=medium

  [ Alexandros Frantzis ]
  * Use power state change reason SnapDecision to turn screen on when a
    SnapDecision arrives (LP: #1291455)

  [ CI Train Bot ]
  * New rebuild forced.

 -- Alexandros Frantzis <alexandros.frantzis@canonical.com>  Thu, 01 Oct 2015 12:04:04 +0000

unity8 (8.11+15.10.20150930.1-0ubuntu1) wily; urgency=medium

  [ Albert Astals Cid ]
  * Make Launcher::test_quickListMenuOnRMB stable (LP: #1500359)

  [ CI Train Bot ]
  * New rebuild forced.

  [ Michael Zanetti ]
  * Stabilize Launcher DND test

 -- Michał Sawicz <michal.sawicz@canonical.com>  Wed, 30 Sep 2015 10:09:33 +0000

unity8 (8.11+15.10.20150925-0ubuntu1) wily; urgency=medium

  [ Albert Astals Cid ]
  * Improvements from running clazy over the code

  [ Daniel d'Andrada ]
  * PhoneStage: ensure you're left in a consistent state after being
    reset (LP: #1476757)

  [ Lukáš Tinkl ]
  * Improve the appearance and functionality of datetime and session
    indicators in Unity8 desktop.
  * Using InputInfo, determine if we need swipe or click to dismiss the
    notifications (e.g. incoming phone call)

  [ Michael Zanetti ]
  * further development on the Desktop Spread (LP: #1488147)

  [ Michał Sawicz ]
  * Bump application API version
  * Skip bluetooth check under wily, use expectFailure to notice when
    it's back

  [ Richard Somlói ]
  * Fix translator comments in time formatter

 -- Michał Sawicz <michal.sawicz@canonical.com>  Fri, 25 Sep 2015 12:13:20 +0000

unity8 (8.11+15.10.20150922.1-0ubuntu1) wily; urgency=medium

  [ Albert Astals Cid ]
  * Adapt test to code changes
  * Add DEP-8 test for all our UI and unit tests
  * Keep the PreviewStack around to avoid mem leaks (LP: #1495467)

  [ CI Train Bot ]
  * Resync trunk.

  [ Michael Terry ]
  * When libusermetrics gives us an empty string, still show the
    infographic circle rather than hiding it.  This is a follow-on to a
    branch [1] that changes the "no data available" label to the empty
    string.

  [ Michał Sawicz ]
  * Add DEP-8 test for all our UI and unit tests
  * Fix integrated LightDM path
  * Resync trunk

 -- Michał Sawicz <michal.sawicz@canonical.com>  Tue, 22 Sep 2015 12:57:15 +0000

unity8 (8.11+15.10.20150915-0ubuntu1) wily; urgency=medium

  [ Albert Astals Cid ]
  * Fix testNotifications
  * Make the wait longer to make tests pass in CI
  * New simplified CroppedImageMinimumSourceSize (LP: #1467740)
  * Stop animateTimer when starting the fadeOutAnimation
  * Use  AlreadyLaunchedUpstart so that tests passes
  * Workaround keyboard issues and make test pass again

  [ Daniel d'Andrada ]
  * DesktopStage: Refactor focus handling
  * Stabilize tstShell.test_launchedAppHasActiveFocus

  [ Gary.Wzl ]
  * Add widgetData["expanded"] property for expandable widget.

  [ Michael Terry ]
  * Fix typo that caused the tutorial to tease the launcher on top of
    the greeter.
  * Fix typo that caused the tutorial to tease the launcher on top of
    the greeter.

 -- Michael Zanetti <michael.zanetti@canonical.com>  Tue, 15 Sep 2015 12:06:06 +0000

unity8 (8.11+15.10.20150907-0ubuntu1) wily; urgency=medium

  [ Michal Sawicz ]
  * Resync wily with vivid

  [ Albert Astals Cid ]
  * Accomodate header height when using a card carousel with non
    overlayed header (LP: #1489309)
  * Fix restart unity8 from inside the phone more than two times (LP:
    #1487946)

  [ Gary.Wzl ]
  * Move textarea up automatically when inputmethod popup. (LP:
    #1485947)

  [ Lukáš Tinkl ]
  * Introduce a GlobalShortcut QML component for handling global
    keyboard shortcuts

  [ Michael Terry ]
  * Fix the fact that a user that is locked out from their account for
    five minutes after entering too many wrong passwords can simply
    reboot to try again. (LP: #1383086)
  * Fix the fact that a user that is locked out from their account for
    five minutes after entering too many wrong passwords can simply
    reboot to try again. (LP: #1383086)

  [ Michael Zanetti ]
  * Implement progressive autoscrolling in desktop spread
  * add an animation transition when invoking the spread by hitting the
    right edge

 -- CI Train Bot <ci-train-bot@canonical.com>  Mon, 07 Sep 2015 14:05:37 +0000

unity8 (8.11+15.10.20150826-0ubuntu1) wily; urgency=medium

  [ Michael Zanetti ]
  * release for wily

  [ CI Train Bot ]
  * New rebuild forced.

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 26 Aug 2015 09:01:03 +0000

unity8 (8.11+15.04.20150831.2-0ubuntu1) vivid; urgency=medium

  [ Albert Astals Cid ]
  * Accept auto repeats for the power down button if timer is not yet
    running (LP: #1486953, #1488927)
  * Add tests for Shell+Dash interaction
  * Make clicking on launcher buttons have haptic feedback
  * Make test_greeter_hides_on_app_open more stable
  * Move connect() to new syntax
  * make pot_file (LP: #1488484)

  [ Gerry Boland ]
  * [spread] avoid changing sourceSize of snapshotted apps, it causes
    ghost apps in the spread (LP: #1474319)

  [ Josh Arenson ]
  * Refactor the greeter to enable dynamic loading of backend plugins.
  * Refactor the greeter to enable dynamic loading of backend plugins.

  [ Lukáš Tinkl ]
  * Don't show the volume notification when the sound indicator is shown
    (LP: #1484126)

  [ Michael Terry ]
  * Unify turn-on-screen-upon-notification logic from various daemons
    into unity8. (LP: #1426115, #1482317)

 -- CI Train Bot <ci-train-bot@canonical.com>  Mon, 31 Aug 2015 10:25:39 +0000

unity8 (8.11+15.04.20150827.1-0ubuntu1) vivid; urgency=medium

  [ Daniel d'Andrada ]
  * MirSurfaceItem is now a view+controller instantiated from QML (LP:
    #1483752)

 -- CI Train Bot <ci-train-bot@canonical.com>  Thu, 27 Aug 2015 14:00:05 +0000

unity8 (8.11+15.04.20150821-0ubuntu1) vivid; urgency=medium

  [ Michael Terry ]
  * Skip the tutorial entirely when in desktop mode.  This fixes the
    emulator not being able to pass the tutorial.
  * Skip the tutorial entirely when in desktop mode.  This fixes the
    emulator not being able to pass the tutorial.

 -- CI Train Bot <ci-train-bot@canonical.com>  Fri, 21 Aug 2015 14:34:50 +0000

unity8 (8.11+15.04.20150817-0ubuntu1) vivid; urgency=medium

  [ Albert Astals Cid ]
  * Drop gcc 4.9 requirement in debian/rules
  * Make the test more stable
  * Optimize scope.preview() calls (LP: #1478022)

  [ Alberto Mardegan ]
  * Set currentIndex after the model change is completed (LP: #1433442)

 -- CI Train Bot <ci-train-bot@canonical.com>  Mon, 17 Aug 2015 11:57:31 +0000

unity8 (8.11+15.04.20150814-0ubuntu1) vivid; urgency=medium

  [ Albert Astals Cid ]
  * Make the test pass again after rework of appmanager
  * fix testPhoneStage

  [ CI Train Bot ]
  * New rebuild forced.

  [ Daniel d'Andrada ]
  * Fix and clean up InputInfo plugin

  [ Rodney Dawes ]
  * Do not call verify in the payments button code. (LP: #1468038)

 -- CI Train Bot <ci-train-bot@canonical.com>  Fri, 14 Aug 2015 09:53:11 +0000

unity8 (8.11+15.04.20150812-0ubuntu1) vivid; urgency=medium

  [ Albert Astals Cid ]
  * Add a test that checks that items in an expandable are the correct
    size after expanding the expandable
  * Fix the expandable test
  * Replace some waitForRendering with wait(0)
  * Workaround for bug 1473471 (LP: #1473471)

  [ Gary.Wzl ]
  * Fix layout issue when adding audio track widget in expandable widget

  [ handsome_feng ]
  * Added indication for running apps. (LP: #1471577)
  * Adjust the color to highlighting indicator. (LP: #1457098)
  * Convert the MouseArea to MultiPointTouchArea to track multiple touch
    points. (LP: #1445472)

  [ handsome_feng<445865575@qq.com> ]
  * Convert the MouseArea to MultiPointTouchArea to track multiple touch
    points. (LP: #1445472)

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 12 Aug 2015 08:41:24 +0000

unity8 (8.10+15.10.20150804-0ubuntu1) wily; urgency=medium

  [ Kevin Gunn ]
  * No change, rebuild for gcc5

  [ CI Train Bot ]
  * Resync trunk. added: po/cy.po
  * Resync trunk. added: po/cy.po

  [ Daniel d'Andrada ]
  * Stages now control the "requestedState" property of applications
  * Stages now control the "requestedState" property of applications

 -- CI Train Bot <ci-train-bot@canonical.com>  Tue, 04 Aug 2015 20:56:05 +0000

unity8 (8.10+15.10.20150729-0ubuntu1) wily; urgency=medium

  [ CI Train Bot ]
  * Resync trunk.
  * allow opening the manage dash area by clicking with a mouse on the
    arrow label (LP: #1431564)

  [ Daniel d'Andrada ]
  * TouchRegistry: remove null candidates from list of candidates (LP:
    #1473492)

  [ Lukáš Tinkl ]
  * Fix power dialogs on desktop
  * Provide DBUS compatibility with  various session services
    (suspend/hibernate, lock/unlock, screensaver, etc)
  * React on PrtScr keyboard shortcut for taking screenshots on desktop
    (LP: #1474149)
  * launcher parity: close apps from quicklist (LP: #1457201)

  [ Michael Zanetti ]
  * Implement first edition for a desktop Alt+Tab spread
  * drop the gcc-4.9 dependency (LP: #1452348)

  [ Mirco Müller ]
  * Added corresponding tests and visual tweaks to a launcher-item's
    progress-overlay.
  * Added corresponding tests and visual tweaks to a launcher-item's
    progress-overlay.
  * Implemented alert/wiggle feature for launcher-icons.
  * Implemented alert/wiggle feature for launcher-icons.

  [ handsome_feng ]
  * makes left swip reset the search string. (LP: #1413791)

  [ handsome_feng<445865575@qq.com> ]
  * Don't expand indicators when tap to return to call. (LP: #1453217)
  * makes left swip reset the search string. (LP: #1413791)

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 29 Jul 2015 12:39:01 +0000

unity8 (8.10+15.10.20150708.2-0ubuntu1) wily; urgency=medium

  [ Albert Astals Cid ]
  * Make the card sizes a bit dependant on the total of gu of the dash

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 08 Jul 2015 15:01:41 +0000

unity8 (8.10+15.10.20150702.2-0ubuntu1) wily; urgency=medium

  [ Albert Astals Cid ]
  * Save screenshots of suspended apps to disk
  * Set width of title label when inside the title row (LP: #1461979)
  * qmluitests was renamed to uitests

  [ CI Train Bot ]
  * Resync trunk.

  [ Daniel d'Andrada ]
  * Fix tst_OrientedShell and tst_Tutorial (LP: #1469761, #1466947)

  [ Leo Arias ]
  * Reorganized the python test helper modules. Deprecated the
    unity8.shell.emulators namespace. (LP: #1306340)

  [ Leonardo Arias Fonseca ]
  * Reorganized the python test helper modules. Deprecated the
    unity8.shell.emulators namespace. (LP: #1306340)

  [ Lukáš Tinkl ]
  * fix PO files extraction

  [ Michael Zanetti ]
  * Make use of QInputDeviceInfo in order to automatically switch
    between usage modes and hide the OSK.

  [ Nick Dedekind ]
  * Fixed qtmultimedia mock which was generating errors in tests

  [ Richard Huddie ]
  * Reorganized the python test helper modules. Deprecated the
    unity8.shell.emulators namespace. (LP: #1306340)

 -- CI Train Bot <ci-train-bot@canonical.com>  Thu, 02 Jul 2015 16:09:57 +0000

unity8 (8.10+15.10.20150618-0ubuntu1) wily; urgency=medium

  [ Albert Astals Cid ]
  * Refactor QmlTest.cmake module so that all tests can go through it.
    Also a bit of cleanup around tests.
  * Support fallback images for dash card and preview widgets (LP:
    #1324142)

  [ CI Train Bot ]
  * New rebuild forced.
  * Resync trunk.

  [ Daniel d'Andrada ]
  * Fix Shell tests

  [ Josh Arenson ]
  * Refactor greeter emulator to unlock the greeter via dbus

  [ Lukáš Tinkl ]
  * respect target window's devicePixelRatio in MouseTouchAdaptor

  [ Michael Zanetti ]
  * Refactor QmlTest.cmake module so that all tests can go through it.
    Also a bit of cleanup around tests.

  [ Michał Sawicz ]
  * Refactor QmlTest.cmake module so that all tests can go through it.
    Also a bit of cleanup around tests.

  [ handsome_feng ]
  * Forbid closing apps during the edge gesture. (LP: #1445572)
  * Removed the horizonal rule on pin unlock screen. (LP: #1368798)

  [ handsome_feng<445865575@qq.com> ]
  * Forbid closing apps during the edge gesture. (LP: #1445572)

 -- CI Train Bot <ci-train-bot@canonical.com>  Thu, 18 Jun 2015 19:40:06 +0000

unity8 (8.10+15.10.20150612-0ubuntu2) wily; urgency=medium

  * No-change rebuild against Qt 5.4.2.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 15 Jun 2015 12:33:07 +0300

unity8 (8.10+15.10.20150612-0ubuntu1) wily; urgency=medium

  [ Michał Sawicz ]
  * Implement full-shell rotation (LP: #1210199)

  [ CI Train Bot ]
  * New rebuild forced.
  * Resync trunk.

  [ Daniel d'Andrada ]
  * Implemented autopilot-test and fake-sensors for shell-rotation.

  [ Mirco Müller ]
  * Implemented autopilot-test and fake-sensors for shell-rotation.

 -- CI Train Bot <ci-train-bot@canonical.com>  Fri, 12 Jun 2015 16:07:47 +0000

unity8 (8.10-0ubuntu1) UNRELEASED; urgency=medium

  * Implement full-shell rotation (LP: #1210199)

 -- Michał Sawicz <michal.sawicz@canonical.com>  Wed, 15 Apr 2015 14:47:17 +0200

unity8 (8.02+15.10.20150603.1-0ubuntu1) wily; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.
  * Resync trunk.

  [ Renato Araujo Oliveira Filho ]
  * Set the device led color to green. (LP: #1450894)

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 03 Jun 2015 21:42:35 +0000

unity8 (8.02+15.10.20150518.1-0ubuntu1) wily; urgency=medium

  [ Albert Astals Cid ]
  * Add overrides to override functions
  * Implement "rating-edit" preview widget (LP: #1318144)
  * Make the DashContent::test_mainNavigation test more stable (LP:
    #1450809)
  * Use art height as implicitHeight when the header is overlayed and
    there's no summary

  [ CI Train Bot ]
  * New rebuild forced.
  * Resync trunk.

  [ Daniel d'Andrada ]
  * Introducing FloatingFlickable
  * Make Ubuntu.Gestures components install TouchRegistry by themselves

  [ Michael Terry ]
  * Fix a possible crash in our PAM threading code. (LP: #1425362) (LP:
    #1425362)
  * Fix the lockscreen becoming unresponsive after testing an app on the
    device from QtCreator. (LP: #1435364)

  [ Nick Dedekind ]
  * Fixed desktop stage app focus.
  * Fixed issue in laggy indicator autpilot tests (LP: #1446846)

 -- CI Train Bot <ci-train-bot@canonical.com>  Mon, 18 May 2015 23:04:39 +0000

unity8 (8.02+15.04.20150511-0ubuntu1) vivid; urgency=medium

  [ Albert Astals Cid ]
  * Workarounds for concierge mode.

  [ CI Train Bot ]
  * New rebuild forced.
  * Resync trunk.

 -- CI Train Bot <ci-train-bot@canonical.com>  Mon, 11 May 2015 08:29:58 +0000

unity8 (8.02+15.04.20150505-0ubuntu1) vivid; urgency=medium

  [ Albert Astals Cid ]
  * Make runtests fake a test error if make fails
  * Make the test more stable
  * Use dbus-test-runner instead of dbus-launch

  [ Daniel d'Andrada ]
  * DirectionalDragArea: improvements & API grooming (LP: #1417920)
  * Fix EdgeDragEvaluator when a drag can happen both ways
    (Direction.Horizontal)

  [ Josh Arenson ]
  * Remove panelHeight property as it is unused.

  [ Leo Arias ]
  * Initial clean up of the autopilot tests set up. Removed the touch
    device from the test case. Moved the restart of unity to a fixture.
    Removed the unused DragMixin. Updated the setUpClass to use
    process_helpers. Removed the workaround for bug #1238417, already
    fixed. Use the toolkit helper to set the testability environment
    variable. Fixed the indicators base class that was restarting unity
    twice. (LP: #1238417, #1447206)
  * Use the base class from the toolkit in autopilot tests.

  [ Michael Zanetti ]
  * emit application-stop when we're going down (LP: #1326513)

  [ Michał Sawicz ]
  * UNITY_SCOPES_LIST is no more

  [ handsome_feng<445865575@qq.com> ]
  * When click the favorite scope in Dash Manager , it just return to
    the corresponding scope page. (LP: #1447056)

 -- CI Train Bot <ci-train-bot@canonical.com>  Tue, 05 May 2015 14:47:24 +0000

unity8 (8.02+15.04.20150422-0ubuntu1) vivid; urgency=medium

  [ Albert Astals Cid ]
  * Compile with Qt 5.5 (LP: #1437238)
  * Different way of top aligning labels when the other one in the row
    is multiline (LP: #1442085)
  * make pot_file

  [ Andrea Cimitan ]
  * Set sourceSize for DashBackground.qml Image

  [ CI Train Bot ]
  * New rebuild forced.
  * Resync trunk. added: po/sk.po

  [ Daniel d'Andrada ]
  * Move handling of command line options to a separate class
  * Refactor tst_PhysicalKeysMapper.qml

  [ Leo Arias ]
  * For autopilot tests, use the device simulation scenarios from the
    toolkit.

  [ Leonardo Arias Fonseca ]
  * For autopilot tests, use the device simulation scenarios from the
    toolkit.

  [ Michael Zanetti ]
  * Make sure dnd mode is ended properly when drag gesture is cancelled
    (LP: #1444949)

  [ Michał Sawicz ]
  * Fix flake8 warnings (LP: #1444170)
  * Move mock indicator service to unity8-fake-env, as it's a binary-
    dependent package.

  [ Nick Dedekind ]
  * Use asynchronous dbus requests for property updates. (LP: #1436982)

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 22 Apr 2015 14:46:31 +0000

unity8 (8.02+15.04.20150409.1-0ubuntu1) vivid; urgency=medium

  [ Albert Astals Cid ]
  * Focus the shutdown dialog (LP: #1417991)
  * Make url-dispatching scope activation when the dash is not on the
    main scopes (LP: #1364306)
  * We use autopilot3 now

  [ CI Train Bot ]
  * New rebuild forced.
  * Resync trunk. added: po/or.po

  [ Daniel d'Andrada ]
  * Make tst_PreviewListView and tst_GenericScopeView work in out-of-
    source builds
  * MouseArea that shows the indicators panel should cover the
    indicators bar only (LP: #1439318)
  * Surface gets active focus also with mouse clicks

  [ Josh Arenson ]
  * Add a mode option to unity8 for selecting greeter mode in the future
  * Remove PkgConfig include from Launcher plugin to fix cross-compile
    (LP: #1437702)

  [ Leo Arias ]
  * Fixed the check for string in the lock screen test. (LP: #1434518)

  [ Michael Terry ]
  * Make sure the edge tutorial is destroyed when we receive a call
    during the wizard. (LP: #1436349)
  * Skip parts of the edge tutorial that require a touch device (like
    spread and bottom edge). (LP: #1434712)

  [ Michael Zanetti ]
  * Don't hide stages just because they're empty (LP: #1439615)
  * [Launcher] fix bug where an item would disappear even though the app
    is running (LP: #1438172)

  [ Nick Dedekind ]
  * Fixed autopilot test failures related to udev input failure for
    power button.
  * Made improvements for laggy indicator backends (lp#1390136). (LP:
    #1390136)

  [ Pete Woods ]
  * GPS only goes active when the Dash is in the foreground (LP:
    #1434379)

  [ handsome_feng<445865575@qq.com> ]
  * Modified the wrong time format in ScreenGrabber (LP: #1436006)

 -- CI Train Bot <ci-train-bot@canonical.com>  Thu, 09 Apr 2015 14:01:11 +0000

unity8 (8.02+15.04.20150320-0ubuntu1) vivid; urgency=medium

  [ Albert Astals Cid ]
  * Fix regression making pan not possible in Zoomable Image (LP:
    #1433506)
  * Make sure m_firstVisibleIndex is correctly set after processing
    changeSet.removes (LP: #1433056)
  * make pot_file

  [ Daniel d'Andrada ]
  * Don't show the rotating rect in "make tryFoo".

  [ Michael Zanetti ]
  * make pinlockscreen adjust better to larger displays

 -- CI Train Bot <ci-train-bot@canonical.com>  Fri, 20 Mar 2015 11:56:41 +0000

unity8 (8.02+15.04.20150318-0ubuntu1) vivid; urgency=medium

  [ Albert Astals Cid ]
  * Add some context to tr calls (LP: #1431497)
  * Require binaries and .pc files we call from code
  * Test: More stubborn flick to the end

  [ Andrea Cimitan ]
  * Refactor PreviewOverlay to fix weird zoom out/in animations when
    previewing images from the Previews

  [ CI Train Bot ]
  * Resync trunk.

  [ Charles Kerr ]
  * Re-enable a rotation lock test now that the bug that broke that test
    has been fixed. (LP: #1410915)

  [ Daniel d'Andrada ]
  * Darkened area behind indicators menu should eat input until it fully
    disappears (LP: #1417967)
  * DesktopStage - fix focus switch when user taps on window (LP:
    #1431325)
  * Fix warnings when launching tutorial
  * Make MouseTouchAdaptor controllable from within QML
  * Make tst_Shell absorb tst_TabletShell

  [ Leo Arias ]
  * Changed the autopilot dependencies so they do not require qt4. (LP:
    #1429158)
  * Drop the support for python2 in autopilot tests. (LP: #1429163)
  * Stop using the deprecated toolkit emulators namespace in autopilot
    tests. (LP: #1341681)

  [ Michael Terry ]
  * Don't close wizard & edge tutorial when the unity8-dash closes (LP:
    #1425484)
  * Don't let the wizard sit indefinitely, waiting for a wizard page to
    finish preparing itself. (LP: #1425737)
  * Fix two broken qmluitest files by waiting for everything to settle
    before starting the tests.
  * Only call unlockAllModems once the wizard is done. (LP: #1425161)
    (LP: #1425161)
  * When we are locking the user out from too many login failures,
    notice when time passes even if the device is suspended. (LP:
    #1396817) (LP: #1396817)

  [ Michael Zanetti ]
  * Add a mouse area to the indicators panel so we can open them by
    clicking. (LP: #1417650)
  * fix launcher not reacting to first click when revealed by mouse
    hover, add tests
  * performance improvements (LP: #1430233, #1425087)

  [ Michał Sawicz ]
  * Remove the activity indicator from tests
  * Use targets instead of custom ld arguments for linking

  [ Mirco Müller ]
  * Updated the visuals of the SwipeToAct-widget for incoming-call snap-
    decision notifications according to new design-spec.
  * Updated the visuals of the SwipeToAct-widget for incoming-call snap-
    decision notifications according to new design-spec.

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 18 Mar 2015 10:19:06 +0000

unity8 (8.02+15.04.20150302-0ubuntu2) vivid; urgency=medium

  * No-change rebuild against Qt 5.4.1.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 11 Mar 2015 10:27:23 +0200

unity8 (8.02+15.04.20150302-0ubuntu1) vivid; urgency=medium

  [ Albert Astals ]
  * Don't precache items that are outisde the 1.5*height buffering area
    (LP: #1410131)

  [ Albert Astals Cid ]
  * Don't precache items that are outisde the 1.5*height buffering area
    (LP: #1410131)

  [ Chris Townsend ]
  * Add a wrapper for handling the
    /org/gnome/SessionManager/EndSessionDialog DBus object used by
    indicator-session. This allows indicator-session to properly talk to
    the Unity 8 session management functions. (LP: #1392187)
  * Allow for proper logout session management. This uses the
    EndSession() Upstart DBus method on the current session bus. (LP:
    #1360316)
  * Make the Unity 8 session dialogs behave in the same fashion as Unity
    7. From indicator-session: Clicking "Log Out" will now present a
    dialog to "Lock", "Log Out", or "Cancel". Clicking "Shut Down" will
    now present a dialog to "Reboot", "Shut Down", or "Cancel". (LP:
    #1416074)

  [ Daniel d'Andrada ]
  * Add NO_TESTS cmake option to skip tests and therefore speed up
    builds
  * Remove enums and properties that doesn't exist in the real
    ApplicationManager
  * Stabilize some Shell qml tests

  [ Josh Arenson ]
  * Create a PhysicalKeyMapper to handle all physical/hardware keys (LP:
    #1390393)

  [ Michael Terry ]
  * Make the draggable part of the right edge (during the tutorial) a
    constant size, instead of having it grow and shrink as the spread
    peeks out from the side.

  [ Michał Sawicz ]
  * Create a PhysicalKeyMapper to handle all physical/hardware keys (LP:
    #1390393)

  [ Robert Bruce Park ]
  * Launchpad automatic translations update.

 -- CI Train Bot <ci-train-bot@canonical.com>  Mon, 02 Mar 2015 12:11:21 +0000

unity8 (8.02+15.04.20150226-0ubuntu1) vivid; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ Pete Woods ]
  * Only set scopes active when the screen is on (LP: #1422879)

 -- CI Train Bot <ci-train-bot@canonical.com>  Thu, 26 Feb 2015 19:39:54 +0000

unity8 (8.02+15.04.20150224-0ubuntu1) vivid; urgency=medium

  [ Albert Astals Cid ]
  * Dash manage hint should not be visible in previews+test (LP:
    #1422260)
  * Do not declare the hostname property twice
  * Fix some warnings in Mock Notifications
  * Make qmluittests pass with Qt 5.4
  * Preserve the aspect ratio for the card attribute images (LP:
    #1411751)
  * Update qmltypes

  [ Andrea Cimitan ]
  * Add maximumLineCount for subtitle label in cards (LP: #1414870)

  [ Michael Terry ]
  * Move the gschema file to data/ and install it via cmake, not dpkg.
  * Refactor the greeter code to be more compartmented and isolatable.
  * Silence a couple qml warnings. (LP: #1423286)
  * Wait for libqofono to finish initializing before we decide whether
    to skip the wizard's SIM page or not.

  [ Michael Zanetti ]
  * enable revealing the launcher by hitting the left edge using the
    mouse

  [ Ying-Chun Liu ]
  * Add Autopilot Notification helper.

 -- CI Train Bot <ci-train-bot@canonical.com>  Tue, 24 Feb 2015 10:17:16 +0000

unity8 (8.02+15.04.20150216.1-0ubuntu1) vivid; urgency=medium

  [ Andrea Cimitan ]
  * Fix temp scopes opening temp scopes, correctly close previously
    opened temp scope with its preview (LP: #1410337)
  * Set sourcesize for scopes images in manage dash

  [ CI Train Bot ]
  * Resync trunk

  [ Albert Astals Cid ]
  * Test for bug #1316660 (LP: #1316660)
  * Hardcode tranlsation for internal.location field (LP: #1393438)
  * Make sure the height it's the height it will have

  [ Michael Zanetti ]
  * Cleanup cmake warning about missing Qt5Sql module

 -- CI Train Bot <ci-train-bot@canonical.com>  Mon, 16 Feb 2015 13:14:26 +0000

unity8 (8.02+15.04.20150211-0ubuntu2) vivid; urgency=medium

  * No-change rebuild against Qt 5.4.0.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 13 Feb 2015 15:17:18 +0200

unity8 (8.02+15.04.20150211-0ubuntu1) vivid; urgency=medium

  [ Michael Terry ]
  * Redesign tutorial to match latest spec (just removing obsolete pages
    and redesigning look, no new pages yet)
  * Add new right-edge and bottom-edge screens to the first-boot edge
    tutorial (LP: #1383297)
  * Support switching the indicator profile on the fly, as the greeter
    appears and disappears. (But don't use it yet, not until the
    settings panel to control this is in place.)
  * Clip the infographic to its bounding box, instead of letting it
    bleed past the welcome page (visible when dragging the welcome page
    to the side).

  [ Michael Zanetti ]
  * Add an AccountService based launcher model to be used with split
    greeter
  * Launcher fixes for windowed mode
  * save and restore window size and position
  * Fix resizing windows when making it smaller than minSize and then
    larger again.

  [ handsome_feng<445865575@qq.com> ]
  * makes the header fully reveal when tapping the search icon. (LP:
    #1379327)

  [ Mirco Müller ]
  * Allow swipe-to-dismiss for contracted snap-decision notifications,
    interactive notifications and ephemeral notifications. (LP:
    #1355422, #1334855)

  [ Daniel d'Andrada ]
  * Make indicators bar eat all events
  * Improve Launcher tests, making them more reliable
  * Tapping on a surface gives it active focus

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 11 Feb 2015 17:13:16 +0000

unity8 (8.02+15.04.20150123.3-0ubuntu1) vivid; urgency=low

  [ Sebastien Bacher ]
  * Set text hint property for the messaging menus inline reply widget
    (LP: #1389234)

  [ Ying-Chun Liu ]
  * Added an initial set of autopilot tests for the display indicator.

  [ Nick Dedekind ]
  * Removed filtering the indicator model by visibility.

  [ Michael Zanetti ]
  * fixes left edge drag when in spread

  [ Albert Astals Cid ]
  * Fix ninja build in a different way The previous one was adding rpath
    to some .so that broke our tests that use LD_LIBRARY_PATH to change
    which one is picked up

  [ Leo Arias ]
  * Added an initial set of autopilot tests for the display indicator.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 23 Jan 2015 12:12:41 +0000

unity8 (8.02+15.04.20150121.2-0ubuntu1) vivid; urgency=low

  [ Michael Terry ]
  * Don't show any power dialogs while the screen is off. This is a
    band-aid to avoid the symptom, while we still investigate the source
    of why the screen doesn't turn on (and why we seem to not handle the
    power-button-release event). (LP: #1409003, #1410830)
  * Don't refocus the dialer-app when a call is started by the user.
    Because of how qtmir works, this would cause the dialer-app to
    unfocus momentarily, causing interface oddities for the user. (LP:
    #1413065)

  [ CI Train Bot ]
  * Resync trunk

  [ Albert Astals Cid ]
  * Build with ninja
  * Fixes for Table Preview Widget (LP: #1410420)

  [ Michael Zanetti ]
  * Add support for earpiece media buttons (LP: #1398427)
  * Add a WindowMoveResizeArea and tests for it

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 21 Jan 2015 18:33:18 +0000

unity8 (8.02+15.04.20150113.1-0ubuntu1) vivid; urgency=low

  [ Andrea Cimitan ]
  * support background on horizontal cards with summary (LP: #1393008)

  [ Gerry Boland ]
  * DashCommunicator: replace QDBusInterface with a non-blocking
    simplification which does not introspect the service on creation
    (LP: #1403508)

  [ Leo Arias ]
  * Added an autopilot test for the edges demo.

  [ Albert Astals ]
  * Don't show the manage dash pull up arrow on temp scopes (LP:
    #1401869)
  * Remove hack, newer Qt already support keyClick(char)
  * Tests: Add Qt 5.5 removal TODOs
  * Make sure we use fPIC when compiling files for the static library
    too
  * Make sure changing a scope doesn't trigger creation/destruction of
    delegates until it's finished (LP: #1410122)

  [ Michael Zanetti ]
  * patch debian/control file before using it to make it work with mk-
    build-deps

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 13 Jan 2015 20:58:08 +0000

unity8 (8.02+15.04.20150109.2-0ubuntu1) vivid; urgency=low

  [ Michał Sawicz ]
  * We don't need the SIGSTOP in main() any more.
  * Add a test to make sure the shell always starts disabled until it is
    enabled by a complete PAM interaction.

  [ Leo Arias ]
  * Added an autopilot test for the edges demo.

  [ Nick Dedekind ]
  * Unhook Lights interface from indicator widgets (LP: #1385331)

  [ Albert Astals ]
  * Fix going to scopes when the Manage Dash is open (LP: #1403464)
  * QSortFilterProxyModelQML -> UnitySortFilterProxyModelQML
  * Clip the Scopes List header
  * Fix ScopesList not being under finger
  * Make waitForRendering with no item fail instead of crash
  * Disable Dash horizontal scroll while Navigation InverseMouseArea is
    pressed (LP: #1403048)
  * Test: Make sure the mouse area is enabled before clicking into it
  * Test: We actually need to click on the customBackButton and not on
    backButton
  * Test: By default mouseX act on the middle

  [ Michael Terry ]
  * Don't block handling power events on loading the greeter's qml and
    the background image.
  * Show OSK above the wizard. (LP: #1401213)
  * Unify the name of the Greeter DBus test, make it use our standard
    binary test macro (which also nicely exports xml results), and make
    the test a little more robust against timing issues.
  * Add a test to make sure the shell always starts disabled until it is
    enabled by a complete PAM interaction.

  [ Martin Pitt ]
  * tests: Fix Notify.Notification.add_action invocation to work also
    with unpatched libnotify API. (LP: #1223401)

  [ Rodney Dawes ]
  * Depend on :native version of g++ to allow cross-compiling to work.
    (LP: #1353855)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 09 Jan 2015 10:43:06 +0000

unity8 (8.02+15.04.20141216.1-0ubuntu1) vivid; urgency=low

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Albert Astals ]
  * Need to wait until loaded is true to use the count property
  * Manage Dash: Ellide properly

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 16 Dec 2014 11:03:37 +0000

unity8 (8.02+15.04.20141215.3-0ubuntu1) vivid; urgency=low

  [ Albert Astals Cid ]
  * ScopesList: Use the default scope style for the header

  [ Daniel d'Andrada ]
  * Refactor Dialogs.qml to use proper in-scene dialogs
  * Make Greeter nicely handle being resized

  [ Albert Astals ]
  * Rework how we set the ranges so we get some more asynchronousity
    from item views (LP: #1384374)
  * clickscope is back to being unfavoritable (LP: #1400762)
  * Fix clicking on the manage dash list after having moved the current
    scope
  * Make the drag range be a multiple of the drag "rate" value.
    Workarounds https://bugs.launchpad.net/mir/+bug/1399690

  [ Gerry Boland ]
  * MockAppMan: emit SIGSTOP so AP test apps are run (LP: #1394208)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 15 Dec 2014 22:43:16 +0000

unity8 (8.02+15.04.20141212.1-0ubuntu1) vivid; urgency=low

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Albert Astals ]
  * Make Navigation work when "jumping" to the non root

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 12 Dec 2014 12:28:10 +0000

unity8 (8.02+15.04.20141211.2-0ubuntu1) vivid; urgency=medium

  [ Michał Sawicz ]
  * Bump version due to new Manage Dash

  [ Gerry Boland ]
  * [indicators] Fix positioning on panel resize.

  [ Nick Dedekind ]
  * [indicators] Fix positioning on panel resize.

  [ Albert Astals ]
  * Fix the Dash Header hamburger menu background color
  * Fix tests (LP: #1400449)
  * Allow pulling manage dash if there's no favorite scopes (LP:
    #1400774)
  * Manage Dash: Make store button work even if you have no favorites
    (LP: #1400771)
  * Make pot_file

  [ CI Train Bot ]
  * Resync trunk

  [ Andrea Cimitan ]
  * Remove dismiss timer in Launcher (LP: #1368778)

  [ Michael Zanetti ]
  * decrease opacity changes in spread, move it to a separate surface.
  * Add an initial, rudimentary DesktopStage to get started
  * Uninvert Launcher in Desktop Mode
  * Add support for Wallpaper in Desktop stage
  * Add window control buttons to panel for fullscreen applications

  [ Rodney Dawes ]
  * Add dependency on gir1.2-notify-0.7 to unity8-autopilot package.
    (LP: #1400437)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 11 Dec 2014 13:25:44 +0000

unity8 (8.01+15.04.20141205-0ubuntu1) vivid; urgency=low

  [ CI Train Bot ]
  * Resync trunk

  [ Albert Astals ]
  * Replace Scopes Overview by the new Manage Dash (LP: #1386698,
    #1368670)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 05 Dec 2014 10:55:50 +0000

unity8 (8.01+15.04.20141204-0ubuntu1) vivid; urgency=low

  [ Michael Terry ]
  * Import wizard code from ubuntu-system-settings.
  * Convert the welcome wizard from a separate executable into a qml
    plugin (with a small C++ plugin for support).
  * Add tests for welcome wizard.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 04 Dec 2014 20:55:11 +0000

unity8 (8.01+15.04.20141202-0ubuntu1) vivid; urgency=low

  [ Michael Terry ]
  * Make sure that there is no window of opportunity for swiping away
    greeter before the lockscreen appears.
  * Don't allow dragging the greeter out from the left edge if it's
    hidden there. (LP: #1372952)

  [ Michał Sawicz ]
  * Move from Theme colour to direct UbuntuColors.orange for activity
    indicator and preview buttons

  [ Albert Astals ]
  * Use QImageReader not to load the image into memory twice (LP:
    #1384374)
  * Don't create the whole current scope delegates, just height * 3 (LP:
    #1384393, #1384374)
  * Make CroppedImageSizer async
  * Use ubuntu::connectivity::NetworkingStatus instead of
    QNetworkConfigurationManager
  * Compile with Qt 5.4 (LP: #1395636)

  [ Michael Zanetti ]
  * close previews and temp scopes on left edge/BFB (LP: #1391798)
  * make spread reversible (LP: #1368668, #1355284, #1368677)

  [ Andrea Cimitan ]
  * Different drag behaviour for not closable apps in spread (LP:
    #1368287)

  [ Daniel d'Andrada ]
  * Make UnityTestCase.touchFlick properly map event coordinates

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 02 Dec 2014 09:26:49 +0000

unity8 (8.01+15.04.20141125.2-0ubuntu1) vivid; urgency=low

  [ Michael Zanetti ]
  * improve snapping after dragging
  * Make the launcher BFB rounded on one end (LP: #1382596)
  * disable swipeToClose while some snapping is happening (LP: #1378938)
  * increase threshold and avoid jumping in SpreadDelegate dragging (LP:
    #1352842, #1350803)

  [ Ying-Chun Liu ]
  * Notifications should be on right side when wide. (LP: 1379384) (LP:
    #1379384)

  [ Albert Astals ]
  * Fix qml warnings
  * Fix some qmluitests

  [ Lars Uebernickel ]
  * Use Icon instead of StatusIcon

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 25 Nov 2014 13:54:47 +0000

unity8 (8.01+15.04.20141117-0ubuntu1) vivid; urgency=low

  [ josharenson ]
  * Return focus to the application after a tusted session overlay is
    closing. (LP: #1381292)

  [ Josh Arenson ]
  * Return focus to the application after a tusted session overlay is
    closing. (LP: #1381292)

  [ Albert Astals ]
  * Remove unused ResponsiveFlowView
  * Fix a few cmake warnings when running ./build.sh in a clean checkout

  [ Mirco Müller ]
  * Make sure non-square icons are not cropped. (LP: #1378417)

  [ Michael Terry ]
  * Drop the "EARLY ALPHA" scare label when running in testing mode.

  [ Michael Zanetti ]
  * unify Greeter and Lockscreen wallpaper again
  * hide quicklist when launcher hides (LP: #1387088)
  * Keep applications suspended while lockscreen is shown (LP: #1378126)
  * change spread background color to 111111

  [ Omer Akram ]
  * show password when tapped on the 'Show password' label, not just the
    checkbox. (LP: #1389832)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 17 Nov 2014 13:48:33 +0000

unity8 (8.01+15.04.20141107.2-0ubuntu2) vivid; urgency=medium

  * No-change rebuild against Qt 5.3.2.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Sat, 08 Nov 2014 13:50:11 +0200

unity8 (8.01+15.04.20141107.2-0ubuntu1) vivid; urgency=low

  [ Michael Terry ]
  * Skip second SIM unlock dialog if user presses Emergency Call on
    first one (LP: #1387925)

  [ Michael Zanetti ]
  * fix positive/negative answer order on the new swipe notification
    (LP: #1358343)
  * Update PageHeader to use new SDK api
  * antialias surfaces when in spread (LP: #1351559)

  [ Albert Astals ]
  * Remove Hud

  [ Mirco Müller ]
  * Replace ComboButton in snap-decision notifications, used for
    additional actions (> 3 actions), with custom widget immune to
    accidental taps. (LP: #1384730)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 07 Nov 2014 14:33:02 +0000

unity8 (8.01+15.04.20141104-0ubuntu1) vivid; urgency=low

  [ Sebastien Bacher ]
  * Drop workaround, it's not needed and create issues for desktop-next
    (LP: #1387671)

  [ Albert Astals ]
  * Do not append integer to char *
  * Remove unused end() function
  * Update build.sh
  * Fix i18n

  [ Michael Zanetti ]
  * rework launcher quicklist visuals to fit new design (LP: #1368660)
  * Fix DBusVariant conversion for launcher emblems (LP: #1387261)
  * Fix desktop file encoding in launcher (LP: #1387083)
  * Add a hinting animation to indicate changes in the backend (LP:
    #1376707)

  [ Alberto Aguirre ]
  * Add audioRole to QtMultimedia mock
  * Add a plugin to take screenshots on vol up + vol down

  [ CI bot ]
  * Fix relative time formatter when using non-UTC timezone. (LP:
    #1378821)

  [ Leo Arias ]
  * Removed the tests for the alternate paths of the autopilot helpers.

  [ Nick Dedekind ]
  * Fix relative time formatter when using non-UTC timezone. (LP:
    #1378821)
  * Reset current item selection on deleted. (LP: #1378462)
  * Added timer to re-assert server value after indicator menu item
    activation. (LP: #1336715)

  [ Mirco Müller ]
  * Added dedicated swipe-to-act button for snap-decisions, which avoids
    accidental taps/button-presses. (LP: #1358343)

  [ Chris Gagnon ]
  * add missing unity-scope-click dependancy to unity8-autopilot package
    (LP: #1336276)

  [ Michael Terry ]
  * Don't lock phone if user tries to switch back to an active call.
    (LP: #1388156)

  [ Daniel d'Andrada ]
  * DirectionalDragArea: Update TODO comment in light of new events
  * TouchDispatcher: synthesize MouseButtonDblClick events

  [ Leonardo Arias Fonseca ]
  * Removed the tests for the alternate paths of the autopilot helpers.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 04 Nov 2014 12:56:08 +0000

unity8 (8.01+15.04.20141030-0ubuntu1) vivid; urgency=medium

  [ Michael Terry ]
  * Provide 'passphrase' as a field of Components.Lockscreen
  * Fix a race between Qml loading and DBus registration that caused
    problems when jenkins tried to unlock the phone.
  * Set domain explicitly for the Dialogs component because the welcome
    wizard wants to import it. (LP: #1381731)
  * When greeter or lockscreen has focus, show active call panel. (LP:
    #1378872)

  [ Ted Gould ]
  * Set the default OOM score for the dash (LP: #1379786)

  [ Michał Sawicz ]
  * Revert lp:~unity-team/unity8/flickables-speed-workaround to avoid
    risk in RTM.
  * Updated behaviour for zoomable image, workaround for sourcesize (LP:
    #1333187)

  [ Michael Frey ]
  * Added a check for Proximity to determine if we show the lock screen.
    (LP: #1378012)

  [ Ying-Chun Liu ]
  * Add non-interactive code into GenericScopeView. (LP: #1384441)

  [ Mirco Müller ]
  * Also use modal nature of snap-decision notifications when
    greeter/lockscreen is shown. This fixes LP: #1378827. (LP: #1378827)

  [ Michael Zanetti ]
  * Make the launcher update on dconf changes (LP: #1376707)
  * exit spread on background tap (LP: #1368261)
  * Use an index instead of a scope id in DashCommunicator (LP:
    #1376044)

  [ Andrea Cimitan ]
  * Updated behaviour for zoomable image, workaround for sourcesize (LP:
    #1333187)

  [ Daniel d'Andrada ]
  * Make TouchGate synthesize QMouseEvents for mouse-based target items
  * Don't specify a distanceThreshold as it conflicts with
    hintDisplacment

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 30 Oct 2014 21:43:42 +0000

unity8 (8.00+15.04.20141030-0ubuntu1) vivid; urgency=low

  [ josharenson ]
  * Fix lp:1370240 by making stages interactive when a snap decision is
    dismissed. (LP: #1370240)

  [ Nick Dedekind ]
  * remove qml ownership confusion for caching unitymenumodels (LP:
    #1368856)
  * Implementation of expandable panel design (LP: #1368856)

  [ Albert Astals ]
  * CardAttributes: Specify column and row since the gridlayout gets
    confused sometimes (LP: #1381092)
  * Reset VerticalJournal until the cardTool settles (LP: #1381255)

  [ Mirco Müller ]
  * Added synchronous/confirmation notification support to unity8. (LP:
    #1232633)

  [ Michael Zanetti ]
  * Fix lp:1370240 by making stages interactive when a snap decision is
    dismissed. (LP: #1370240)
  * Drop all visual indication of "pinning" (LP: #1381054)

  [ Antti Kaijanmäki ]
  * Unlock all modems on boot. (LP: #1333121)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 30 Oct 2014 10:51:17 +0000

unity8 (8.00+14.10.20141013.2-0ubuntu1) utopic; urgency=low

  [ Michael Terry ]
  * Don't show initial lockscreen during the edge demo. The user just
    set up their phone with a password, it's pointless to ask them
    again. (LP: #1358283)
  * Distinguish between incoming calls and other dialer-app opens. (LP:
    #1378218) (LP: #1378218)

  [ Andrea Cimitan ]
  * Fix flickable speed to be resolution independent, by subclassing
    components (LP: #1348557)

  [ Michał Sawicz ]
  * Fix the ShellWithPin test and some functionality.

  [ Albert Astals ]
  * Move Base.qml to DashCategoryBase
  * Fix first item positioning when m_clipItem->y() is not 0 (LP:
    #1251597)
  * Fix some small qml warnings

  [ Daniel d'Andrada ]
  * Add touch ownership logic on top of qt input handling

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 13 Oct 2014 15:43:03 +0000

unity8 (8.00+14.10.20141009.4-0ubuntu1) utopic; urgency=low

  [ Michał Sawicz ]
  * Rename datetime indicator in test

  [ Albert Astals ]
  * Close overview temp scope on show dash (LP: #1373819)
  * Enable QT_STRICT_ITERATORS
  * Make Base not clickable, since we don't use it in anywhere clickable
    (we only use it for Category delegates in the LVWPH) (LP: #1300709)
  * Hide preview if it was visible when going to a scope (LP: #1374548)
  * Remove contentScale variable

  [ Andrea Cimitan ]
  * Fix card implicitHeight when summary is declared, but its text is
    empty. Also fixes vertical journal height and clipping (LP:
    #1362160)
  * Redesign for pinned apps. Remove thindivider on top of ubuntu dash
    button (not needed anymore) (LP: #1377100)

  [ Ying-Chun Liu ]
  * Fix run_on_device.sh to let it run again.

  [ Nick Dedekind ]
  * Fixed indicator menu bindings to server toggle value broken by user
    interaction. (LP: #1336715)
  * Force rendering so we don't get stuck in "waitForRendering" loop in
    tests.

  [ Daniel d'Andrada ]
  * PhoneStage: focus the new topmost app after the current one closes
    itself (LP: #1375267)

  [ Michael Terry ]
  * Fix some security issues with the tablet greeter, which allowed the
    lockscreen to be bypassed. (LP: #1367715) (LP: #1367715)

  [ Michael Zanetti ]
  * scale down errorText label if necessary (LP: #1378848)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 09 Oct 2014 14:05:54 +0000

unity8 (8.00+14.10.20141008-0ubuntu1) utopic; urgency=low

  [ Michael Zanetti ]
  * Dual SIM pin unlocking. Hook up the UI to the backend. (LP:
    #1267135)

  [ Antti Kaijanmäki ]
  * Dual SIM pin unlocking. Hook up the UI to the backend. (LP:
    #1267135)

  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 08 Oct 2014 09:41:32 +0000

unity8 (8.00+14.10.20141006-0ubuntu1) utopic; urgency=low

  [ Andrea Cimitan ]
  * Tweak card header to match the spec
  * Add preview image slideshow (LP: #1351537)

  [ Michał Sawicz ]
  * Cache more things in memory, so flicking scopes should be faster
    (LP: #1336724)
  * Tweak card header to match the spec
  * Save texture memory by limiting sourceSize (LP: #1338430)

  [ Ying-Chun Liu ]
  * Add attributes to Preview. (LP: #1282460)

  [ Albert Astals ]
  * Update pot
  * Cache more things in memory, so flicking scopes should be faster
    (LP: #1336724)
  * Save texture memory by limiting sourceSize (LP: #1338430)
  * Clip the settings list
  * Fix unlocking from the left again
  * Add wait_ makes tests more reliable

  [ Michael Zanetti ]
  * fix fading out the launcher instead of sliding it out on left-edge
    minimizing an app.
  * Make the DashCommunicator async and more flexible to handle a
    lifecycle-suspended dash (LP: #1339883)

  [ Michael Terry ]
  * Retry unlock-device script if it fails, as there is always a risk of
    a small race with boot-up. (LP: #1370644)
  * Add pull-to-refresh functionality to scopes. (LP: #1368336)

  [ CI bot ]
  * Resync trunk

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 06 Oct 2014 08:03:23 +0000

unity8 (8.00+14.10.20140930.2-0ubuntu1) utopic; urgency=low

  [ Alexandros Frantzis ]
  * Remove stale trusted socket before starting unity8 from upstart (LP:
    #1371597) (LP: #1371597)

  [ CI bot ]
  * Resync trunk

  [ Andrea Cimitan ]
  * Move activity indicator on top of keyboard (LP: #1354519)

  [ Gerry Boland ]
  * Cleanup: Remove unused member and fix small syntax error in
    OrientationLock

  [ josharenson ]
  * Fix lp:1367894 by correcting how the minute value is calculated in
    the panel. (LP: #1367894)

  [ Nick Dedekind ]
  * Fixed DefaultIndicatorPage test. Fixed warnings from test.

  [ Ying-Chun Liu ]
  * Remove maxLineCount in preview. (LP: 1328513) (LP: #1328513)

  [ Michael Terry ]
  * Fix some code that accidentally landed in trunk before it got
    cleaned up. The current code just has some duplication to it that
    should be unified.
  * Implement latest visual designs for passphrase lockscreen.
  * Make it easier to use the Lockscreen component from the welcome
    wizard.
  * Limit how much memory we reserve for the greeter background image,
    allowing giant images to appear correctly.

  [ Daniel d'Andrada ]
  * Add gdbTestComponentName build targets

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 30 Sep 2014 16:57:28 +0000

unity8 (8.00+14.10.20140926-0ubuntu1) utopic; urgency=low

  [ CI bot ]
  * Resync trunk

  [ Nick Dedekind ]
  * Visual changes for indicator RTM polishing (LP: #1329289)

  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 26 Sep 2014 19:12:39 +0000

unity8 (8.00+14.10.20140923-0ubuntu1) utopic; urgency=low

  [ Michael Zanetti ]
  * fix swiping away the launcher from the left edge
  * fix indicators AP test

  [ Florian Boucault ]
  * New Splash screen implementation that fakes real app

  [ Albert Astals ]
  * We need this in build-depends so that qmluitests pass in CI

  [ Daniel d'Andrada ]
  * New Splash screen implementation that fakes real app

  [ Michael Terry ]
  * Fix LC_ALL and test harder by making both manual runs of
    timeformattertest and the whole test suite use the same locale
    settings.

  [ CI bot ]
  * Resync trunk

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 23 Sep 2014 09:26:18 +0000

unity8 (8.00+14.10.20140918.3-0ubuntu1) utopic; urgency=low

  [ Michał Sawicz ]
  * Add -windowgeometry option to the Dash and drop any user-visible
    mentions of Dash
  * Dash: Fix issue when expanding a category and collapsing another one
    at the same time.

  [ Albert Astals ]
  * Dash: Fix issue when expanding a category and collapsing another one
    at the same time.
  * Make the categoryView invisible when we are in the preview mode (LP:
    #1341205)
  * Pixel pushing in the dash header (LP: #1365929)

  [ Ying-Chun Liu ]
  * Re-add restart button for power menu. (LP: 1358197) (LP: #1358197)

  [ Marcus Tomlinson ]
  * Don't show a preview if a null response is returned from
    scope.preview(result)

  [ Mirco Müller ]
  * Don't limit the number of text-lines for body-text. (LP: #1369438)

  [ Michael Zanetti ]
  * Don't hide launcher when nothing happens on long left edge swipes
    (LP: #1357333)
  * Rework LauncherBackend

  [ Michael Terry ]
  * When running qmluitests, make sure that they use LANGUAGE=C, fixing
    a test failure when running locally in the US.

  [ Daniel d'Andrada ]
  * Some ApplicationWindow test improvements

  [ Rodney Dawes ]
  * Check purchase state to determine if purchase was cancelled and hide
    progress. (LP: #1362622)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 18 Sep 2014 21:26:42 +0000

unity8 (8.00+14.10.20140918-0ubuntu1) utopic; urgency=low

  [ Michael Zanetti ]
  * Focus first app if there are already some running when we're
    starting up (LP: #1339883)

  [ Michał Sawicz ]
  * Don't play empty urls in Notification.qml

  [ Daniel d'Andrada ]
  * Improve tst_Shell
  * Build without any warnings
  * Make tst_Card work from outside the source tree (LP:1359201) (LP:
    #1359201)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 18 Sep 2014 09:44:06 +0000

unity8 (8.00+14.10.20140910.1-0ubuntu1) utopic; urgency=low

  [ Pete Woods ]
  * Disable OEM and Click scopes when system scopes are disabled

  [ CI bot ]
  * Resync trunk

  [ Pawel Stolowski ]
  * Set UNITY_SCOPES_NO_FAVORITES environment variable to make scopes
    plugin ignore favorite scopes and fix basic functionality of unity-
    scope-tool.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 10 Sep 2014 08:53:57 +0000

unity8 (8.00+14.10.20140908.1-0ubuntu1) utopic; urgency=low

  [ Michał Sawicz ]
  * Use a single white pixel instead of the heavier checkers image.
  * Add support to unlock-device for the new adbd coming down the
    pipeline. Also fix autopilot tests and run scripts for that.
  * Make LVWPH non interactive while on header animation
  * Improve references to scope/scopeStyle in PreviewListView and
    PageHeader, add tests.

  [ Nick Dedekind ]
  * Support for nested prompt session. (LP: #1358388)

  [ Albert Astals ]
  * Remove unused hasAttributes variable
  * Disable dash overview if in temp scope preview
  * Block mouse events under scope overview bottombar (LP: #1362206)
  * Fix regression in focus handling due to SDK change
  * Fix warning 'Background.qml:81:21: Unable to assign bool to QUrl'
  * Fix launcher internationalization
  * Make swipe and home button press in the launcher dismiss the
    overview
  * GSV: Use proper variable since altnav renames
  * Fix some "Cannot read property 'luminance' of null" warnings
  * Make LVWPH non interactive while on header animation

  [ Mirco Müller ]
  * Implemented the needed visual updates on notifications requested by
    Design for RTM. (LP: #1348092)

  [ Michael Terry ]
  * Don't show greeter when screen turns off during a call, even if
    proximity sensor isn't active. (LP: #1347001)
  * Add support to unlock-device for the new adbd coming down the
    pipeline. Also fix autopilot tests and run scripts for that.

  [ Michael Zanetti ]
  * open the application when clicking on the title entry in the
    quicklist (LP: #1336380)
  * Don't animate x while dragging apps from the left edge (LP:
    #1360105)

  [ Diego Sarmentero ]
  * Reset button state on cancel (LP: #1362622)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 08 Sep 2014 14:16:42 +0000

unity8 (8.00+14.10.20140903.1-0ubuntu1) utopic; urgency=low

  [ Nick Dedekind ]
  * Support for nested prompt session. (LP: #1358388)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 03 Sep 2014 07:58:49 +0000

unity8 (8.00+14.10.20140828.1-0ubuntu1) utopic; urgency=low

  [ Michael Terry ]
  * Reverse default for the user option "allow launcher/panel in greeter
    when locked." And allow that property to be controlled by an
    AccountsService property. (LP: #1358340) (LP: #1358340)
  * With recent password support, we want to be able to unlock the
    device even with a password set. And we need to be able to do this
    once the new adbd lands. So I've added a DBus command to hide the
    greeter. This should be secure because all apps are constrained and
    if you're on the local session bus unconstrained, you already have
    access to anything you want.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 28 Aug 2014 20:06:41 +0000

unity8 (8.00+14.10.20140827.2-0ubuntu1) utopic; urgency=low

  [ Michał Sawicz ]
  * Implement scope header customization options
  * Don't ignore empty attributes in CardAttributes.qml and improve its
    encapsulation (LP: #1355901)
  * Add support for preview button color customization. Deprecate
    support for action icons.
  * Add table preview widget
  * Make "See Less" get stuck at the bottom of the view
  * Support alternative navigation in the dash.
  * Add scope settings UI
  * Add scope favoriting support
  * Passcode, not PIN (LP: #1361114)

  [ Jussi Pakkanen ]
  * Use nullptr instead of NULL.

  [ Albert Astals ]
  * Add table preview widget
  * Make "See Less" get stuck at the bottom of the view
  * Support alternative navigation in the dash.
  * Make the PageHeaderLabelTest pass under valgrind

  [ Benjamin Zeller ]
  * Add support for scope:// url in the dash (LP: #1361349)

  [ Marcus Tomlinson ]
  * Handle the openScope signal in "tempScopeItem" (ScopesOverview.qml)
    as is done with "scopeItem" (Dash.qml) (LP: #1356410)

  [ Daniel d'Andrada ]
  * Make "See Less" get stuck at the bottom of the view

  [ Andrea Cimitan ]
  * Fix right padding on overlay card
  * Add scope settings UI

  [ Michael Zanetti ]
  * use a smaller asset for the app's dropshadow (LP: #1359157)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 27 Aug 2014 15:37:05 +0000

unity8 (8.00+14.10.20140825.3-0ubuntu1) utopic; urgency=low

  [ Daniel d'Andrada ]
  * SpreadDelegate - properly transition between splash screen, surface
    and screenshot

  [ Michał Sawicz ]
  * Rename Ubuntu.Connectivity to Unity.Connectivity to avoid name clash

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 25 Aug 2014 13:10:57 +0000

unity8 (8.00+14.10.20140822-0ubuntu1) utopic; urgency=low

  [ Albert Astals ]
  * More stable dash overview tests
  * PreviewExpandable: "widgets" is a model, not an array

  [ Alberto Aguirre ]
  * Proxy inactivity timeout values from gsettings into Unity.Screen
    (LP: #1230345)

  [ Gerry Boland ]
  * Cancel open PAM interactions on shutdown - fixes hang on logout on
    desktop (LP: #1353041)

  [ Diego Sarmentero ]
  * Show progress bar on payment button click The payment process has a
    small delay before the UI comes up which might cause confusion. Show
    a progress bar with unknown value to indicate activity. (LP:
    #1354139)

  [ Mirco Müller ]
  * Made notification qml-test pass again by using Component.onCompleted
    instead of onOpacityChanged for the time being.

  [ Michael Zanetti ]
  * Implement new lockscreen designs

  [ Michael Terry ]
  * Show the SIM unlock dialog immediately after booting, and enable its
    emergency call button.
  * Always keep indicator/launcher locked state in sync with whether the
    user is authenticated. (LP:# 1357230) (LP: #1357230)
  * Allow logging into a desktop or tablet session again, by properly
    dismissing old PAM conversations. (LP: #1350878) In a desktop or
    tablet, we were accidentally starting two PAM conversations in
    sequence on startup. Which is a small bug; it shouldn't normally be
    a problem, since each new PAM conversation should kill the old
    one.But the way we were killing the old one was subject to a thread
    race condition. See, a PAM conversation thread won't exit until all
    its prompts are answered. And what we do when we kill a PAM
    conversation is to answer all prompts with empty strings.But it's
    possible that when we want to kill a PAM conversation that it hasn't
    actually gotten to the point of prompting us yet. And when those
    prompts do come through, we were treating them as prompts for the
    new PAM conversation.So I've changed the PAM conversation logic to
    include a pam_handle and compare the handle with the current handle
    when being prompted. If it's an old handle, we just dismiss the
    prompt with an empty string response.Oh, and I fixed the bug that
    caused two prompts on startup in the first place. (But we still need
    the above logic anyway, for when you switch users quickly.) (LP:
    #1350878)

  [ Martin Pitt ]
  * Mark for using language packs.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 22 Aug 2014 09:29:41 +0000

unity8 (8.00+14.10.20140820-0ubuntu1) utopic; urgency=low

  [ CI bot ]
  * Resync trunk

  [ Nick Dedekind ]
  * Fixed CachedUnityMenuModel destruction unhinging indicators. (LP:
    #1328646)

  [ Mirco Müller ]
  * Temporarily disable any opacity-animation for notifications to
    unblock the train due to LP: 1354406. (LP: #1354406)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 20 Aug 2014 20:03:55 +0000

unity8 (8.00+14.10.20140817-0ubuntu1) utopic; urgency=low

  [ CI bot ]
  * Resync trunk

  [ Michał Sawicz ]
  * Fix dash overview test and prevent crash in mock ApplicationInfo's
    d'tor. tryCompareFunction didn't work because .item threw.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Sun, 17 Aug 2014 00:37:35 +0000

unity8 (8.00+14.10.20140815.1-0ubuntu1) utopic; urgency=low

  [ Michael Terry ]
  * Bring dialer to front on incoming call even when device is locked
    (LP: #1354532)

  [ CI bot ]
  * Resync trunk

  [ Michał Sawicz ]
  * Use palette's baseText for text colour in dash.
  * Update qmltypes definitions
  * Move PageHeader out of qml/Components into qml/Dash
  * Reshuffle and update dependencies
  * Fix cardtool test and make card creator output debugging info on
    errors.
  * Support previews for scopes in overview and hook up preview
    processing to activity indicator.
  * Fix notifications indicator title
  * Fix horizontal list activation and add test for it.

  [ Ying-Chun Liu ]
  * Add button colors and i18n for power off dialog. (LP: #1354506)

  [ Mirco Müller ]
  * Force plain-text rendering for summary- and body-text. (LP:
    #1335787)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 15 Aug 2014 17:38:07 +0000

unity8 (8.00+14.10.20140814.1-0ubuntu1) utopic; urgency=low

  [ Michael Terry ]
  * Add --lightdm= argument to ./run.sh that lets developers choose
    which lightdm backend to use. Stop letting a user that is
    immediately denied via PAM into the shell by fixing some assumptions
    that a user which was not prompted was successfully authenticated.
    This is not a common situation, you'd have to manually change your
    PAM config. Fix a small console warning .
  * Make wrong-password handling much nicer by showing a pretty spinner
    while we wait for PAM, by improving the prompt text to match
    designs, by forcing the user to wait five seconds after every five
    failed attemps, and by supporting (but not yet enabling) an opt-in
    "factory-reset your phone after X failed attemps" feature.

  [ Michael Zanetti ]
  * bring back network caching in dash (LP: #1355729)

  [ Michał Sawicz ]
  * Add --lightdm= argument to ./run.sh that lets developers choose
    which lightdm backend to use. Stop letting a user that is
    immediately denied via PAM into the shell by fixing some assumptions
    that a user which was not prompted was successfully authenticated.
    This is not a common situation, you'd have to manually change your
    PAM config. Fix a small console warning .
  * Fix anchor in PreviewListView.qml.
  * Make wrong-password handling much nicer by showing a pretty spinner
    while we wait for PAM, by improving the prompt text to match
    designs, by forcing the user to wait five seconds after every five
    failed attemps, and by supporting (but not yet enabling) an opt-in
    "factory-reset your phone after X failed attemps" feature.
  * Add new horizontal list category layout. (LP: #1352226)
  * Fix qml tests - loader around PageHeader, more retries for selecting
    a scope and undefined attributes in mock overview scope.

  [ Leo Arias ]
  * Added autopilot helpers and tests for the launcher and dash icon.
  * Added an autopilot helper to click a scope item.
  * Added an autopilot test for focusing an app clicking the icon on the
    launcher.

  [ Mirco Müller ]
  * Allow ENTER/RETURN in a TextField to accept a snap-decision
    notification. (LP: #1305885)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 14 Aug 2014 01:29:55 +0000

unity8 (8.00+14.10.20140811-0ubuntu1) utopic; urgency=low

  [ Andrea Cimitan ]
  * Add emblem support in dash cards.

  [ Michael Terry ]
  * Fix a variety of design nits with the current lockscreen: * disable
    indicators and launcher when locked * when reversing the direction
    of a greeter flick, treat it as a cancel * don't animate dots when
    changing the infographic data source * make cancelling a login
    nicer: * reduce the delay before greeter starts animating * show the
    greeter from the same side of the screen that it hid to * don't re-
    animate the infographic (LP: #1351027)

  [ Stephen M. Webb ]
  * enables the unity8 upstart job for desktop sessions (LP: #1353041)

  [ Albert Astals ]
  * Dash Overview (LP: #1317683)
  * GenericScopeView: On click only activate scope:// uris and
    clickscope items The rest of clicks result in a preview, also
    scope:// uris don't get a preview
  * Pass the scope search hint up to the search line

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 11 Aug 2014 19:03:41 +0000

unity8 (8.00+14.10.20140808-0ubuntu1) utopic; urgency=low

  [ CI bot ]
  * Resync trunk

  [ Nick Dedekind ]
  * Added application prompt surfaces to allow prompting application
    which have not yet created a surface.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 08 Aug 2014 12:15:05 +0000

unity8 (8.00+14.10.20140806.1-0ubuntu1) utopic; urgency=low

  [ Michal Hruby ]
  * Work with the scopes-v4 branch + departments->navigation renaming

  [ Michał Sawicz ]
  * Hardcode art shape size for click scope local and predefined
    categories While at it, drop the fillmode of cards
  * Use the correct API in PageHeader. (LP: #1353048)
  * Refactor dash activity indicator. (LP: #1351539)

  [ Albert Astals ]
  * Dash Departments fixes Update maxHeight manually since it depends on
    the position of the item and its parents and it can't know when the
    binding has to be updated Make parent stuff non interactive when the
    department list is shown
  * PageHeader: when on search clip y-coordinates otherwise the
    background spills out when on search (LP: #1350398)
  * Dash: Implement OverlayColor support in Cards
  * Hardcode art shape size for click scope local and predefined
    categories While at it, drop the fillmode of cards
  * Make test_departments test more stable There's various
    DashDepartments on the dash, make sure we're working over the one
    that is on screen, otherwise clicks don't end up where they should
  * Work with the scopes-v4 branch + departments->navigation renaming
  * Fixes for dash as app Load i18n catalog Process command line options
    Add the posibility to have a mouse touch adaptor (LP: #1353351)
  * Implement the Expandable Preview Widget Now TextSummary is not
    expandable by itself anymore, you have to use it inside an
    Expandable to get the behaviour
  * Add test prefix to xml output, seems CI needs it

  [ Antti Kaijanmäki ]
  * Indicators: Adds new ModemInfoItem to be used with indicator-network
    (LP: #1329204)

  [ Michael Terry ]
  * When the edge demo is running, don't show the greeter if the screen
    is turned off. This avoids an odd interaction where parts of the
    greeter are disabled but the edge demo isn't visible until you slide
    the greeter away. (LP: #1283425)
  * Don't hardcode the phablet password in our testing script.

  [ Ying-Chun Liu ]
  * Add divider dots.

  [ Mirco Müller ]
  * Make sure the TextField of a snap-decision notification has the
    active focus upon creation, thus the osk shows up right away. (LP:
    #1346867)

  [ Andrea Cimitan ]
  * Add touchdown effect to dash cards.
  * Import Ubuntu.Components for preview image gallery to pick up
    default flicking speeds.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 06 Aug 2014 19:40:05 +0000

unity8 (8.00+14.10.20140805-0ubuntu1) utopic; urgency=low

  [ Michael Zanetti ]
  * Split the dash from the shell into a separate app (LP: #1232687)

  [ Leo Arias ]
  * Update the autopilot tests to work with the new dash app.

  [ Daniel d'Andrada ]
  * Split the dash from the shell into a separate app (LP: #1232687)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 05 Aug 2014 12:06:31 +0000

unity8 (8.00+14.10.20140731.1-0ubuntu1) utopic; urgency=low

  [ Gerry Boland ]
  * Fix the run.sh script - pretend to be running with qtmir and emit
    SIGSTOP at the right time

  [ Ying-Chun Liu ]
  * Implement Attribute UI. (LP: #1282460)

  [ Albert Astals ]
  * Hide search history popup as soon as you start typing As discussed
    with Mike and Saviq
  * Compile with for scopes-v3 unity-api
  * PageHeader: Unfocus search field when search entry is selected
  * Show search field if the search query changes
  * Test: Add a condition for art.height being > 0 means stuff has
    already been layouted a bit without it it can happen that we get 0
    for everything at startup and tests still pass
  * Remove leftover in test of an old headerless implementation

  [ Michael Zanetti ]
  * Drop Recent apps category from Dash (LP: #1281092)
  * update launcher count emblems to match new spec (LP: #1338984)

  [ Bill Filler ]
  * disable predictive text for dash search field (LP: #1340409)

  [ CI bot ]
  * Resync trunk

  [ Antti Kaijanmäki ]
  * DefaultIndicatorPage: use Loader status to determine the visible
    property. (LP: #1350555)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 31 Jul 2014 16:51:01 +0000

unity8 (8.00+14.10.20140729.1-0ubuntu1) utopic; urgency=low

  [ Michael Terry ]
  * Check user's pin/password using PAM, instead of a plaintext keyfile.
    New build dependency: libpam0g-dev for phone unlock with PAM (LP:
    #1234983)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 29 Jul 2014 23:36:30 +0000

unity8 (8.00+14.10.20140729-0ubuntu1) utopic; urgency=medium

  [ Gerry Boland ]
  [ Daniel d'Andrada ]
  * Re-architecture unity8 to use the QtMirCompositor library so that
    the Qt scenegraph renderer is used as the Mir compositor, and
    application surfaces are added to the QML scene as items.

  [ Michael Zanetti ]
  * Port phone right-edge spread code to use QtCompositor
  * Add right-edge spread animation for tablet

  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 29 Jul 2014 15:07:32 +0000

unity8 (7.90+14.10.20140725-0ubuntu1) utopic; urgency=low

  [ CI bot ]
  * Resync trunk

  [ Michał Sawicz ]
  * Fix the ap test for applications.

  [ Albert Astals ]
  * Use deleteLater instead of a direct delete We are seeing a crash in
    QQuickWindowPrivate::polishItems because LVWPH is deleting items to
    polish from it's updatePolish which means the set in
    QQuickWindowPrivate::polishItems may end up with some yet-to-
    process-but-now-deleted items. Switching to deleteLater fixes this

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 25 Jul 2014 10:47:34 +0000

unity8 (7.90+14.10.20140724.1-0ubuntu1) utopic; urgency=low

  [ Michael Zanetti ]
  * properly parent launcher items (LP: #1347902)

  [ Michał Sawicz ]
  * Move the PyDev project files to the root, supporting .py scripts
    outside of tests/autopilot. Add Autopilot Run and List launch
    configurations to easily support debugging in Eclipse. Use
    add_unity8_mock macro in the Telephony plugin.
  * Drop FilterGrid and refactor height animations in GenericScopeView.
    Also implement forced category expansion. (LP: #1326470)
  * Move expansion button from section header to category footer. (LP:
    #1261300)
  * Fix expect-sigstop enviroment variable name. (LP: #1346819)
  * Make headerless categories easier Instead of having no header
    category (which is a bit confusing since the LVWPH code was designed
    so that when a category has no header it is because it shares the
    category with the previous one) what we have for headerless
    categories is a header of height 0, this way everything works as it
    should and results in cleaner code in the LVWPH and in
    GenericScopeView
  * Add support for header links.
  * Add dash PageHeader styling.

  [ Albert Astals ]
  * Make headerless categories easier Instead of having no header
    category (which is a bit confusing since the LVWPH code was designed
    so that when a category has no header it is because it shares the
    category with the previous one) what we have for headerless
    categories is a header of height 0, this way everything works as it
    should and results in cleaner code in the LVWPH and in
    GenericScopeView

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 24 Jul 2014 20:41:29 +0000

unity8 (7.90+14.10.20140723.4-0ubuntu1) utopic; urgency=low

  [ thomas-voss ]
  * Explicitly select gcc version.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 23 Jul 2014 15:32:41 +0000

unity8 (7.90+14.10.20140721.1-0ubuntu1) utopic; urgency=low

  [ Michael Terry ]
  * Allow running the dialer-app in emergency mode when the screen is
    locked.

  [ Michał Sawicz ]
  * Add missing nameOwner property to mock UnityMenuModel.

  [ Albert Astals ]
  * Fix name, There's nothing called pageHeader in this file

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 21 Jul 2014 14:57:08 +0000

unity8 (7.90+14.10.20140717.3-0ubuntu1) utopic; urgency=low

  [ Nick Dedekind ]
  * Added environment variable to upstart conf for mir trusted socket
  * Removed indicator menu dismissal on menu activation (LP: #1337771)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 17 Jul 2014 16:35:52 +0000

unity8 (7.90+14.10.20140717.1-0ubuntu1) utopic; urgency=low

  [ Michał Sawicz ]
  * Only generate .qmltypes files manually, no need to do it build-time.
    It didn't work when cross-compiling either, and required builders to
    have otherwise unnecessary environment.
  * Fix CardCreator test. It got broken with a merge that got landed
    along side of it.

  [ Ying-Chun Liu ]
  * Add reboot/shutdown (LP: #1234062)

  [ Albert Astals ]
  * Make the departments test more stable

  [ Mirco Müller ]
  * Fixes gap at top of sim-unlock/fullscreen notification (point 1.),
    fixes blocking overlay if underlying UnityMenuModel vanishes from
    DBus (point 2.). The third bullet-point of the bug-report, lockup of
    shell-UI, could not be reproduced. (LP: #1308011)

  [ Michael Terry ]
  * Expose a new greeter DBus property, IsActive, which tells apps and
    indicators when the integrated-greeter screen is active. Useful for
    switching UI modes when the screen is locked.
  * Allow the session to bring up the greeter/lockscreen over DBus. The
    emergency dialer will need this support in order to cancel bringing
    it up.

  [ Michael Zanetti ]
  * Fixes gap at top of sim-unlock/fullscreen notification (point 1.),
    fixes blocking overlay if underlying UnityMenuModel vanishes from
    DBus (point 2.). The third bullet-point of the bug-report, lockup of
    shell-UI, could not be reproduced. (LP: #1308011)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 17 Jul 2014 09:38:20 +0000

unity8 (7.90+14.10.20140714-0ubuntu1) utopic; urgency=low

  [ Michał Sawicz ]
  * Activate all results in click scope by default. (LP: #1341262)

  [ Mirco Müller ]
  * Added support for utilization of the ComboButton SDK-element for
    snap-decision notifications with many actions.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 14 Jul 2014 18:20:25 +0000

unity8 (7.90+14.10.20140709.2-0ubuntu1) utopic; urgency=low

  [ Michal Hruby ]
  * Fix FTBFS when using latest unity-api.

  [ Michał Sawicz ]
  * Refactor carousel item activation.
  * Refactor ScopeItem into GenericScopeView.
  * Add initial support for scope customizations.
  * Make rating stars in PreviewReviewDisplay.qml non-interactive. (LP:
    #1337508)

  [ Nick Dedekind ]
  * Added active call hint A hint is displayed in the indicator panel
    when an call is active on the Telephony Serivce

  [ Albert Astals ]
  * We need to boostrap height also when we have 1 item ^_^ (LP:
    #1337408)
  * Add initial support for scope customizations.
  * CardCreator: Give a correct implicitHeight if we only have art The
    hasSubtitle change is really unrelated and not needed here, just
    sneaking it in to not create yet another review. (LP: #1330899)
  * Fake Scopes Plugin: Register PreviewModelInterface

  [ Michael Zanetti ]
  * make the launcher's drag'n'drop indicator more prominent (LP:
    #1332042)
  * make launcher items live having them non-live is not really required
    and reveals an issue in combination with UbuntuShape (LP: #1302761)
  * Fade out launcher in place instead of moving it to the left on long
    left edge swipes. (LP: #1332096)
  * update launcher icon glow as requested by design (LP: #1336725)
  * update header in dash to use the new header from the SDK (LP:
    #1335491)
  * fix testPreview with larger GRID_UNIT_PX values
  * clip the corner of pinned icons in the launcher as per new design
  * update launcher background according to latest design (LP: #1336314)
  * Update Launcher's home button design according to new spec. (LP:
    #1329331)

  [ CI bot ]
  * make launcher items live having them non-live is not really required
    and reveals an issue in combination with UbuntuShape (LP: #1302761)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 09 Jul 2014 19:46:11 +0000

unity8 (7.90+14.10.20140707-0ubuntu1) utopic; urgency=low

  [ Nick Dedekind ]
  * Added support for TransferMenu

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 07 Jul 2014 11:40:59 +0000

unity8 (7.90+14.10.20140703.1-0ubuntu1) utopic; urgency=low

  [ Michał Sawicz ]
  * Initial code for a payment button widget, to handle purchasing apps
    from the click scope.

  [ Nick Dedekind ]
  * Moved [Message]MenuItemFacotory from Unity.Indicators plugin to qml
    folder.

  [ Albert Astals ]
  * EasingCurve: Initialize members
  * Fix valgrind warning by not emitting reset on model destructor That
    won't be supported until Qt 5.4 More info at https://bugreports.qt-
    project.org/browse/QTBUG-39780 Warning was ==16693== Invalid read of
    size 8 ==16693== at 0x72B19A0: QQmlContext::isValid() const
    (qqmlcontext.cpp:231) ==16693== by 0x736C82B:
    QQmlDelegateModelPrivate::emitChanges() (qqmldelegatemodel.cpp:1412)
    ==16693== by 0x7372AE6: QQmlDelegateModel::_q_modelReset()
    (qqmldelegatemodel.cpp:1463) ==16693== by 0x7397224:
    QQmlDelegateModel::qt_static_metacall(QObject*, QMetaObject::Call,
    int, void**) (moc_qqmldelegatemodel_p.cpp:196) ==16693== by
    0x739769E: QQmlDelegateModel::qt_metacall(QMetaObject::Call, int,
    void**) (moc_qqmldelegatemodel_p.cpp:292) ==16693== by 0x66379CC:
    QMetaObject::activate(QObject*, int, int, void**) (in
    /usr/lib/x86_64-linux-gnu/libQt5Core.so.5.3.0) ==16693== by
    0x65AEEFD: QAbstractItemModel::endResetModel() (in /usr/lib/x86_64-
    linux-gnu/libQt5Core.so.5.3.0) ==16693== by 0x23461EFD:
    FakeIndicatorsModel::unload() (fakeindicatorsmodel.cpp:53) ==16693==
    by 0x23461E13: FakeIndicatorsModel::~FakeIndicatorsModel()
    (fakeindicatorsmodel.cpp:34) ==16693== by 0x2345C073:
    QQmlPrivate::QQmlElement<FakeIndicatorsModel>::~QQmlElement() (in
    /home/tsdgeos_work/phablet/unity8/investigate_test_shell_crash/build
    dir/tests/mocks/Unity/Indicators/libIndicatorsFakeQml.so) ==16693==
    by 0x2345C0A3:
    QQmlPrivate::QQmlElement<FakeIndicatorsModel>::~QQmlElement()
    (qqmlprivate.h:106) ==16693== by 0x663636B:
    QObjectPrivate::deleteChildren() (in /usr/lib/x86_64-linux-
    gnu/libQt5Core.so.5.3.0) ==16693== Address 0x1862d448 is 8 bytes
    inside a block of size 16 free'd ==16693== at 0x4C2C2BC: operator
    delete(void*) (vg_replace_malloc.c:503) ==16693== by 0x72B21B8:
    QQmlContextData::destroy() (qqmlcontext.cpp:647) ==16693== by
    0x7293458: QQmlPrivate::qdeclarativeelement_destructor(QObject*)
    (qqmlengine.cpp:612) ==16693== by 0x6C0CADD:
    QQmlPrivate::QQmlElement<QQuickItem>::~QQmlElement()
    (qqmlprivate.h:105) ==16693== by 0x663636B:
    QObjectPrivate::deleteChildren() (in /usr/lib/x86_64-linux-
    gnu/libQt5Core.so.5.3.0) ==16693== by 0x663F0EB: QObject::~QObject()
    (in /usr/lib/x86_64-linux-gnu/libQt5Core.so.5.3.0) ==16693== by
    0x6BF64B5: QQuickItem::~QQuickItem() (qquickitem.cpp:2064) ==16693==
    by 0x6C0CAE5: QQmlPrivate::QQmlElement<QQuickItem>::~QQmlElement()
    (qqmlprivate.h:106) ==16693== by 0x663636B:
    QObjectPrivate::deleteChildren() (in /usr/lib/x86_64-linux-
    gnu/libQt5Core.so.5.3.0) ==16693== by 0x663F0EB: QObject::~QObject()
    (in /usr/lib/x86_64-linux-gnu/libQt5Core.so.5.3.0) ==16693== by
    0x6BF64B5: QQuickItem::~QQuickItem() (qquickitem.cpp:2064) ==16693==
    by 0x6C0CAE5: QQmlPrivate::QQmlElement<QQuickItem>::~QQmlElement()
    (qqmlprivate.h:106) (LP: #1332598)

  [ Michael Zanetti ]
  * drop launcher item spacing (LP: #1332022)
  * change wording in launcher quicklist (LP: #1332035)

  [ Alejandro J. Cura ]
  * Initial code for a payment button widget, to handle purchasing apps
    from the click scope.

  [ Rodney Dawes ]
  * Initial code for a payment button widget, to handle purchasing apps
    from the click scope.

  [ Renato Araujo Oliveira Filho ]
  * Create IndicatorsLight.qml component used to control indicator led.
    A blue led will pulse if the message indicator is blue and screen is
    off.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 03 Jul 2014 14:47:46 +0000

unity8 (7.90+14.10.20140701.2-0ubuntu2) utopic; urgency=medium

  * debian/control:
    list qtdeclarative5-ubuntu-ui-toolkit-plugin-gles as an alternative
    choice, since provides are not versionned, should restore installability
    on amd64 and i386

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 03 Jul 2014 13:26:38 +0200

unity8 (7.90+14.10.20140701.2-0ubuntu1) utopic; urgency=medium

  [ Michał Sawicz ]
  * Adapt to suru theme.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 01 Jul 2014 15:10:35 +0000

unity8 (7.89+14.10.20140627-0ubuntu1) utopic; urgency=low

  [ Michael Terry ]
  * Fix path in launcher mock after moving our mock icons, to avoid a
    lot of "icon not found" warnings during qmluitests.
  * Fix the testMultiGreeter qmluitest. Incoming method variables are
    apparently read-only in Qt5.3. (LP: #1332488)

  [ CI bot ]
  * Resync trunk

  [ Michał Sawicz ]
  * Adapt scope mock to new api and quiet unused variable warnings.
  * Fix dynamic overlay height. (LP: #1334879)
  * Don't center items in CardVerticalJournal, kind of beats the
    purpose... Also don't bind unnecessarily.

  [ Ying-Chun Liu ]
  * Fix LP:1330957 Fix some failed test cases. (LP: #1330957)

  [ Albert Astals ]
  * Don't seem to need this waitForRendering And makes test fail in 5.3

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 27 Jun 2014 08:47:58 +0000

unity8 (7.89+14.10.20140624.1-0ubuntu1) utopic; urgency=low

  [ Alberto Aguirre ]
  * Update Powerd plugin and Shell.qml to accommodate changes in the
    display power state notification.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 24 Jun 2014 17:11:08 +0000

unity8 (7.89+14.10.20140624-0ubuntu1) utopic; urgency=low

  [ Ying-Chun Liu ]
  * Add logout support. Reviewed by: Daniel d'Andrada (LP: #1302213)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 24 Jun 2014 08:17:09 +0000

unity8 (7.89+14.10.20140623.1-0ubuntu1) utopic; urgency=low

  [ Michał Sawicz ]
  * Make so that fixedArtShapeSize actually fixes artShapeSize.

  [ Albert Astals ]
  * Add VerticalJournal integration to Dash/scopes/QML (LP: #1326467)
  * Make so that fixedArtShapeSize actually fixes artShapeSize.

  [ Mirco Müller ]
  * Added the frontend-part of sound-hint support for notifications with
    updated QML-tests.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 23 Jun 2014 11:17:12 +0000

unity8 (7.89+14.10.20140619.3-0ubuntu1) utopic; urgency=low

  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 19 Jun 2014 16:02:41 +0000

unity8 (7.89+14.10.20140619.2-0ubuntu1) utopic; urgency=low

  [ Albert Astals ]
  * Departments support (LP: #1320847)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 19 Jun 2014 11:17:40 +0000

unity8 (7.89+14.10.20140616.1-0ubuntu1) utopic; urgency=low

  [ Pawel Stolowski ]
  * Extend the hack for click scope categories with the upcoming 'store'
    category: single-tap on results from the 'store' category should
    activate them, instead of requesting a preview. (LP: #1326292)

  [ Albert Astals ]
  * Drop the " Preview" suffix from Preview title As requested in
    https://bugs.launchpad.net/unity8/+bug/1316671 (LP: #1316671)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 16 Jun 2014 14:43:01 +0000

unity8 (7.89+14.10.20140613-0ubuntu1) utopic; urgency=medium

  [ Michael Terry ]
  * Revert split greeter for now.  We will bring it back as an option
    for Desktop, but use a big hammer revert right now to get Touch back
    in shape.

  [ CI bot ]
  * Fix build problems. Reviewed by: Michael Terry (LP: #1328850)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 13 Jun 2014 08:30:48 +0000

unity8 (7.88+14.10.20140606-0ubuntu1) utopic; urgency=low

  [ Michał Sawicz ]
  * Make lockscreen buttons translatable.

  [ Albert Astals ]
  * Correctly mark these functions as overrides
  * Remove connections to non existant signal
  * Better test name
  * Improvements for headerless categories LVPWH: No section name -> no
    header LVPWH: New hasSectionHeader context property for delegates
    GSV: Add topMargin if no hasSectionHeader (LP: #1326415)
  * Make tryVerticalJournal, tryHorizontalJournal and tryOrganicGrid
    work again

  [ Michael Zanetti ]
  * Don't crash when we get an invalid app from ApplicationManager (LP:
    #1309162)

  [ Andrea Cimitan ]
  * Workaround for lp1324159 (LP: #1322233, #1324159)

  [ CI bot ]
  * Resync trunk

  [ Florian Boucault ]
  * Application startup: changed splash rectangle to be black instead of
    white and added a neat little animation. (LP: #1124265)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 06 Jun 2014 11:38:53 +0000

unity8 (7.88+14.10.20140603.1-0ubuntu1) utopic; urgency=medium

  [ Michael Terry ]
  * Bump version so ubuntu-touch-session can reference this one

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 03 Jun 2014 20:31:00 +0000

unity8 (7.87+14.10.20140603.1-0ubuntu1) utopic; urgency=low

  [ CI bot ]
  * Resync trunk

  [ Michał Sawicz ]
  * Move env setup past session init in greeter wrapper. (LP: #1325882)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 03 Jun 2014 10:33:11 +0000

unity8 (7.87+14.10.20140530.1-0ubuntu3) utopic; urgency=medium

  * no change rebuild

 -- Oliver Grawert <ogra@ubuntu.com>  Mon, 02 Jun 2014 16:19:10 +0200

unity8 (7.87+14.10.20140530.1-0ubuntu2) utopic; urgency=medium

  * drop dbus-x11 dependency of unity8-greeter, it makes us end up with
    multiple session dbus daemons which breaks many AP tests in the lab

 -- Oliver Grawert <ogra@ubuntu.com>  Mon, 02 Jun 2014 14:50:59 +0200

unity8 (7.87+14.10.20140530.1-0ubuntu1) utopic; urgency=medium

  [ Michael Terry ]
  * Bump version for Breaks due to unity8-greeter
  * In split mode, determine whether the application identifiers in
    AccountsService are click packages or not, so we know the correct
    url prefix to use.
  * Start logrotate in the greeter's session.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 30 May 2014 09:29:15 +0000

unity8 (7.86+14.10.20140527-0ubuntu1) utopic; urgency=low

  [ Andrea Cimitan ]
  * Passes to make tryCommand -qmljsdebugger=port:3768 to enable
    debug/profiling test apps
  * Fixes carousel shadow

  [ Michał Sawicz ]
  * Use dpkg-architecture, not gcc, to determine the machine triplet.

  [ Ying-Chun Liu ]
  * Fix ZoomableImage test failure. (LP: #1317254)

  [ Albert Astals ]
  * We don't need iconutils in this mock
  * Don't reserve space for mascot if no mascot is specified (LP:
    #1319343)
  * CardHeader is no more, remove stale line in CMakeLists.txt
  * GenericScopeViewTest: Wait a bit more Otherwise sometimes we end
    getting up the wrong delegate (maybe one that will be garbage
    collected?) (LP: #1322279)
  * Fix crash in organicgridtest

  [ Daniel d'Andrada ]
  * Remove Shell's underlay background image as it cannot be seen
    anymore Now that the Dash has its own, opaque, background, the
    underlay's background image can no longer be seen. So it's just a
    waste of resources to have it.

  [ Michael Terry ]
  * Use the same animation when dismissing a greeter slide from the
    launcher as from a normal greeter drag. (LP: #1316513)

  [ Michael Zanetti ]
  * enhance lockscreen add a retry indication label (e.g. 3 attempts
    left). add an additional label (e.g. phone number for multi sim).
    add a infoPopup (e.g. to display a warning for last retry). add min
    and max limit values. add tests for the above (LP: #1302050)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 27 May 2014 07:47:11 +0000

unity8 (7.86+14.10.20140522-0ubuntu1) utopic; urgency=low

  [ Albert Astals ]
  * Use Interface classes from unity-api

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 22 May 2014 17:59:23 +0000

unity8 (7.86+14.10.20140519-0ubuntu1) utopic; urgency=low

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Albert Astals ]
  * Use the new displayMargin feature Also port our DashViews to use
    same naming and behaviour + update tests

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 19 May 2014 07:35:51 +0000

unity8 (7.86+14.10.20140516.5-0ubuntu1) utopic; urgency=low

  [ Michal Hruby ]
  * Updated scope tool to create proper config files after recent
    libunity-scopes-api changes.

  [ Michał Sawicz ]
  * Refactor export_qmlfiles and export_qmlplugins to be more generic
    and clean up installed mocks.

  [ Albert Astals ]
  * Remove empty dirs
  * Set the tabbarmodel index as we do on real code It works better :D
    (LP: #1317255)

  [ Thomi Richards ]
  * Use new import location for ProcessSearchError in process_helpers
    script.

  [ Andrea Cimitan ]
  * Adds shadow for the carousel

  [ Daniel d'Andrada ]
  * Remove Revealer component It's not used anywhere anymore. It's been
    replaced by DragHandle.

  [ Andy Doan ]
  * unlock_device: support more complex reboot/wait cycles Currently
    this script only allows you to override how to "wait" on the device.
    This changes the logic to also support how you go about rebooting
    the device. This is handy for the ubuntu-emulator because adb-reboot
    is not currently supported. However, we also have a more
    sophisticated, fool-proof way we reboot/wait in the CI lab that
    would be nice to take advantage of:
    http://bazaar.launchpad.net/~ubuntu-test-case-dev/ubuntu-test-
    cases/touch/view/head:/scripts/reboot-and-wait

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 16 May 2014 18:46:32 +0000

unity8 (7.86+14.10.20140516.2-0ubuntu1) utopic; urgency=low

  [ CI bot ]
  * Resync trunk

  [ Michael Zanetti ]
  * support appid:// entries in gsettings schema and make
    findDesktopFile work with short-appid (LP: #1239750)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 16 May 2014 12:32:40 +0000

unity8 (7.86+14.10.20140514.1-0ubuntu1) utopic; urgency=low

  [ Antti Kaijanmäki ]
  * Indicators/RootActionState: use g_variant_iter_loop to extract
    icons.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 14 May 2014 11:43:55 +0000

unity8 (7.86+14.10.20140513-0ubuntu1) utopic; urgency=low

  [ Andrea Cimitan ]
  * Improve padding in Text preview widget. (LP: #1316683)

  [ CI bot ]
  * Resync trunk

  [ Nick Dedekind ]
  * Removed binding loop from Unity.Indicators.MenuContentActivator
    Change handler for QMLListProperty used by MenuContent.qml:
    menuActivator.content[index].active If we're already asking for the
    index, we know it exists already. No need to send a
    changeNotification on an implied creation.

  [ Josh Arenson ]
  * Implements usage-style documentation for unity8 executable. Fixes
    lp:1269282 (LP: #1269282)

  [ Albert Astals ]
  * Create specialized Card code in Javascript instead of having various
    copied&pasted files (LP: #1297197)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 13 May 2014 08:34:02 +0000

unity8 (7.86+14.10.20140507.3-0ubuntu1) utopic; urgency=low

  [ Michał Sawicz ]
  * Remove HUD from the bottom edge. Again.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 07 May 2014 11:14:30 +0000

unity8 (7.86+14.10.20140505-0ubuntu1) utopic; urgency=low

  [ Ted Gould ]
  * Provide a dbus interface for setting the count and countVisible
    properties. (LP: #1301400)

  [ Michał Sawicz ]
  * Pass env variables to initctl start.
  * Suffix .sh to our scripts and clean up debian/rules.
  * Adapt to Debian Qt package renames and drop unneeded Dee plugin
    dependency.

  [ Ying-Chun Liu ]
  * Add Zoomable Image for Preview widgets.

  [ Albert Astals ]
  * Remove support for Qt <= 5.2.1

  [ Mirco Müller ]
  * Implemented feature-request from Design for modal snap-decision
    notifications on the phone. See LP #1285712 (LP: #1285712)

  [ Andrea Cimitan ]
  * Make progressbas in preview widget big as the button

  [ CI bot ]
  * Resync trunk

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 05 May 2014 12:09:43 +0000

unity8 (7.86+14.10.20140502.6-0ubuntu1) utopic; urgency=low

  [ tpeeters ]
  * Adapt to new TabBar

  [ Tim Peeters ]
  * Adapt to new TabBar

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 02 May 2014 16:44:52 +0000

unity8 (7.86+14.10.20140429.2-0ubuntu1) utopic; urgency=medium

  [ Andrea Cimitan ]
  * Update upstart job to reflect latest unity-mir changes
  * Fix locale in qml tests and fixtimeformattertest (LP: #1301038)
  * Fix 1309135 (LP: #1309135)

  [ Michał Sawicz ]
  * Split out unity8-common package
  * Don't wait for indicator services to start, and drop Scope Tool's
    .desktop file. (LP: #1310172)

  [ Michael Terry ]
  * Stop clock from hiding when the 'show dash' button is pressed in
    greeter. (LP: #1308139)
  * Make swipe teases in the greeter more helpful and obvious (LP:
    #1267623)

  [ Nick Dedekind ]
  * Fixed datetime indicator appointment colour (LP: #1307048)

  [ Albert Astals ]
  * Improve Card creation time by adding loaders that make sure only
    what's needed is loaded (LP: #1297197)
  * CategoryDelegateRange: Fix condition for detecting overshooting
  * Make xvfbtests work in the DashView plugins
  * Fix binding loop in FilterGrid height

  [ Victor R. Ruiz ]
  * Move autopilot notification code to a helper method.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 29 Apr 2014 15:21:33 +0000

unity8 (7.85+14.04.20140416-0ubuntu1) trusty; urgency=low

  [ Albert Astals ]
  * Fix last item X position Fixes clicking on the last item sometimes
    not working (LP: #1301871)
  * Use upstart in ./run Makes it so that you can use the lock button on
    the device without getting that nasty hwc crash
  * Remove AnimationControllerWithSignals.
  * Use the correct delegate base item for the Carousel test
  * Some simplification in DashContent Kill the ScopeDelegateMapper in
    favour of a simple if (that will eventually go away). Removal of all
    the fake scopes in the tests that added nothing of value to the
    tests. Removal of movementEnded signal that was unused. Removal of
    movementStarted and positionedAtBeginning signals that were being
    used as function calls. Rework DashContent tests so they what the
    function does what it is supposed to do instead of just making sure
    QML signals work .
  * Improve Card creation time by adding loaders that make sure only
    what's needed is loaded In my computer it goes from RESULT :
    qmltestrunner::benchmark_time:"cardTitleArtSubtitleMascotSummaryMode
    l": 3.217 msecs per iteration (total: 3,218, iterations: 1000)
    RESULT :
    qmltestrunner::benchmark_time:"cardTitleArtSubtitleMascotModel":
    1.647 msecs per iteration (total: 1,648, iterations: 1000) RESULT :
    qmltestrunner::benchmark_time:"cardTitleArtSubtitleModel": 1.514
    msecs per iteration (total: 1,515, iterations: 1000) RESULT :
    qmltestrunner::benchmark_time:"cardTitleArtModel": 1.471 msecs per
    iteration (total: 1,471, iterations: 1000) RESULT :
    qmltestrunner::benchmark_time:"cardArtModel": 1.447 msecs per
    iteration (total: 1,448, iterations: 1000) RESULT :
    qmltestrunner::benchmark_time:"cardTitleModel": 1.276 msecs per
    iteration (total: 1,276, iterations: 1000) to RESULT :
    qmltestrunner::benchmark_time:"cardTitleArtSubtitleMascotSummaryMode
    l": 2.916 msecs per iteration (total: 2,917, iterations: 1000)
    RESULT :
    qmltestrunner::benchmark_time:"cardTitleArtSubtitleMascotModel":
    1.504 msecs per iteration (total: 1,504, iterations: 1000) RESULT :
    qmltestrunner::benchmark_time:"cardTitleArtSubtitleModel": 1.060
    msecs per iteration (total: 1,061, iterations: 1000) RESULT :
    qmltestrunner::benchmark_time:"cardTitleArtModel": 1.052 msecs per
    iteration (total: 1,053, iterations: 1000) RESULT :
    qmltestrunner::benchmark_time:"cardArtModel": 0.727 msecs per
    iteration (total: 728, iterations: 1000) RESULT :
    qmltestrunner::benchmark_time:"cardTitleModel": 0.817 msecs per
    iteration (total: 818, iterations: 1000) (LP: #1297197)

  [ Allan LeSage ]
  * DashApps emulator get_applications should return a list ordered by
    visible y, x.

  [ Andrea Cimitan ]
  * Workaround for lp1301309 until fixes for palette in ui toolkit (LP:
    #1301309)

  [ Leo Arias ]
  * Reverted the change that returns application cards instead of
    titles.

  [ Nick Dedekind ]
  * Indicator services started by unity8 upstart configuration rather
    than manual emmision from indicator manager.

  [ Mirco Müller ]
  * Fix notification ap-test assertions.

  [ Michael Terry ]
  * Use new tablet and phone backgrounds from Design.

  [ Michael Zanetti ]
  * workaround the QTestLogger assertion issue with make tryXyz and our
    custom uqmlscene

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 16 Apr 2014 13:45:01 +0000

unity8 (7.85+14.04.20140415.2-0ubuntu1) trusty; urgency=low

  [ Michael Terry ]
  * When an application requests focus, handle it in Shell.qml by hiding
    the greeter and stopping any edge demo. (LP: #1227753)

  [ Leo Arias ]
  * Use subprocess.check_call when caling url-dispatcher, so an error
    will be raised if it fails.
  * Test application life cycle with fake apps, instead of messaging and
    address book.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 15 Apr 2014 12:47:11 +0000

unity8 (7.85+14.04.20140410.1-0ubuntu1) trusty; urgency=medium

  [ Didier Roche ]
  * Resync trunk with previous revert upload

  [ Michał Sawicz ]
  * Set the Qt.ImhNoPredictiveText flag on wifi password field, fixes
    lp:1291575 (LP: #1291575)

  [ Albert Astals ]
  * Take into account the originY when specifying the delegate ranges
    Fixes bug #1300302 (LP: #1300302)

  [ CI bot ]
  * Resync trunk

  [ Allan LeSage ]
  * Swiping open an indicator must show its correct title--protect
    against lp:1253804 . (LP: #1253804)

  [ Alexander Sack ]
  * Fix TypeError: issue seen in system_integration autopilot test on
    image 279. (LP: #1303685)

  [ Bill Filler ]
  * Set the Qt.ImhNoPredictiveText flag on wifi password field, fixes
    lp:1291575 (LP: #1291575)

  [ Leo Arias ]
  * Added a search autopilot helper.

  [ Michael Terry ]
  * Provide a all-in-one script for getting a device to an unlocked
    state.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 10 Apr 2014 10:03:31 +0000

unity8 (7.85+14.04.20140404.is.7.85+14.04.20140403.1-0ubuntu1) trusty; urgency=medium

  * Revert to previous version as it's linked to latest sdk change which
    is making gallery-app AP tests failing on the CI dashboard

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 08 Apr 2014 13:53:47 +0200

unity8 (7.85+14.04.20140404-0ubuntu1) trusty; urgency=low

  [ Albert Astals ]
  * Adapt to new TabBar

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 04 Apr 2014 15:03:00 +0000

unity8 (7.85+14.04.20140403.1-0ubuntu1) trusty; urgency=low

  [ Michael Terry ]
  * Re-enable test_networkmanager_integration autopilot test on phone
    platforms

  [ CI bot ]
  * Resync trunk

  [ Leo Arias ]
  * Reverted the open_preview autopilot helper to return a Preview
    object.

  [ Albert Astals ]
  * If not running in Mir load the "fake" application manager (LP:
    #1301547)
  * Remove unused properties from DashRenderer

  [ Michael Zanetti ]
  * Fix tests after right edge merge. Drop old stages tests. Fix right
    edge tests if someone doesn't have the GRID_UNIT_PX exported. make
    GenericScopeView test more robust that broke because the ordering
    changed
  * add "make xvfbtestSomething" target to run qml tests in xvfb
  * make the "make test" commit hook work again

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 03 Apr 2014 10:38:53 +0000

unity8 (7.85+14.04.20140401.3-0ubuntu1) trusty; urgency=medium

  [ Michał Sawicz ]
  * Bump version to ensure incompatibility with previous Unity.Application
    implementations.
  * We'll only have the unity-mir and mock Ubuntu.Application plugins
    now, no need for mangling the import paths.

  [ Michal Hruby ]
  * Remove the albumart image provider. (LP: #1262711)
  * Don't reset search string after 2 seconds. (LP: #1297246)

  [ James Henstridge ]
  * Remove the albumart image provider. (LP: #1262711)

  [ Albert Astals ]
  * Carousel: Add test to make sure we only create the needed delegates
    and not more
  * LVWPH: Remove processEvents() call from updatePolish() It causes
    some reentrancy issues and in some times you end up in polishItems()
    with items that have been deleted because you called processEvents()
    This means i need a small tweak in itemGeometryChanged to not
    reposition items if we are inside a setContentHeight call and two
    small tweaks to tests since now things happen in a different order
    and numbers are different (though equivalent) (LP: #1297240)
  * Card.qml binding loops are gone. hooray \o/ Also made the aspect
    properties readonly

  [ Mirco Müller ]
  * A potential fix for "Cannot read property 'state' of null"-failure
    on Jenkins with the VisualSnapDecisionsQueue QML-test of
    notifications.

  [ Michael Terry ]
  * Pass user's preference for auto-brightness on to powerd. (LP:
    #1273174)

  [ Michael Zanetti ]
  * Registers a dummy QObject as QTestRootObject in uqmlscene in order
    to fix make trySomething with Qt 5.2.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 01 Apr 2014 22:56:52 +0000

unity8 (7.84+14.04.20140327.1-0ubuntu2) trusty; urgency=medium

  * For now, have libunity-private depending on libunity-core-6.0-9 as the
    gsettings schema is here. The dependency wasn't direct and dropped from
    Touch image #271. Consequently, unity8 didn't start (gsettings
    segfaulting).
    Proper strategy will be to include the schema in another package to only
    pull it.

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 01 Apr 2014 09:52:14 +0200

unity8 (7.84+14.04.20140327.1-0ubuntu1) trusty; urgency=low

  [ Michał Sawicz ]
  * Increase kill timeout so that crashes are not truncated.

  [ Ying-Chun Liu ]
  * Fix a small typo in LazyImage: scale -> scaleTo

  [ Albert Astals ]
  * Make geometry calls for autopilot work again -geometry is a internal
    Qt argument that only works for QWidget based apps Before it was
    being returned to us in -args but now it's eaten so we need to use a
    different one, -windowgeometry
  * Make "Recent" translatable and update pot file

  [ Mirco Müller ]
  * Make visual queue of (up to five) snap-decisions contract and expand
    according to visual design-spec.

  [ Michael Terry ]
  * Pass user's preference for auto-brightness on to powerd. (LP:
    #1273174)

  [ Michael Zanetti ]
  * allow executing a single test function example: make testShell
    FUNCTION="Shell::test_background"

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 27 Mar 2014 12:38:21 +0000

unity8 (7.84+14.04.20140324.4-0ubuntu1) trusty; urgency=low

  [ Michal Hruby ]
  * Change and extend the way non-installed scopes are started with the
    scope-tool.
  * Switch to new scope backend and apply required visual adaptations.
    (LP: #1294294)

  [ Gerry Boland ]
  * Switch to new scope backend and apply required visual adaptations.
    (LP: #1294294)

  [ Michał Sawicz ]
  * Fix rating input action to always be "rated", not dynamic. Based on
    http://developer.ubuntu.com/api/devel/ubuntu-14.04/cplusplus/unity-
    scopes/previewwidgets.html#rating-input
  * Switch to new scope backend and apply required visual adaptations.
    (LP: #1294294)

  [ Kevin Gunn ]
  * Switch to new scope backend and apply required visual adaptations.
    (LP: #1294294)

  [ Albert Astals ]
  * Switch to new scope backend and apply required visual adaptations.
    (LP: #1294294)
  * LVWPH: cull lost items lost items will be released on the next
    updatePolish cycle but meanwhile don't let them be visible

  [ Daniel d'Andrada ]
  * Switch to new scope backend and apply required visual adaptations.
    (LP: #1294294)

  [ Michał Karnicki ]
  * Switch to new scope backend and apply required visual adaptations.
    (LP: #1294294)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 24 Mar 2014 16:10:24 +0000

unity8 (7.84+14.04.20140319.1-0ubuntu1) trusty; urgency=low

  [ Michał Sawicz ]
  * Work around bug #1293478 - make sure to send ints, not doubles for
    volume control. (LP: #1293478)

  [ Nick Dedekind ]
  * Fixed binding being cleared when manually changing slider value
    (lp#1283191). (LP: #1283191)

  [ Albert Astals ]
  * Fix indicators highlight position on 5.2 We need to take into
    account the list originX if we're using the list delegates x outside
    the list itself
  * LVWPH: Make sure m_firstVisibleIndex is correctly set on
    removeNonVisibleItems

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 19 Mar 2014 16:40:20 +0000

unity8 (7.84+14.04.20140317.2-0ubuntu1) trusty; urgency=low

  [ CI bot ]
  * Resync trunk

  [ Michał Sawicz ]
  * Revert disable-hud, we weren't ready to land it yet.

  [ Mirco Müller ]
  * The snap-decision AP-test for "incoming call"-case used the wrong
    objectName "notification0". It has to be "notification1".

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 17 Mar 2014 15:54:39 +0000

unity8 (7.84+14.04.20140314-0ubuntu1) trusty; urgency=low

  [ Michał Sawicz ]
  * Fix tests under Qt 5.2.
  * CardHeader improvements depending on background. Also drop prices,
    they need to be reworked into attributes.
  * Bring Cards closer to design
  * Add back the workaround for not being able scroll the image gallery
    Taken from AppPreview.qml (LP: #1281709)
  * Only allow searching when preview isn't open. (LP: #1282475)
  * Adds carousel dynamic switch

  [ Leo Arias ]
  * Update the url dispatcher test to use the fake app fixture from the
    toolkit.

  [ Albert Astals ]
  * Fix tests under Qt 5.2.
  * Workaround compiz/unity7 behaviour change/bug

  [ Michael Zanetti ]
  * Fix tests under Qt 5.2.
  * Disable HUD from the bottom edge.

  [ Andrea Cimitan ]
  * Adds carousel dynamic switch

  [ CI bot ]
  * Resync trunk

  [ Michał Karnicki ]
  * CardHeader improvements depending on background. Also drop prices,
    they need to be reworked into attributes.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 14 Mar 2014 15:46:10 +0000

unity8 (7.84+14.04.20140307-0ubuntu1) trusty; urgency=low

  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 07 Mar 2014 10:54:33 +0000

unity8 (7.84+14.04.20140306-0ubuntu1) trusty; urgency=low

  [ Bill Filler ]
  * Convert gallery and camera to click

  [ Michael Zanetti ]
  * Just disable HUD tests, without really disabling the HUD itself

  [ Sergio Schvezov ]
  * Convert gallery and camera to click

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 06 Mar 2014 16:45:46 +0000

unity8 (7.84+14.04.20140304-0ubuntu1) trusty; urgency=low

  [ Michael Terry ]
  * Ensure that the selected() signal is emitted by the greeter on
    startup, fixing the background on startup for the first user in
    tablet mode.

  [ Nick Dedekind ]
  * Remocked IndicatorModel to fix qt5.2.1 changes.

  [ Albert Astals ]
  * Initialize m_distance (LP: #1285385)
  * import Ubuntu.Components so we can use UbuntuAnimation

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 04 Mar 2014 11:43:04 +0000

unity8 (7.84+14.04.20140228-0ubuntu1) trusty; urgency=low

  [ Michał Sawicz ]
  * Fix CardHeader title font weight.
  * Delete stale sockets. (LP: #1285215)

  [ Dmitrijs Ledkovs ]
  * Ship python3 autopilot modules.

  [ Albert Astals ]
  * Cleanup DashContent Remove unused signals and properties

  [ Michał Karnicki ]
  * Take it easy on the logging.
  * Fix CardHeader title font weight.

  [ Nick Dedekind ]
  * Added ability to change indicator profile in shell (env
    UNITY_INDICATOR_PROFILE)

  [ Andrea Cimitan ]
  * Rename PreviewRating to PreviewRatingInput
  * Adds PreviewRatingDisplay

  [ Daniel d'Andrada ]
  * DirectionalDragArea: Reset status if disabled while dragging (LP:
    #1276122)

  [ Dimitri John Ledkov ]
  * Ship python3 autopilot modules.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 28 Feb 2014 10:48:06 +0000

unity8 (7.84+14.04.20140221-0ubuntu1) trusty; urgency=low

  [ Michał Sawicz ]
  * Add card background support.
  * Increase the sidestage threshold.

  [ Jussi Pakkanen ]
  * Move downloads to their own threads so they don't muck about with
    the parent thread's event loop. (LP: #1240408)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 21 Feb 2014 09:06:04 +0000

unity8 (7.84+14.04.20140218-0ubuntu1) trusty; urgency=low

  [ Michał Sawicz ]
  * Center-align title when it's alone in the header.

  [ Leo Arias ]
  * Prepare unity8 to the _uinput refactors in autopilot.

  [ Albert Astals ]
  * Progress Preview Widget
  * LWPH Fix crash from bug 1279434 (LP: #1279434)
  * Show the loading indicator of the screenshot in video playback

  [ Andrea Cimitan ]
  * Adds rating preview widget. Work on the rating widget

  [ Daniel d'Andrada ]
  * Make DirectionalDragArea work when rotated The drag gesture
    direction is in local coordinates, not in scene coordinates

  [ Michał Karnicki ]
  * Center-align title when it's alone in the header.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 18 Feb 2014 11:41:58 +0000

unity8 (7.84+14.04.20140212-0ubuntu1) trusty; urgency=low

  [ Gerry Boland ]
  * Add InputFilterArea to sidestage handle to block input to mainstage
    app while moving sidestage (LP: #1275732)

  [ Leo Arias ]
  * On the autopilot helper to open a scope, wait for the dash content
    list to stop moving. (LP: #1277591)
  * Added a test to swipe out an application started by url-dispatcher.

  [ Nick Dedekind ]
  * Added a "-profile" option to the indicator-client to switch between
    indicator service profiles.
  * Fixed issue importing plugin qml files into qtcreator

  [ Albert Astals ]
  * Fix test_previewCycle
  * Don't move the list contentY unless there's a preview to show (LP:
    #1271676)
  * Add overlay to card. Fix implicit card height. .
  * PreviewHeader Is just a link of the widgetData with the CardHeader
  * Fix tst_Preview.qml
  * Scopes guys want the data back
  * Link the pageheader scope with the current scope So that the
    activity indicator on search works again (LP: #1279316)

  [ Andrea Cimitan ]
  * Add PreviewImage
  * Preview widget for video playback

  [ CI bot ]
  * Add overlay to card. Fix implicit card height. .

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 12 Feb 2014 15:15:03 +0000

unity8 (7.84+14.04.20140207.1-0ubuntu1) trusty; urgency=low

  [ Ted Gould ]
  * You can't tap anywhere

  [ Michał Sawicz ]
  * Wait for the indicator to appear.
  * Add CardTool to determine category-wide card properties based on the
    category template. Clean up test configurations, too.
  * Actions Preview Widget
  * Add Preview for new generation scopes.
  * Add overlay to card. Fix implicit card height. .

  [ Albert Astals ]
  * Basic ImageGallery widget for Previews Mostly a copy of the code
    used in AppPreview.qml but without the MouseArea hack that I'll wait
    to introduce until we start using this somewhere were it is needed
  * Actions Preview Widget

  [ Andrea Cimitan ]
  * First audio player widget for previews, with tests
  * Adds TextSummary preview widget

  [ Michał Karnicki ]
  * Add overlay to card. Fix implicit card height. .

  [ Michael Terry ]
  * Expand greeter demo support to include listing multiple users and
    specifying individual passwords and names.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 07 Feb 2014 10:46:46 +0000

unity8 (7.84+14.04.20140204-0ubuntu1) trusty; urgency=low

  [ Michael Terry ]
  * Disable NM integration test, jenkins has a problem with it because
    logind isn't configured

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Michał Sawicz ]
  * Add ubuntu-settings-components to build script. Revert workaround
    for bug #1268578, got fixed upstream. Drop GenericName from
    unity8.desktop. (LP: #1268578)
  * Improve Card and CardHeader layouts: anchor summary to art when no
    header. don't indent header when no mascot. reduce header and
    summary font sizes and weights. increase art shape radius .
  * Add doxygen-based documentation generator.
  * Add CardTool to determine category-wide card properties based on the
    category template. Clean up test configurations, too.
  * Move upstart kill timeout to the unity8 job itself.
  * Don't treat scope as active when preview open to inhibit model
    updates and reset processing on previewData changes. (LP: #1275832)

  [ Leo Arias ]
  * Added the DashPreview autopilot helper.

  [ Michał Karnicki ]
  * CardHeader mascot improvements.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 04 Feb 2014 14:09:14 +0000

unity8 (7.84+14.04.20140130-0ubuntu1) trusty; urgency=low

  [ Michał Sawicz ]
  * Bring back libunity-mir1, it's dlopen'ed, so not linked to unity8,
    so not in shlibs.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 30 Jan 2014 14:00:40 +0000

unity8 (7.84+14.04.20140129-0ubuntu1) trusty; urgency=low

  [ Nick Dedekind ]
  * Added Panel/VisibleIndicatorsModel for use with both indicator row &
    menuContent. This removes the need to hide indicators in the row and
    map inicator indexes between row & content. Fixes the indicator
    highlight line offset not bound by listView position.
  * Ported indicators to using ubuntu-settings-components

  [ Albert Astals ]
  * Prepend /sbin/ to initctl calls My phablet user does not have /sbin/
    in path and thus this calls fail
  * Call updateDelegateCreationRange when it's needed It depends on
    other variables than the ones we were using to call it, so need to
    call it if these change too Device manual test, go to apps scope,
    scroll down so that only part of the installed apps collapsed
    category is shown, expand it, see how previously some icons were not
    painted and now they are

  [ Mirco Müller ]
  * Fixed the failure of notification autopilot-test
    test_sd_incoming_call.

  [ Andrea Cimitan ]
  * Add AP test for policykit/network manager, which was causing issues
    with nested mir

  [ CI bot ]
  * Resync trunk

  [ Michał Karnicki ]
  * Don't display artShape when artImage source not set.
  * Fix FilterGrid rendering issues.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 29 Jan 2014 16:11:20 +0000

unity8 (7.84+14.04.20140128-0ubuntu1) trusty; urgency=low

  [ Michal Hruby ]
  * Added unity-scope-tool, which will help when developing scopes.

  [ Michał Sawicz ]
  * Added unity-scope-tool, which will help when developing scopes.
  * Use full DashContent, not just GenericScopeView in ScopeTool.qml.
  * Bring Card and CardHeader over from new-scopes.
  * Work around bug #1268578. (LP: #1268578)
  * Drop unnecessary version dependencies.
  * Return null instead of undefined from findChild and
    findInvisibleChild.
  * Fix CardHeader and Card heights (empty Label does have non-zero
    height apparently). Also improve test robustness and reduce future
    diffs.

  [ Albert Astals ]
  * Do not assert if the item we are removing was not created yet
    (because e.g. it's not in the viewport).
  * Position correctly the pointer of the search history box .
  * Make test_filter_expand_expand less unstable in CI VMs Make sure
    header0 is the header0 we want to click On the CI VM stuff is a bit
    slower than on real hw and we were clicking in the wrong place.
  * Add TabBar to the Dash header navigation Changes this comes with: *
    DashBar at the bottom is gone * PageHeader doesn't have a Label
    anymore, it has the childItem property where you add which thing it
    has to contain * New: PageHeaderLabel mimics the old behaviour of
    PageHeader * The header of the LVWPH of GenericScopeView is now fake
    and only used for positioning. There is a single global floating
    header in DashContent (which is a PageHeader with a TabBar as
    childItem) * The GenericScopeView previewLoader and OpenEffect have
    been also moved to the DashContent so that the openEffect includes
    the floating header in the "animation" .
  * Introduce the HorizontalJournal.
  * If there are no items m_firstVisibleIndex has to be -1 .
  * Add some more documentation about tests to the CODING file.
  * Fixes to the journal cmake tests code * Output to the correct
    filename for the test * Don't output stuff from the tryXYZ targets.
  * Adapt to findChild return value changes .
  * Organic Grid for the Dash View.
  * Misc journal fixes Don't init *modelIndex to INT_MAX Makes no sense
    since we're not doing any qMin and the calling function also accepts
    any index >= 0 as valid so in some cases it may end up wanting to
    create an index that doesn't exist Don't refill if height() < 0,
    that gives bad ranges for from/to and the code gets confused .

  [ Michał Karnicki ]
  * Fix grid view column count.
  * Add test for minimum number of items in a carousel.

  [ Allan LeSage ]
  * Add stubs for indicators autopilot tests.

  [ Andrea Cimitan ]
  * Avoid input falling through notifications onto surfaces below, thus
    fixing LP: #1257312. (LP: #1257312)

  [ Leo Arias ]
  * Close the Touch devices after the tests. (LP: #1267600)
  * Added methods to scroll to other scopes on autopilot tests.
  * Added autopilot helpers for the app scope and the app preview.
    Install the fake scopes in order to use them on the tests. (LP:
    #1269114)
  * On autopilot helpers, wait for the scope category to appear.

  [ Nick Dedekind ]
  * Visual updates for indicator panel highlight and opening opacity.
  * Added inidcator tests for page & item factories.
  * Fixes visible indicator misalignment in indicator items/menus
    (lp#1264678). (LP: #1264678)

  [ Mirco Müller ]
  * Fixed the failure of notification autopilot-test
    test_sd_incoming_call.

  [ Michael Zanetti ]
  * clean up fullscreen notifications code.
  * import qml files into cmake, drop qmlproject.
  * also add qml files in tests directory.
  * Added autopilot helpers for the app scope and the app preview.
    Install the fake scopes in order to use them on the tests. (LP:
    #1269114)

  [ Michael Terry ]
  * Fix failure to build when using the ./build script with ninja-build
    installed. (LP: #1268525)
  * Point DBus-activated processes at unity8's MIR_SOCKET rather than
    the system socket.

  [ Daniel d'Andrada ]
  * DragHandle: Never restart hinting animation while still pressed (LP:
    #1269022)

  [ Bill Filler ]
  * fix for lp:1259294, turn off auto capitalization for wifi password
    field. (LP: #1259294)
  * disable predictive text in Dash search field as it interferes with
    built-in search (LP: #1273643)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 28 Jan 2014 15:58:45 +0000

unity8 (7.84+14.04.20131220-0ubuntu1) trusty; urgency=low

  [ Michał Sawicz ]
  * Clean up root project file. Introduce include/ and qml/ and move
    files around to be where they fit, also adapt everything else to
    match.

  [ Michael Hall ]
  * Update CODING to reflect the fact that only 14.04 is supported
    currently.

  [ Christopher Lee ]
  * Make use of helpers in all tests. (LP: #1260860). (LP: #1260860)

  [ Nic ]
  * Added kill time 30 to unity8 override. Added install path. (LP:
    #1260379)

  [ Nick Dedekind ]
  * Added parser for strftime in TimeFormatter. Moved TimeFormatter to
    Utils plugin.

  [ Mirco Müller ]
  * Support fullscreen for special-case extended snap-decision of the
    pin-unlock dialog.

  [ Michael Zanetti ]
  * Change the default behaviour of the Lockscreen to have a variable
    PIN length, requiring the user to confirm with OK.

  [ Daniel d'Andrada ]
  * Update CODING with instructions on how to run tests.

  [ Dimitri John Ledkov ]
  * Fix cross-compilation.

  [ Albert Astals ]
  * Vertical journal Comes from lp:~aacid/+junk/verticalJournal.
  * Add code and tests for incremental inserting/removing from the end.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 603

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 20 Dec 2013 03:23:08 +0000

unity8 (7.84+14.04.20131212-0ubuntu1) trusty; urgency=low

  [ Michał Sawicz ]
  * Add PyDev project files for autopilot tests. Also tweak .bzrignore
    to not ignore generic Eclipse project definitions.
  * Retry unlocking the greeter three times.
  * Reduce code duplication and clean up CMakeLists and includes in
    indicator tests.

  [ Nick Dedekind ]
  * Replaced indicator page dynamic menuSelected binding with Connection
    to listview selectedIndex property. (LP: #1243146)
  * Indicators close when menu items are activated. (LP: #1238182)
  * Fixed up connections for changes to model data. (LP: #1253810)

  [ Albert Astals ]
  * dashItemSelected -> showDashHome Because we are not using the index
    at all in the upper layers.
  * Fix filtering colllapsing/expanding again Also the delegate creation
    range stuff flows up->down not down->up so rearrange the bindings.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 590

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 12 Dec 2013 21:41:19 +0000

unity8 (7.84+14.04.20131206.1-0ubuntu1) trusty; urgency=low

  [ Michal Hruby ]
  * Ensure DashContent's ListView's currentItem is set if the model is
    not empty.

  [ Michał Sawicz ]
  * Don't generate build-deps .deb twice and allow overriding
    QML2_IMPORT_PATH in ./run.

  [ Albert Astals ]
  * Remove unused Applications/ folder .
  * Implement an 'interface' for Dash Renderers.
  * Use deelistmodel's conversion method Instead of a copy of the code .
  * Remove icons we don't use .
  * Do not start apps or go to dash on demo If you are pulling the
    launcher out while in demo mode it doesn't make sense to let you
    start applications. Besides it locks you out because it starts the
    app and the demo is still not finished so you can't really use any
    of the edges to escape Bug #1233696. (LP: #1233696)
  * Add a test for the carousel showing the preview when being clicked .
  * Fix collapsing of categories not working and the
    expansion/collapsing animation +test.

  [ Timo Jyrinki ]
  * Depend on either Qt 5.2 or libqt5v8-5-private-dev.
  * qtdeclarative5-private-dev 5.0.2-6ubuntu5 now depends directly on Qt
    V8 private headers. The remaining "qtdeclarative5-private-dev"
    dependency is enough now both when compiling against 5.0.2 or 5.2.

  [ Pete Woods ]
  * Handle optional parameterized action properties. (LP: #1256258)

  [ Andrea Cimitan ]
  * Implement an 'interface' for Dash Renderers.

  [ Michael Zanetti ]
  * Added music preview.
  * rename some parameters from desktopFile to appId as scopes are now
    changed to give us the appId.
  * unhardcode launcher's search paths for .desktop files.
  * Enable teasing of the phone greeter even though we have a
    lockscreen.
  * check if variant is valid to avoid asserting in debug mode when the
    connection to AccountsService doesn't work for some reason .

  [ Michael Terry ]
  * Add the DBus greeter API from the desktop greeter into the unity8
    greeter.

  [ Daniel d'Andrada ]
  * Dash: disable close mode when you click outside app thumbnails To
    leave the termination mode you can now just mouse/touch press
    anywhere outside the running applications' thumbnails The other way,
    which still works, is long-pressing a thumbnail once more. (LP:
    #1193414)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 579

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 06 Dec 2013 13:15:57 +0000

unity8 (7.84+14.04.20131128.2-0ubuntu1) trusty; urgency=low

  [ Michal Hruby ]
  * Depend on the separate scopes plugin
  * Move the BottomBar* DBus communicator to the Utils plugin.

  [ Michał Sawicz ]
  * Wait for DashHome to be available in tst_Shell. (LP: #1254898)
  * Use plugindir from unity-shell-api.pc.
  * Expect stop in upstart job and raise in case of surfaceflinger. (LP:
    #1239876)

  [ Albert Astals ]
  * Fix time test in Qt 5.2 Make factors an array instead of a
    object/dict Objects/dicts are unordered by definition, it happened
    that Qt 5.0 gave them in the orrder we wanted, but with Qt 5.2 is
    failing, and we don't even need the "key", so array works as well
    :).
  * Test that the dash hswipe is disabled while the inner stuff is
    moving .
  * Skip restMaximizeVisibleAreaMoveUpAndShowHeader, it's causing too
    many failed runs And we are confident it's failing because of the
    suboptimal scenegraph run in 5.0.x.
  * Make Dash::test_show_scope_on_load more robust If we are testing
    showScopeOnLoaded make sure we force a scope reload after we set it,
    otherwise it may just happen that the scope has already been loaded
    and the expectaction that we'll change the list to it is just wrong.
  * Dash renderer signals: No need to pass the model up and down Whoever
    is listening to the signal has access to the item that emits the
    signal and has the model right there accessible if needs it.
  * LVWPH: Fix header going bad when setContentHeight ends up moving the
    viewport How to reproduce the bug easily without the patch: * In the
    Dash Home, search for london * Scroll to the bottom * Start moving
    to the apps scope very slowly * At around 3/4 of the move you'll see
    the header in the home scope went to a bad position * Go back to the
    Dash Home. (LP: #1237942, #1246351)
  * Remove unused AppInfo and VideoInfo files .
  * Kill unused ApplicationsFilterGrid.qml .
  * Unify ScopeView and GenericScopeView .
  * Fix header getting lost as per bug 1245824. (LP: #1245824)
  * Remove unused Time.js and its test .
  * Do not include the QtQml megaheader Include only qqml.h which is
    what we need in these files.
  * Don't do stuff if our parent context is gone We'll be gone soon too
    (and crash probably) so don't do anything. This looks a bit like a
    workaround, wait for 5.2 better painting/dispatching loop to see if
    this is not needed anymore, we find a better way to do it, or we
    decide this is fine.

  [ Lars Uebernickel ]
  * Allow setting different indicator positions for different profiles.

  [ Mirco Müller ]
  * Added checkbox for toggling between echo-modes of password-
    entryfields in ext. snap-decisions.
  * Fixes bug #1200569. (LP: #1200569)

  [ Andrea Cimitan ]
  * Switch to application scope when a dash swipe is taking place and an
    app is on foreground. (LP: #1231996)
  * Shifts wallpaper rendering for greeter lockscreen to be inline with
    shell. (LP: #1231731)
  * Dinamically load the Carousel/Filtergrid with more than 6 items.
    (LP: #1226288, #1234105)
  * Removes Math.js and its usage. Use SDK ones.

  [ Gerry Boland ]
  * DragHandle: javascript argument name clashes with local variable.
    Yes it works, but is a little unsafe.

  [ Nick Dedekind ]
  * Added UnityMenuModel submenu row removal awareness in
    UnityMenuModelStack.
  * Round indicator widget icon/label width up to closest gu for
    alignment. (LP: #1236267)
  * Indicator re-select by dragging from top when fully opened. (LP:
    #1213164)
  * Fixed a race condition causing search history popup to show up when
    it shouldn't. (LP: #1249369)

  [ Christopher Lee ]
  * Unity8 tests now make use of the helper functions (added in the pre-
    req branch) so that the helper functions are tested as part of daily
    business.

  [ Daniel d'Andrada ]
  * Improve DirectionalDragArea Removed Rejected status, simplifying
    state machine. Added compositionTime property. Multi-finger
    scenarios are better handled now. Refactored TimeSource in
    Ubuntu.Gestures plugin. Added an easy way to debug
    DirectionalDragArea by having switchable debug prints. Updated tests
    to also simulate the passage of time. Use touch point scene
    coordinates for gesture recognition so that moving the.
    DirectionalDragArea (as in a hinting DragHandle) won't affect it.
    (LP: #1228336)
  * Add right-edge drag hinting to Greeter To match with the existing
    teasing animation when you tap on the right half of the Greeter.
    Also has the side benefit of making the code look a bit nicer.
  * Refactor Ubuntu.Gesture tests to share common logic Take the common
    part out of tst_DirectionalDragArea and put it into a separate base
    class, GestureTest, so that it can be shared with other, future,
    tests. In CMakeLists.txt, create a macro out of DirectionalDragArea
    build script to be used by future tests with similar requirements
    and structure. Also add the "m_" prefix to member variables.
  * Remove dead code from Utils plugin They are not being used anywhere.

  [ Michael Terry ]
  * Make EdgeDemoOverlay test more reliable by testing for what we
    really care about, not an indirect indicator of it. (LP: #1248232)
  * Explicitly set MIR_SOCKET for other upstart jobs, rather than
    relying on the default socket, since that won't work once we move to
    a nested Mir.

  [ Michael Zanetti ]
  * don't add margins to RunningApplicationTile's label. (LP: #1245482)
  * allow SIM PIN entry to have a variable pin length (by adding a done-
    button). (LP: #1240561)
  * fix launcher wording for pinning actions. (LP: #1240891)
  * fix preview background positioning don't explicitly take originY
    into account as it's already in there implicitly. make sure we don't
    split the openeffect in a place where it can be covered by the
    header.
  * fix album artwork containing / in the name. (LP: #1237829)
  * small launcher tweaks fix fakeDragItem's initial position to match
    with real item. remove UbuntuShape's border glow. .
  * drop all references to LighDM from the Lockscreen This should make
    it generic enough to allow reusing it for SIM PIN entry .

  [ Omer Akram ]
  * make the non working code in the screen unlocker helper work.

  [ Nicolas d'Offay ]
  * Pushed up the z order of the clock in GreeterContent. (LP: #1233146)
  * Search history is now persistent across all scopes and remains in
    QML. (LP: #1226221)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 556

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 28 Nov 2013 18:09:17 +0000

unity8 (7.83+14.04.20131106-0ubuntu1) trusty; urgency=low

  [ Andrea Cimitan ]
  * Place ShaderEffectSource of UbuntuShapeForItem under the Shape Item.
    (LP: #1239317)

  [ Omer Akram ]
  * test: make sure the search indicator hides when an app has focus.

  [ Nick Dedekind ]
  * Fixed indicator slider menu item alignment to label field and icon.
    (LP: #1240756)

  [ chris.gagnon ]
  * Update to autopilot 1.4.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 500

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 06 Nov 2013 03:37:02 +0000

unity8 (7.83+14.04.20131105.1-0ubuntu1) trusty; urgency=low

  [ Michał Sawicz ]
  * Implement switching between previews by swiping. (LP: #1220651,
    #1088572)

  [ Nick Dedekind ]
  * Faster loading of indicator menus. (LP: #1226650)

  [ Albert Astals ]
  * Make sure we have ssh started when we need it .
  * Fix a few warnings in DashContent.qml on shutdown
    Dash/DashContent.qml:119: TypeError: Cannot read property
    'previewShown' of null Dash/DashContent.qml:120: TypeError: Cannot
    read property 'moving' of null .
  * Don't use deprecated Panel methods.

  [ Christopher Lee ]
  * Adds an easy to consume function that attempts to unlock the unity
    greeter. (LP: #1240261)

  [ Lars Uebernickel ]
  * Indicators: add TimeFormatter and use it in the messaging menu This
    component can be used to turn a timestamp and a format string into a
    string with the corresponding time and format. The string will
    change whenever the timezone changes. (LP: #1236413)

  [ Andrea Cimitan ]
  * Allow drag over bounds, but not overshoot. (LP: #1204300)
  * Threshold to activate the left edge swipe to reveal dash is now 26
    GU. (LP: #1236286)

  [ Michael Zanetti ]
  * replace the launcher quicklist's Popover with an own quicklist
    implementation The Popover probably won't ever support what the
    launcher needs.
  * Implement switching between previews by swiping. (LP: #1220651,
    #1088572)
  * don't trigger the greeter teasing during a movement of the greeter.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 495

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 05 Nov 2013 12:22:04 +0000

unity8 (7.83+14.04.20131031-0ubuntu1) trusty; urgency=low

  [ Michał Sawicz ]
  * Use setenv as early as possible to avoid setenv and getenv clashing
    in multi-threaded situations. (LP: #1240866)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 482

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 31 Oct 2013 20:10:56 +0000

unity8 (7.83+14.04.20131028.1-0ubuntu1) trusty; urgency=low

  * New rebuild forced
  * Automatic snapshot from revision 480

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 28 Oct 2013 22:42:07 +0000

unity8 (7.83+14.04.20131028-0ubuntu1) trusty; urgency=low

  [ Andrea Cimitan ]
  * Fix 1195349 by counting drawbuffer on the newContentX logic of the
    carousel When we changed carousel from repeater to listview, we
    added drawbuffer. this breaks the logic of newContentX, which was
    considered disabled and set to -1. The correct disabled value now
    has to take into account the drawbuffer. (LP: #1195349)

  [ Christopher Lee ]
  * Checks both then env and upstart env for the currently set
    XDG_DATA_DIRS so they can be set correctly for the test.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 479

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 28 Oct 2013 03:08:59 +0000

unity8 (7.83+13.10.20131016.2-0ubuntu1) saucy; urgency=low

  [ Loïc Minier ]
  * Merge ~lool/unity8/drop-setcap-conf. Drop unity8-setcap.conf as this
    breaks desktop installs (no boot-hook event is emitted, boot
    stalls); add maintscript snippet to rm_conffile on upgrades; this
    boot-hook is now shipped under a different name in lxc-android-
    config.

  [ Michał Sawicz ]
  * Ship a camera-app.desktop file and use a custom XDG_DATA_DIRS for
    testing.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 472

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 16 Oct 2013 23:15:48 +0000

unity8 (7.83+13.10.20131016.1-0ubuntu1) saucy; urgency=low

  [ Diego Sarmentero ]
  * Disable Preview interaction until the scope responds.

  [ Albert Astals ]
  * Hide placeholder notification.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 469

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 16 Oct 2013 17:29:36 +0000

unity8 (7.83+13.10.20131016-0ubuntu1) saucy; urgency=low

  [ Loïc Minier ]
  * Add upstart job to copy unity8 to a new tmpfs, setcap it, and bind-
    mount it back; this is an ugly hack to set CAP_SYS_RESOURCE until we
    have a root-helper for it.

  [ Michal Hruby ]
  * Enable definition of scope back references in overridden results.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 466

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 16 Oct 2013 11:29:52 +0000

unity8 (7.83+13.10.20131015.4-0ubuntu1) saucy; urgency=low

  [ Michał Sawicz ]
  * Replace ubuntu-touch-session's unity8.conf upstart job.
  * Revert r440 that made the dash collapse animation worse, rather than
    better.

  [ om26er@ubuntu.com ]
  * close the app only when the close button is tapped, not the entire
    thumbnail

  [ Nick Dedekind ]
  * Added missing Unity.Indicator mock objects causing qmltests to fail.
    Approved by: Michał Sawicz.

  [ Christopher Lee ]
  * Launch unity8 for autopilot with upstart, and bring unity8 session
    over from session-manager-touch.

  [ Pawel Stolowski ]
  * Temporarily disable category_order changed signal handling.

  [ Daniel d'Andrada ]
  * OSKController area shouldn't cover the indicators' bar Since ubuntu-
    keyboard surface area doesn't cover the indicators' bar,
    OSKController should follow suit. Otherwise the OSKContoller's
    internal InputFilterArea (and others) wouldn't perfectly overlap the
    graphical keyboard rendered by ubuntu-keyboard (i.e. the opaque part
    of ubuntu-keyboard's surface).

  [ Michael Zanetti ]
  * Initialize initialHeight/Width to height/width depending on scaleTo
    add checks for initialWidth/Height in the tests change sizes in
    tests to something else than the default for initialWidth/Height in
    order to catch failures there more easily

  [ Omer Akram ]
  * Only show search indicator while the Dash is focued.
  * Add 2dp left margin for music and video tiles' title.

  [ Nicolas d'Offay ]
  * Changed Infographics to use Ubuntu font.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 463

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 15 Oct 2013 11:05:04 +0000

unity8 (7.82+13.10.20131011.2-0ubuntu1) saucy; urgency=low

  [ Michał Sawicz ]
  * Work around Mir not delivering input to shell after restart, if the
    device isn't reinitialized.

  [ Albert Astals ]
  * Remove unused DashMusic/DashVideos.
  * Don't let the user change between scopes if the current one is
    moving up/down.
  * Fix two uninitialized variable uses reported by valgrind ==17988==
    Conditional jump or move depends on uninitialised value(s) ==17988==
    at 0x13839F3A: AccountsService::updateDemoEdges()
    (AccountsService.cpp:74) ==17988== by 0x13839DA5:
    AccountsService::setUser(QString const&) (AccountsService.cpp:45)
    ==17988== by 0x1383F67B:
    AccountsService::qt_metacall(QMetaObject::Call, int, void**)
    (moc_AccountsService.cpp:192) ==17988== by 0x496143D:
    StoreProperty(QV8Engine*, QObject*, QQmlPropertyData*,
    v8::Handle<v8::Value>) (in /usr/lib/arm-linux-
    gnueabihf/libQt5Qml.so.5.0.2) ==17988== ==17988== Conditional jump
    or move depends on uninitialised value(s) ==17988== at 0x1383A0F6:
    AccountsService::updateStatsWelcomeScreen() (AccountsService.cpp:92)
    ==17988== by 0x13839DB1: AccountsService::setUser(QString const&)
    (AccountsService.cpp:47) ==17988== by 0x1383F67B:
    AccountsService::qt_metacall(QMetaObject::Call, int, void**)
    (moc_AccountsService.cpp:192) ==17988== by 0x496143D:
    StoreProperty(QV8Engine*, QObject*, QQmlPropertyData*,
    v8::Handle<v8::Value>) (in /usr/lib/arm-linux-
    gnueabihf/libQt5Qml.so.5.0.2)
  * Fix unitialized variable in Scope ==18457== Conditional jump or move
    depends on uninitialised value(s) ==18457== at 0x15AD1FD6:
    Scope::setActive(bool) (scope.cpp:165) ==18457== by 0x15B0023D:
    Scope::qt_metacall(QMetaObject::Call, int, void**)
    (moc_scope.cpp:478) ==18457== by 0x48B709F:
    QQmlPropertyPrivate::write(QObject*, QQmlPropertyData const&,
    QVariant const&, QQmlContextData*,
    QFlags<QQmlPropertyPrivate::WriteFlag>) (in /usr/lib/arm-linux-
    gnueabihf/libQt5Qml.so.5.0.2)
  * Fix crash on the phone For some reason i'm getting v8 crashes
    without this when shuting down unity-mir

  [ Gerry Boland ]
  * Use focusRequested signal from AppManager. WM: AppManager has new
    signal to ask shell to request focus for app - use it to properly
    animate and focus the app. If app wants to be side stage, but no
    side stage available, override the application stage.

  [ Nick Dedekind ]
  * Only use the root action state as a unitymenumodel ActionStateParser
    when needed.

  [ Andrea Cimitan ]
  * Move the close app icon on top left.
  * The header of category list is already on screen after unlock

  [ Michael Zanetti ]
  * Make the greeter's clock update in sync with the indicators.

  [ Omer Akram ]
  * Increase dash header height to 5gu.

  [ Nicolas d'Offay ]
  * Standardised expansion speed in scopes.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 449

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 11 Oct 2013 17:26:34 +0000

unity8 (7.82+13.10.20131011.1-0ubuntu1) saucy; urgency=low

  [ Michał Sawicz ]
  * Fix frequent application IDs and drop old AppsAvailableForDownload
    model.
  * Unrevert r388 now that we have fixed the infinite loop it was
    causing in Qt.

  [ Steve Langasek ]
  * Don't keep a long-lived connection open to upstart when we only use
    it for two events, one at load time and one at unload time.

  [ Lars Uebernickel ]
  * VolumeControl: use 'volume' instead of 'scroll' action The volume
    action doesn't show a notification.

  [ Michael Terry ]
  * Disable DragHandle on right side of screen while the greeter is
    animating

  [ Marcus Tomlinson ]
  * Added missing "enabled" property to "progressMenu" component in the
    menu item factory.

  [ Michael Zanetti ]
  * Add scaleTo: "fit" mode support to LazyImage

  [ Andrea Cimitan ]
  * Add music and video renderers
  * Use shell.edgeSize for BottomBar's EdgeDragArea, detecting gestures
    only when they are within the edgeSize.

  [ Nick Dedekind ]
  * Removed greeter "toHome" animation (LP#1092976) (LP: #1092976)
  * Only show Snap Decision notification actions when available.

  [ Albert Astals ]
  * Dash: Set delegate creation range for inner itemviewss If it's above
    the list viewport we set it to the end of the list to precache the
    last items It it's below the list viewport we set it to the
    beginning to precache the first items Otherwise we set it to the
    part of the viewport in the view Approved by: Michał Sawicz.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 435

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 11 Oct 2013 09:05:30 +0000

unity8 (7.82+13.10.20131010-0ubuntu1) saucy; urgency=low

  [ David Callé ]
  * Small logic change in preview descriptions line breaks. Multiple new
    lines are now replaced by multiple br tags.

  [ Nick Dedekind ]
  * Use indicator identifier for indicators-client list item label.
  * Make sure overflow indicators are hidden and not the search label.

  [ Mirco Müller ]
  * Tweaks to notifications to improve spec-compliance. - updated
    notifications-qmltest to reflect the use of a variant-map for the
    hints - made text-fields as heigh as buttons - made the summary
    align horizontally to the icon - updated button-height and bubble-
    background.

  [ Pawel Stolowski ]
  * Handle category_order_changes signal from scopes (used in Home only)
    and reorder categories accordingly.
  * Implementation of albumart image provider for audio content.

  [ Michael Terry ]
  * Hide the greeter when an app is focused, fixing snap decisions
    launching an app in the greeter (like receiving a call).

  [ Michael Zanetti ]
  * Launcher - remove support for pinning items in the backend After the
    latest design changes, recent apps is everything that is contained
    in the ApplicationManager. So no need for storing anything else than
    pinned apps in the config.

  [ Michał Sawicz ]
  * Remove the mir socket before starting unity8 during autopilot tests.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 420

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 10 Oct 2013 04:15:13 +0000

unity8 (7.82+13.10.20131008.1-0ubuntu1) saucy; urgency=low

  [ Michal Hruby ]
  * Add Scope::isActive property and corresponding tests. (LP: #1230352)

  [ Daniel d'Andrada ]
  * Move OSKController to the front as it will now also block input
    meant to the OSK That's in the unity-mir implementation. The
    SurfaceFlinger one is still an empty noop. Currently, when the OSK
    is up, both shell and OSK get user input, thus we need the
    OSKController to shield our shell components from them. (LP:
    #1236773)

  [ Michał Sawicz ]
  * Add Scope::isActive property and corresponding tests. (LP: #1230352)
  * Force focus back on shell in case it loses it for some reason.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 409

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 08 Oct 2013 19:14:20 +0000

unity8 (7.82+13.10.20131008-0ubuntu1) saucy; urgency=low

  [ Michał Sawicz ]
  * update previews to match design. (LP: #1224555)
  * Add an InputFilterArea in Notifications. (LP: #1233411, #1235215)

  [ Ying-Chun Liu ]
  * update previews to match design. (LP: #1224555)

  [ Albert Astals ]
  * Unrevert 376 by reverting r395 and a small fix to fix the cpu
    hogging issue . (LP: #1124567)

  [ Michael Terry ]
  * Add Showable.showNow() method and use it in Shell to immediately
    show greeter when we blank the screen rather than animating it. (LP:
    #1233564)

  [ Michael Zanetti ]
  * update previews to match design. (LP: #1224555)

  [ Diego Sarmentero ]
  * update previews to match design. (LP: #1224555)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 404

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 08 Oct 2013 02:57:55 +0000

unity8 (7.82+13.10.20131007-0ubuntu1) saucy; urgency=low

  [ Michał Sawicz ]
  * Respect pre-set import and library paths and prevent segfault in
    startShell.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 399

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 07 Oct 2013 07:10:46 +0000

unity8 (7.82+13.10.20131005-0ubuntu1) saucy; urgency=low

  [ Michał Sawicz ]
  * Revert r376 that caused constant CPU usage due to the
    ActivityIndicator.

  [ Nick Dedekind ]
  * Removed indicators-client autopilot tests. (LP: #1234736)

  [ Albert Astals ]
  * Revert r388. (LP: #1235268)

  [ Christopher Lee ]
  * Removes passing -fullscreen to unity8 when on the device (as per bug
    #1235065). (LP: #1235065)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 396

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Sat, 05 Oct 2013 11:45:14 +0000

unity8 (7.82+13.10.20131004.2-0ubuntu1) saucy; urgency=low

  * Revert 7.82+13.10.20131004.1-0ubuntu1 back to
    7.81.3+13.10.20130927.3-0ubuntu1 due to CPU hogging issue with
    7.82+13.10.20131004.1-0ubuntu1.

 -- Loïc Minier <loic.minier@ubuntu.com>  Fri, 04 Oct 2013 21:22:29 +0200

unity8 (7.82+13.10.20131004.1-0ubuntu1) saucy; urgency=low

  [ Michał Sawicz ]
  * Bump to indicate support for extended snap decisions.
  * Make Tile themeable, add renderers for Dash Plugins and weather.
    (LP: #1231948)
  * Drop network agents now that they're in indicator-network instead.

  [ Michal Hruby ]
  * Differentiate generic and music carousels.
  * Use the thumbnailer image provider for scope results that don't
    specify icon as well as for previews.
  * Added an indicator which is displayed in the search bar whenever a
    search is in progress. Added accompanying test in tst_PageHeader.
  * Expose rendererHint to shell.

  [ Albert Astals ]
  * Update pot file. (LP: #1232374)
  * Only enable the animation when the item is on screen (i.e. !culled)
    . (LP: #1200374)
  * Do not crash on positionAtBeginning if the list is empty .
  * Enable/disable running apps height animation in a less error prone
    way.

  [ Michael Terry ]
  * Use a chevron after 'Skip intro' and drop the underlining.
  * Load testability driver when QT_LOAD_TESTABILITY is set. (LP:
    #1226234)
  * Listen to the system setting StatsWelcomeScreen, which tells us
    whether to show user-specific infographic data in the greeter. (LP:
    #1207857)

  [ Gerry Boland ]
  * WM: ensure focusedApplicationWhenUsingScreenshots reset when unused,
    and only used when set. Fixes window focus conflict between shell
    and ApplicationManager.

  [ Nick Dedekind ]
  * Removed deprecated Unity.IndicatorsLegacy plugin.
  * Added actionState parser to the indicators-client text printer so
    that we get the icon.
  * Moved indicator page titles to the root action state of menu model.
    (LP: #1223635)

  [ Mirco Müller ]
  * Added rendering- and interaction-support for the first three
    extended snap-decision dialog-cases password-entry, user-
    authentication and simunlock.

  [ Daniel d'Andrada ]
  * Revert the reversion of r304 since it doesn't seem to crash anymore
    Original commit was Reset apps scope when returning from app to dash
    (LP #1193419) If an app is on foreground and you perform a long
    left-edge swipe to minimize it, and therefore return to the dash,
    the dash should be in the Applications scope and showing the
    running/recents applications. (LP: #1193419)

  [ Andrea Cimitan ]
  * Add behaviours to the hud reveal. (LP: #1224480, #1224633)
  * Make Tile themeable, add renderers for Dash Plugins and weather.
    (LP: #1231948)

  [ Michael Zanetti ]
  * fix inserting into quicklistmodel.
  * Drop useStorage argument and use exising LAUNCHER_TESTING define for
    this decision.

  [ Omer Akram ]
  * Make the volume/brightness slider changes realtime. (LP: #1227595)

  [ Nicolas d'Offay ]
  * Fixed black colour on the first of the month due to division. (LP:
    #1233657)
  * Added an indicator which is displayed in the search bar whenever a
    search is in progress. Added accompanying test in tst_PageHeader.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 390

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 04 Oct 2013 06:55:16 +0000

unity8 (7.81.3+13.10.20130927.3-0ubuntu1) saucy; urgency=low

  [ Michal Hruby ]
  * Correctly handle image URI scheme in results.

  [ Michał Sawicz ]
  * Make SHOW_DASH and HIDE_DASH close the current preview. (LP:
    #1231404)
  * Add a LazyImage component that shows an activity spinner for long-
    loading images and handles aspect ratio properly.
  * Fix Qt 5.1 FTBFS and suppress some build warnings.

  [ Albert Astals ]
  * Make sure we always have least have one column in the gridview. (LP:
    #1225391)
  * LVWPH: Make sure we always overshoot vertically. (LP: #1229851)
  * Remember the expanded categoryId and not the expanded index The
    index can change on search, and we still want to maintain it
    expanded in that case. (LP: #1230216)
  * Fix showHeader in an edge case of notShownByItsOwn Not all the tests
    i've added fail without the code fix, but i've added them just to be
    more covered . (LP: #1230187)

  [ Diego Sarmentero ]
  * Handling error signal from the DownloadTracker plugin (BUG:
    #1229744). (LP: #1229744)
  * Remove "Reviews and Comments" section from Application Preview until
    the feature is ready (BUG: #1226632) - Detect when the keyboard is
    being shown to allow the user to scroll the Preview even more if
    necessary to interact with the components at the bottom of that
    preview, and don't leave those components obscured behind the
    keyboard (BUG: #1226638). (LP: #1226632, #1224717, #1226638)

  [ Nick Dedekind ]
  * Brought messaging indicator inline with UnityMenuModel &
    UnityMenuAction. (LP: #1217676, #1217678)

  [ Pawel Stolowski ]
  * Support canned search queries returned by Home Scope.
  * Cancel previous actions and previews on new activation / preview.
    Expose previewed data row in Preview object.

  [ Michael Terry ]
  * Only enable the Bottombar when the HUD is available. (LP: #1220306)
  * Increase the "Skip intro" clickable area, making dismissing the edge
    demo intro feel more natural. (LP: #1220632)

  [ Michael Zanetti ]
  * drop our CrossFadeImage in favor of the SDK one. (LP: #1227783)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 358

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 27 Sep 2013 14:13:22 +0000

unity8 (7.81.3+13.10.20130924.2-0ubuntu1) saucy; urgency=low

  [ Michal Hruby ]
  * Fix the signal prototypes on music grid renderer. (LP: #1228390)

  [ Michael Zanetti ]
  * use less auto variables, align coding style, constify and Qt'ify API
    in AccountsService plugin.

  [ Nick Dedekind ]
  * Re-enable MenuContentActivator in Indicators.

  [ Albert Astals ]
  * LVWPH: Update the section header on list change events.

  [ Pawel Stolowski ]
  * Check results model ptr returned by GetResultsFromCategory method
    from UnityCore. (LP: #1228097, #1211595)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 340

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 24 Sep 2013 14:40:01 +0000

unity8 (7.81.3+13.10.20130919.3-0ubuntu1) saucy; urgency=low

  [ Michal Hruby ]
  * Add support for music grid renderer to GenericScopeView.

  [ Nick Dedekind ]
  * Fixed the removal of messaging widget due to incompatible action
    state. (LP: #1225017)

  [ Christopher Lee ]
  * Addition of initial autopilot tests for the application lifecycle.

  [ Lars Uebernickel ]
  * VolumeControl: use action of the new indicator indicator-sound
    recently gained an action to increase and decrease the volume. This
    patch makes use of that to get rid of a bus round trip (to get the
    current volume) and a race (when the volume gets set between
    fetching the current volume and setting the new volume). (LP:
    #1219057)

  [ Michael Terry ]
  * When AccountsService.backgroundFile is unset/invalid, have the
    greeter fall back to whatever the shell background is.
  * Add a tiny SessionBroadcast plugin that listens to unity-greeter-
    session-broadcast for the ShowHome signal.

  [ Daniel d'Andrada ]
  * Remove obsolete, unused graphics.
  * Make MouseTouchAdaptor work with multiple QWindows.

  [ Michael Zanetti ]
  * change how icons are searched a) try to find it the Icon as is b)
    prepend with Path if a Path variable is given c) fall back to the
    image://theme/ with just the icon name . (LP: #1225186)
  * fix an issue with removing a running app from the launcher and
    always store pinning to the config.
  * collapse any open preview when programmatically switching current
    dash index. (LP: #1221137)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 333

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 19 Sep 2013 15:15:07 +0000

unity8 (7.81.3+13.10.20130916-0ubuntu1) saucy; urgency=low

  [ Michael Zanetti ]
  * allow left edge gesture to minimize apps even when launcher is
    already visible.
  * Don't hide the launcher on changes in the stages.
  * ssh is now installed per default, but it's set to manual in the
    ssh.override.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 320

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 16 Sep 2013 11:49:28 +0000

unity8 (7.81.3+13.10.20130912-0ubuntu1) saucy; urgency=low

  [ Michael Zanetti ]
  * add support for finding icons from click package apps in the
    launcher.
  * update to latest launcher API for better integration with the
    AppManager.

  [ Ricardo Mendoza ]
  * Fixes problems related to image 20130912.0, amongst: * Fix autopilot
    tests by preventing blocking of input during HUD button animations,
    only when fully visible * Fix loading of unity-mir library, major
    version wasn't specified so unless the dev package was there it
    would fail.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 316

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 12 Sep 2013 13:47:59 +0000

unity8 (7.81.3+13.10.20130911.1-0ubuntu1) saucy; urgency=low

  [ Michael Terry ]
  * Switch from deprecated image://gicon/ to new image://theme/.

  [ Gerry Boland ]
  * Add OSKController so shell can control OSK correctly on Mir.
  * Remove InputFilterArea for bottom edge swipes, as applications also
    listen for such swipes for Toolbar reveal.

  [ Ricardo Mendoza ]
  * Select the backend to use dynamically on runtime according to the
    QPA selected by the system.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 311

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 11 Sep 2013 16:22:55 +0000

unity8 (7.81.3+13.10.20130911-0ubuntu1) saucy; urgency=low

  [ Michal Hruby ]
  * Hide all gicon strings from the shell and use the image://theme icon
    provider that was recently added to the SDK.

  [ Gerry Boland ]
  * Convert to new ApplicationManager API.

  [ Nick Dedekind ]
  * Updated access point design as per spec.
  * Indicator visibility based on connection with backend service.

  [ Albert Astals ]
  * Dash: Make assignments bindings This way if the model changes the
    item value also changes.

  [ Michael Zanetti ]
  * adds support for highlighting the currently focused application in
    the launcher, adds tests.
  * include ~/.local/share/applications in launcher's .desktop file
    search path.
  * shrink size of area for revealing the HUD button and make it
    disappear on release again. fixes 1219035. (LP: #1219035)
  * revert revision 304 as it makes the Shell crash.

  [ Michael Terry ]
  * Allow testers to set custom password or pin in demo mode, rather
    than hardcoding them.
  * Have the greeter use AccountsService to determine its background.
    (LP: #1218402)
  * Listen to changes in the "show edge demo" AccountsService setting.

  [ Daniel d'Andrada ]
  * Update fake/mock plugins so that "./run --fake" works well again -
    You can now see the thumbnails of the fake running applications once
    again. - You no longer get hundreds of warnings due to icons not
    found.
  * Reset apps scope when returning from app to dash (LP #1193419) If an
    app is on foreground and you perform a long left-edge swipe to
    minimize it, and therefore return to the dash, the dash should be in
    the Applications scope and showing the running/recents applications.
    (LP: #1193419)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 306

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 11 Sep 2013 00:54:31 +0000

unity8 (7.81.3+13.10.20130905.2-0ubuntu1) saucy; urgency=low

  [ Michael Zanetti ]
  * Integrate Launcher with AppManager.

  [ Nick Dedekind ]
  * Removed FIXME from slider int->double conversion.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 291

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 05 Sep 2013 10:48:02 +0000

unity8 (7.81.3+13.10.20130904.1-0ubuntu1) saucy; urgency=low

  [ Nicolas d'Offay ]
  * Switched infographic background at design's request.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 287

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 04 Sep 2013 07:34:57 +0000

unity8 (7.81.3+13.10.20130904-0ubuntu1) saucy; urgency=low

  [ mhall119 ]
  * Add a little bit of text to the last step of the tour telling the
    user how to end it and get to their phone.

  [ Jussi Pakkanen ]
  * Use CCache if it is installed.

  [ Nick Dedekind ]
  * Multiple icon/label support for indicators.

  [ Albert Astals ]
  * Remove unneeded role.

  [ Lars Uebernickel ]
  * Fall back to "ubuntu-mobile" icon theme if $UBUNTU_ICON_THEME is
    unset.

  [ Michael Zanetti ]
  * Use MouseAreas in DashBar to enable clicking again.
  * load launcher default config from existing dconf key.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 285

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 04 Sep 2013 03:02:57 +0000

unity8 (7.81.3+13.10.20130903.1-0ubuntu1) saucy; urgency=low

  [ Michael Zanetti ]
  * workaround quicklist text color.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 277

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 03 Sep 2013 06:09:36 +0000

unity8 (7.81.3+13.10.20130830-0ubuntu1) saucy; urgency=low

  [ Pawel Stolowski ]
  * Implement a virtual 'All' filter option.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 275

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 30 Aug 2013 12:44:40 +0000

unity8 (7.81.3+13.10.20130829.2-0ubuntu1) saucy; urgency=low

  [ Michael Terry ]
  * Implement launcher item backend via AccountsService.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 272

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 29 Aug 2013 19:09:44 +0000

unity8 (7.81.3+13.10.20130829.1-0ubuntu1) saucy; urgency=low

  [ Michael Terry ]
  * Make sure greeter and lockscreen backgrounds are always defined,
    even if the wallpaper preference string is bogus. (LP: #1208889,
    #1208894)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 270

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 29 Aug 2013 11:09:43 +0000

unity8 (7.81.3+13.10.20130829-0ubuntu1) saucy; urgency=low

  [ Andrea Cimitan ]
  * Streamline some new HUD interactions to be more consistent with the
    Unity Launcher.

  [ Michael Zanetti ]
  * setting the launcher's extensionSize delayed to position the view
    correctly at the beginning .

  [ Bill Filler ]
  * add new telephony apps (dialer, messaging, contacts) to launcher and
    Home scope.

  [ Michael Terry ]
  * Implement edge demos on first boot. Build-Depends: +dbus-test-
    runner, +qtbase5-dev-tools.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 267

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 29 Aug 2013 02:10:38 +0000

unity8 (7.81.3+13.10.20130828.1-0ubuntu1) saucy; urgency=low

  [ Andrea Cimitan ]
  * Hide the LauncherPanel when it's really hidden, by changing visible
    to false.

  [ Gerry Boland ]
  * Fix sidestage applications - they were being ignored in the show-
    application-surface logic. (LP: #1217027, #1210079)

  [ Michał Sawicz ]
  * Raise the exception if typing failed in autopilot.

  [ Nick Dedekind ]
  * Added location indicator defaults.

  [ Michael Zanetti ]
  * increase minimal dragging width for dismissing apps with left edge
    make it a configurable parameter and adjust animation to look like
    requested in the bug report . (LP: #1213153)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 262

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 28 Aug 2013 11:55:46 +0000

unity8 (7.81.3+13.10.20130827.1-0ubuntu1) saucy; urgency=low

  [ Michael Zanetti ]
  * unset model in quicklist before closing it.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 256

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 27 Aug 2013 10:49:17 +0000

unity8 (7.81.3+13.10.20130827-0ubuntu1) saucy; urgency=low

  [ Michael Zanetti ]
  * Theme the Quicklist Popover.

  [ Albert Astals ]
  * Apply expandedIndex on delegate creation bug #1213033. (LP:
    #1213033)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 254

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 27 Aug 2013 02:10:43 +0000

unity8 (7.81.3+13.10.20130826.5-0ubuntu1) saucy; urgency=low

  [ Michael Zanetti ]
  * tweak launcher folding and visuals according to feedback from
    design: - increase foldingStartHeight - Introduces a
    foldingStopHeight. Folding only happens between the
    foldingStartHeight and the foldingStopHeight. - Only change
    brightness while folding - remove highlight of pressed icon -
    decrease launcher's width by half a grid unit.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 251

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 26 Aug 2013 22:09:43 +0000

unity8 (7.81.3+13.10.20130826.4-0ubuntu1) saucy; urgency=low

  [ Michał Sawicz ]
  * Add module entry in HudClient's qmldir.

  [ Jussi Pakkanen ]
  * Let Ninja parallelize itself.

  [ Nick Dedekind ]
  * Abstraction of indicator menu item properties prior to move into
    common components library.

  [ Christopher Lee ]
  * Added autopilot-tests for ephemeral, interactive and snap-decision
    notifications.

  [ Mirco Müller ]
  * Added autopilot-tests for ephemeral, interactive and snap-decision
    notifications.

  [ Michael Zanetti ]
  * only search visible children in findChild, add findInvisibleChild
    for others.
  * Added autopilot-tests for ephemeral, interactive and snap-decision
    notifications.

  [ Thomi Richards ]
  * Added autopilot-tests for ephemeral, interactive and snap-decision
    notifications.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 249

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 26 Aug 2013 18:34:44 +0000

unity8 (7.81.3+13.10.20130826.2-0ubuntu1) saucy; urgency=low

  [ Albert Astals ]
  * Don't include QtQML It includes LOTS of files we don't need.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 243

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 26 Aug 2013 10:08:52 +0000

unity8 (7.81.3+13.10.20130826.1-0ubuntu1) saucy; urgency=low

  * Automatic snapshot from revision 241

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 26 Aug 2013 06:08:33 +0000

unity8 (7.81.3+13.10.20130826-0ubuntu1) saucy; urgency=low

  [ Michael Zanetti ]
  * delay move operations if the start dragging operation is running
    This prevents items to left in wrong places when transitions clash.
  * add empty setUser to allow compiling in jenkins again until the
    branch that matches unity-api is ready to land. .
  * add count and progress overlay information to real model too.

  [ Pawel Stolowski ]
  * Changed the type of setActive argument from
    QVector<AbstractFilterOption *>::size_type to unsigned int.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 240

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 26 Aug 2013 02:31:42 +0000

unity8 (7.81.3+13.10.20130821.2-0ubuntu1) saucy; urgency=low

  [ Michael Terry ]
  * Listen to display-power-changed rather than system-power-changed
    signals when showing the greeter; ignore such signals when the
    proximity sensor is active. (LP: #1214477)

  [ Pawel Stolowski ]
  * Added a role for accessing progress-source property of categories.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 233

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 21 Aug 2013 22:09:53 +0000

unity8 (7.81.3+13.10.20130821.1-0ubuntu1) saucy; urgency=low

  [ Michael Zanetti ]
  * allow testing at 11:13. Old code failed because the text actually
    says "11:13 AM".
  * add some checks if we actually clicked an item or in the spacing
    between them gets rid of some warnings printed by the launcher .

  [ Michał Sawicz ]
  * Update runtime deps in the build script.

  [ Nick Dedekind ]
  * Added/Updated legacy network indicator components to use with new
    indicator backend.

  [ Albert Astals ]
  * Fix insertions/removals on the qlimitproxymodel . (LP: #1213959)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 230

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 21 Aug 2013 15:04:59 +0000

unity8 (7.81.3+13.10.20130821-0ubuntu1) saucy; urgency=low

  [ Michael Zanetti ]
  * added support for count emblems and progress overlays on the
    launcher.

  [ Pawel Stolowski ]
  * Add role for getting filter options model. Add method to activate
    option based on index or id.

  [ Ted Gould ]
  * Mark indicators-client as providing an indicator-renderer.

  [ Nick Dedekind ]
  * Added flatmenuproxymodel pass-through signals from qmenumodel.
  * Renamed indicator-messaging to indicator-messages.

  [ Gerry Boland ]
  * Typo fix in FrequentlyUsedAppsModel.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 224

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 21 Aug 2013 08:05:13 +0000

unity8 (7.81.3+13.10.20130820.2-0ubuntu1) saucy; urgency=low

  [ Michael Zanetti ]
  * initial support for quicklists For now they support pinning and
    removing of items.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 217

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 20 Aug 2013 10:09:36 +0000

unity8 (7.81.3+13.10.20130820-0ubuntu1) saucy; urgency=low

  [ Andrea Cimitan ]
  * Implement background changing through gsettings. Make sure it does
    fallback to default background when needed.

  [ Michael Zanetti ]
  * Implement background changing through gsettings. Make sure it does
    fallback to default background when needed.
  * Add Drag'n'drop support to Launcher As dragging an item pins it to
    the launcher this also contains initial quicklist and pinning
    support in the plugin part.

  [ Michał Sawicz ]
  * Fix generic preview wrapping and force rich text parsing.

  [ Michal Hruby ]
  * Remove the override for Apps available for download, click scope
    provides these now.
  * Hide rating widgets when scope provides rating set to < 0.0. Also
    fallback to regular preview image if there are no more_screenshots
    specified.

  [ Albert Astals ]
  * Make sure minYExtent is updated before setting the new content
    height Otherwise bad things can happen in the positioning .

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 215

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 20 Aug 2013 02:08:42 +0000

unity8 (7.81.3+13.10.20130816.3-0ubuntu1) saucy; urgency=low

  [ Michal Hruby ]
  * Implement overrideResults() method, which allows us to seamlessly
    combine real scope data with mocked data.

  [ Michał Sawicz ]
  * Wait for activeFocus before typing in autopilot tests. (LP:
    #1212580)

  [ Nick Dedekind ]
  * Fixed network indicator password dialog not appearing. (LP:
    #1212730)
  * Remove time & battery indicator service info.

  [ Albert Astals ]
  * Dash category expansion.
  * Fix crash in the shell test Give the item a parent, otherwise the
    qml engine decides to adopt it and when we do the deleteLater on
    them, they have been already deleted. Since we are the parents, we
    don't need to call the deleteLAter eiether they'll be properly
    deleted on our deletion.

  [ Michael Zanetti ]
  * make entering text in lockscreen tests more robust. (LP: #1212580)

  [ Michael Terry ]
  * Define the 'build' target as PHONY so make doesn't get confused by
    our 'build' script.
  * Add a test for the Powerd plugin shell support.

  [ Pawel Stolowski ]
  * Bindings for filters.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 208

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 16 Aug 2013 14:11:35 +0000

unity8 (7.81.3+13.10.20130814.3-0ubuntu1) saucy; urgency=low

  [ Ted Gould ]
  * Upstart signals to control indicator services.

  [ Nick Dedekind ]
  * Replaced indicator menu listView with tabs view.
  * Transition Unity.Indicators to UnityMenuModel.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 197

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 14 Aug 2013 14:33:39 +0000

unity8 (7.81.3+13.10.20130814.1-0ubuntu1) saucy; urgency=low

  [ Michał Sawicz ]
  * Add AppPreview.

  [ Nick Dedekind ]
  * Use key from indicator service file to source indicator positions.

  [ Diego Sarmentero ]
  * Add AppPreview.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 193

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 14 Aug 2013 06:33:14 +0000

unity8 (7.81.3+13.10.20130813.1-0ubuntu1) saucy; urgency=low

  [ Michael Zanetti ]
  * don't scale the EARLY ALPHA warning text bigger than the screen is.

  [ Michał Sawicz ]
  * Add debug logging to passphrase entry.

  [ Albert Astals ]
  * Remove unneeded stuff from CMakelists.txt set(CMAKE_AUTOMOC ON)
    include(FindPkgConfig) find_package(Qt5Core REQUIRED)
    find_package(Qt5Quick REQUIRED) Are already on the top-level
    CMakeLists.txt so no need to write them again Well, actually the
    Qt5Core wasn't and i added it, it's not really necessary since it's
    pulled by the others that depend on it, but it doesn't hurt to be
    explicit.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 189

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 13 Aug 2013 14:08:32 +0000

unity8 (7.81.3+13.10.20130812.1-0ubuntu1) saucy; urgency=low

  [ Michael Zanetti ]
  * preserve lockscreen's background wallpaper's aspect ratio. (LP:
    #1208892)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 184

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 12 Aug 2013 19:14:35 +0000

unity8 (7.81.3+13.10.20130812-0ubuntu1) saucy; urgency=low

  [ Albert Astals ]
  * Fix uses of uninitialized values reported by valgrind.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 182

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 12 Aug 2013 14:33:29 +0000

unity8 (7.81.3+13.10.20130809.1-0ubuntu1) saucy; urgency=low

  [ Michal Hruby ]
  * Set phone form factor for scope requests.

  [ Michał Sawicz ]
  * Add support for plurals and update the translation template.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 179

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 09 Aug 2013 15:35:06 +0000

unity8 (7.81.3+13.10.20130809-0ubuntu1) saucy; urgency=low

  [ Michał Sawicz ]
  * Prepare unity8 for cross-building.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 176

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 09 Aug 2013 02:32:10 +0000

unity8 (7.81.3+13.10.20130808-0ubuntu1) saucy; urgency=low

  [ Michał Sawicz ]
  * Re-enable battery slider test.

  [ Nick Dedekind ]
  * Workaround for non-deletion of indicator page menu items. (LP:
    #1183065, #1206991)

  [ Albert Astals ]
  * LVPWH: Fix regression handling the sticky top section culling r166
    introduced the regression, this fixes it+tests.
  * Implement+test the maximizeVisibleArea function Tries to show as
    much possible of an index that is already shown on screen Will be
    used for the dash category expansion.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 174

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 08 Aug 2013 15:23:17 +0000

unity8 (7.81.3+13.10.20130807-0ubuntu1) saucy; urgency=low

  [ Michał Sawicz ]
  * Drop ppa:ubuntu-unity/next.
  * Revert revision 161 that causes issues with invalid background.

  [ Albert Astals ]
  * Fix off by one in the culling condition If you are on 0 and your
    height is 1 and viewport starts at 1 you have to be culled since you
    are not visible.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 168

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 07 Aug 2013 02:32:00 +0000

unity8 (7.81.3+13.10.20130806-0ubuntu1) saucy; urgency=low

  [ Michael Terry ]
  * Show the greeter when powerd tells us to, not just whenever we press
    the power key. (LP: #1186256)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 164

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 06 Aug 2013 03:43:01 +0000

unity8 (7.81.3+13.10.20130805-0ubuntu1) saucy; urgency=low

  [ Michael Terry ]
  * Fixes the lockscreen and swiping on the greeter still being possible
    even when in tablet mode. (LP: #1204984)
  * Watch powerd signals to notice a sleep and unfocus current app when
    that happens.

  [ Michael Zanetti ]
  * make findChild also find invisible childs This considerably
    increases the amount of items to be searched up to a level where
    testShell didn't finish any more with searching. Hence this commit
    also changes findChild to do a breadth-first instead of a depth-
    first search.
  * Read background from GSettings or fallback to default_background.

  [ Andrea Cimitan ]
  * Read background from GSettings or fallback to default_background.

  [ Albert Astals ]
  * Make LVWPH provide a delegateIndex for sectionHeaders This way we
    can match the sectionHeader to the model easier in the qml/js side .
  * Fix tryCompare call The 4th parameter of tryCompare is timeout not
    message .

  [ Daniel d'Andrada ]
  * Read background from GSettings or fallback to default_background.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 162

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 05 Aug 2013 02:32:05 +0000

unity8 (7.81.3+13.10.20130802-0ubuntu1) saucy; urgency=low

  [ Michael Terry ]
  * Make hud autopilot tests more reliable by fixing how it calculates
    relative coordinates.

  [ Albert Astals ]
  * Only update the "section" if we are not culling the item If the item
    is not shown we should not care about its section.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 155

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 02 Aug 2013 02:40:11 +0000

unity8 (7.81.3+13.10.20130801.1-0ubuntu1) saucy; urgency=low

  [ Michał Sawicz ]
  * Add a disclaimer for the fake applications plugin.

  [ Nick Dedekind ]
  * Removed animations from fake indicator pages.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 152

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 01 Aug 2013 14:30:40 +0000

unity8 (7.81.3+13.10.20130801ubuntu.unity.next-0ubuntu1) saucy; urgency=low

  [ Michael Zanetti ]
  * implemented new Lockscreen design.

  [ Michał Sawicz ]
  * Fix mock VideoPreview to use the string categoryId as well.

  [ Nick Dedekind ]
  * Added a text tree representation of the qmenumodel to the
    indicators-client application.

  [ Albert Astals ]
  * Don't need deelistmodel here.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 149 (ubuntu-unity/next)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 01 Aug 2013 02:32:03 +0000

unity8 (7.81.3+13.10.20130730ubuntu.unity.next-0ubuntu1) saucy; urgency=low

  [ Michał Sawicz ]
  * Adapt to Qt 5.1.

  [ Albert Astals ]
  * Adapt to Qt 5.1.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 143 (ubuntu-unity/next)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 30 Jul 2013 02:33:12 +0000

unity8 (7.81.3+13.10.20130729ubuntu.unity.next-0ubuntu1) saucy; urgency=low

  [ Michal Hruby ]
  * Remove the variant conversions methods as they were moved to dee-qt.

  [ Michał Sawicz ]
  * Re-enable passphrase tests under UInput.
  * Use the new string categoryIds in custom video and music scope
    views. (LP: #1199322)

  [ Nick Dedekind ]
  * Behavioural changes for indicators - Part 1 - Use standard
    animations. - Search bar animation less distracting. - Hinting
    animation shows header. - Vertical velocity detector to reduce
    accidental menu switches in dragging phase.

  [ Gustavo Pichorim Boiko ]
  * Add entries to the new applications resulted from the split of the
    phone-app.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 141 (ubuntu-unity/next)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 29 Jul 2013 03:41:07 +0000

unity8 (7.81.3+13.10.20130726ubuntu.unity.next-0ubuntu1) saucy; urgency=low

  [ Michal Hruby ]
  * Expose real category ids and not just indices.
  * Provide fallbacks for default renderer.

  [ Daniel d'Andrada ]
  * Give a visual feedback on right-edge drag with no running apps (LP:
    #1116207). (LP: #1116207)

  [ Albert Astals ]
  * Update m_firstVisibleIndex if there's no visible items anymore Also
    remove the check for m_visibleItems.isEmpty() on insert, the
    m_firstVisibleIndex == 0 already protects us against that.

  [ Christopher Lee ]
  * Tests now use a default lightdm mock if not decorated. (LP:
    #1204772)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 135 (ubuntu-unity/next)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 26 Jul 2013 07:06:08 +0000

unity8 (7.81.3+13.10.20130725ubuntu.unity.next-0ubuntu1) saucy; urgency=low

  [ Michal Hruby ]
  * Fix adding items into an empty LVWPH.

  [ Michał Sawicz ]
  * Move to using upstart in run_on_device.
  * Added heeding and qmltest for button-tint hint.
  * Refactoring and cleanup of the Unity8 Autopilot tests.
  * Hide the Unity launcher during autopiloting and skip battery tests
    if unavailable.

  [ Ying-Chun Liu ]
  * Let GenericScope support loading different renderers.

  [ Nick Dedekind ]
  * Removed overview from indicators.
  * Menus for indicators is now created prioritised by distance from
    current item to speed up user experience.
  * Add ApplicationArguments to know the geometry from start.

  [ Mirco Müller ]
  * Added heeding and qmltest for button-tint hint.

  [ Christopher Lee ]
  * Refactoring and cleanup of the Unity8 Autopilot tests.

  [ Thomi Richards ]
  * Refactoring and cleanup of the Unity8 Autopilot tests.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 129 (ubuntu-unity/next)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 25 Jul 2013 03:02:12 +0000

unity8 (7.81.3+13.10.20130718ubuntu.unity.next-0ubuntu1) saucy; urgency=low

  [ Andrea Cimitan ]
  * Add support for the colour palette.

  [ Omer Akram ]
  * fix the calendar icon in the launcher. (LP: #1201905)

  [ Nick Dedekind ]
  * Export indicator plugin symbols using Q_DECL_EXPORT.

  [ Ying-Chun Liu ]
  * Don't include .moc in previewbindingstest.cpp.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 118 (ubuntu-unity/next)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 18 Jul 2013 06:07:00 +0000

unity8 (7.81.3+13.10.20130717ubuntu.unity.next-0ubuntu1) saucy; urgency=low

  [ Daniel d'Andrada ]
  * Remove dead code: Showable::showWithoutAnimation.

  [ Nick Dedekind ]
  * Split Plugins export macro into export_qmlfiles and
    export_qmlplugins. Added qmltypes to indicators plugin.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 112 (ubuntu-unity/next)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 17 Jul 2013 03:14:49 +0000

unity8 (7.81.3+13.10.20130716ubuntu.unity.next-0ubuntu1) saucy; urgency=low

  [ Pete Woods ]
  * Rename the demo user "single" to "phablet" Fix the infographics on
    the device At the moment the mock lightdm backend we are using says
    the current user is called "single", while in reality the processes
    all run as the "phablet" user.

  [ Michał Sawicz ]
  * Only use ppa:ubuntu-unity/next and clean build scripts and CODING,
    accordingly.
  * Do not recommend indicator-power and indicator-sound. On device
    they're provided by lp:indicator-server for the time being.
  * Fix the Network page to provide the correct token. (LP: #1201529)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 109 (ubuntu-unity/next)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 16 Jul 2013 02:32:03 +0000

unity8 (7.81.3+13.10.20130714ubuntu.unity.next-0ubuntu1) saucy; urgency=low

  [ Michael Terry ]
  * Change Ok to OK. (LP: #1131842)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 104 (ubuntu-unity/next)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Sun, 14 Jul 2013 02:31:57 +0000

unity8 (7.81.3+13.10.20130712ubuntu.unity.next-0ubuntu1) saucy; urgency=low

  [ Michael Zanetti ]
  * Make use of the launcher API defined in unity-api and separate the
    model from the backend.

  [ Michał Sawicz ]
  * Issue wrap-and-sort -abt on debian/.

  [ Nick Dedekind ]
  * Moved indicators-client code into unity8. (LP: #1191132, #1191822)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 102 (ubuntu-unity/next)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 12 Jul 2013 02:31:59 +0000

unity8 (7.81.3+13.10.20130711ubuntu.unity.next-0ubuntu1) saucy; urgency=low

  [ Michael Zanetti ]
  * invert the home button too in case the whole panel is inverted. (LP:
    #1199622)

  [ Michał Sawicz ]
  * Make the OpenEffect non-live by default to improve performance. (LP:
    #1124584)

  [ Ying-Chun Liu ]
  * Add Generic Preview. Modify GenericScopeView to support activate and
    preview.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 98 (ubuntu-unity/next)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 11 Jul 2013 03:00:53 +0000

unity8 (7.81.3+13.10.20130710ubuntu.unity.next-0ubuntu1) saucy; urgency=low

  [ Michael Zanetti ]
  * removed unused old file ShortcutsContainer.qml.

  [ Michał Sawicz ]
  * Fix fetching data from scopes in the custom scope pages. (LP:
    #1199322)

  [ Ying-Chun Liu ]
  * Fix references to scope data. (LP: #1199322)

  [ Albert Astals ]
  * Fix showHeader animation when the header is half shown at top .
  * Disable -pedantic on the private Qt headers .

  [ Pawel Stolowski ]
  * Bindings for SocialPreview.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 94 (ubuntu-unity/next)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 10 Jul 2013 02:32:00 +0000

unity8 (7.81.3+13.10.20130709ubuntu.unity.next-0ubuntu1) saucy; urgency=low

  [ Michal Hruby ]
  * Implement CategoryResults based on DeeFilterModel.

  [ Nick Dedekind ]
  * Added plugin cmake procedure for qmltypes files.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 86 (ubuntu-unity/next)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 09 Jul 2013 02:58:58 +0000

unity8 (7.81.3+13.10.20130708ubuntu.unity.next-0ubuntu1) saucy; urgency=low

  [ Michael Terry ]
  * Ensure the past circle animations complete Currently, all the
    animations stop as soon as the present circles are all visible. This
    change ensures that the animations run to completion.

  [ Michael Zanetti ]
  * improve launcher flicking bahavior - fix initial snapping - improve
    foldingAreas behavior - increase clickFlick speed to flick 4 items.

  [ Albert Astals ]
  * Remove workarounds for Qt bug 28403 . (LP: #28403)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 83 (ubuntu-unity/next)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 08 Jul 2013 02:34:23 +0000

unity8 (7.81.3+13.10.20130704ubuntu.unity.next-0ubuntu1) saucy; urgency=low

  [ Didier Roche ]
  * Clean packaging for entering saucy and following daily release guidelines
  * Automatic snapshot from revision 49 (bootstrap)

  [ Michał Sawicz ]
  * Fix unity8.pot file.
  * Support the simplified theming from ubuntu-ui-toolkit.
  * Use AbstractButtons instead of Button { color: "transparent" } that
    doesn't work.

  [ Albert Astals ]
  * ListViewWithPageHeader implementation in C++. (LP: #1171918)
  * LVWPH: Do not crash on showHeader if we don't have a header .
  * Fix bug when setting the same model twice to a QLimitProxyModelQML.
  * Add some const & Saves us some microseconds in copying stuff.

  [ Daniel d'Andrada ]
  * Make Greeter and Stage use the new DragHandle component. So they no
    longer use Revealers. Now a directional drag gesture is required to
    start the animation that brings back a "minimized" application when
    the dash is on foreground. Besides that, now they have the following
    feature:  - Action only completes succesfully if you drag through at
    least half the    screen width or if your swipe is fast enough. The
    shorter the swipe, the faster it has to be for the action to auto-
    complete.
  * DirectionalDragArea: add touchSceneX, touchSceneY, and sceneDistance
    properties.
  * DirectionalDragArea: emit draggingChanged() on direct recognition
    draggingChanged() should be emited when status change from
    WaitingForTouch directly to Recognized.
  * update CODING instructions for building & running.
  * DragHandle: add stretch and hintDisplacement properties.
  * DragHandle: fix hinting Revision 64 had a bad interaction with
    revision 66 (that added line was lost in the merge/rebase process).
    tst_DragHandle::hintingAnimation() points out the problem (fails on
    line 388).
  * Make Panel use DragHandles instead of a Revealer - A directional
    drag gesture is needed reveal the panel when fullscreen. - better
    logic for deciding when to auto-complete the show/hide animation -
    hinting animation to close the panel - Tapping on menu bar no longer
    opens nearest indicator menu - No closing with handle click.

  [ mhall119 ]
  * Fix build script error from extra blank line. (LP: #1196322)

  [ Nick Dedekind ]
  * Changed shellImportPath to return a list of paths. Added
    prependImportPaths and changed appendImportPaths to check for
    duplicates.

  [ Mirco Müller ]
  * Added support and tests for expanding snap-decisions with more than
    2 actions passed in.

  [ Michael Zanetti ]
  * As requested by design, decreasing wobblyness in the
    WrongPasswordAnimation.
  * improve the bzr commit hook - don't run qmltests in here, it takes
    too long - don't abort commit on failed tests, its too annoying -
    instead, print a fat warning and backup the commit message to be
    reused after uncommitting and fixing the tests.
  * edge hinting tweaks - change edge hinting behavior to only happen on
    onPressed and immediately snap back - fix edge hinting to not happen
    if the Greeter is locked .

  [ Michael Terry ]
  * Fix "Tap to Unlock" text not appearing when in tablet greeter mode
    with only one user.
  * Use libusermetrics to provide infographic data.
  * Delete builddir/ when running "debuild clean".

  [ Pawel Stolowski ]
  * Bindings for preview and activation requests.

  [ Kevin Gunn ]
  * update CODING instructions for building & running.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 78 (ubuntu-unity/next)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 04 Jul 2013 12:44:19 +0000

unity8 (7.81.3) UNRELEASED; urgency=low

  * Choose more appropriate values for edge-drag gestures (LP: #1194150)

 -- Daniel d'Andrada <daniel.dandrada@canonical.com>  Fri, 28 Jun 2013 16:28:24 -0300

unity8 (7.81.2) saucy; urgency=low

  * Translation updates.

  [ Michał Sawicz ]
  * Fix icons in ApplicationsFilterGrid.qml.
  * Support flipped image in run_on_device.

  [ Michael Zanetti ]
  * Don't clear lockscreen when it's fading out.
  * Reworked Launcher folding.
  * Tweak Launcher revealing.

  [ Michal Hruby ]
  * Add content_type property to category models.

 -- Michał Sawicz <michal.sawicz@canonical.com>  Wed, 26 Jun 2013 18:10:39 +0200

unity8 (7.81.1) saucy; urgency=low

  * Translation updates.

  [ Michał Sawicz ]
  * Don't limit installed apps.
  * Pre-optimize PNGs to speed-up builds.
  * Clean up build scripts.

  [ Daniel d'Andrada ]
  * Use DirectionalDragArea in BottomBar.

 -- Michał Sawicz <michal.sawicz@canonical.com>  Fri, 21 Jun 2013 17:37:02 +0200

unity8 (7.81.0) saucy; urgency=low

  * Translation updates.

  [ Michał Sawicz ]
  * Drop People lens.
  * Support git-backed checkout.
  * Revert focus stealing prevention for new apps. Fixes:
    https://bugs.launchpad.net/bugs/1190155.
  * Update CODING after unity8 rename.
  * Update translation template file.
  * Fix notification placement.

  [ Michael Terry ]
  * Show login list when not in narrow mode, instead of only when we have
    multiple users.

  [ Günter Schwann ]
  * Bring back ListView'ed Carousel now that Qt is fixed.

  [ Daniel d'Andrada ]
  * Stage: code cleanup.
  * DirectionalDragArea: added minSpeed and maxSilenceTime constraints.
  * Move Direction enum out of DirectionalDragArea.
  * Added uqmlscene tool and tryFoo targets for manual testing.

  [ Michael Zanetti ]
  * Add Lockscreens.
  * Added right edge hinting to greeter.

  [ Nick Dedekind ]
  * Added Dash tests.

  [ Nicolas d'Offay ]
  * Changed infographic gradient colours.

  [ Mirco Müller ]
  * Integrate notifications.

  [ Pawel Stołowski ]
  * New version with support for smart scopes.

 -- Michał Sawicz <michal.sawicz@canonical.com>  Fri, 14 Jun 2013 12:56:17 +0200

unity8 (7.80.0) saucy; urgency=low

  * Rename to unity8.

 -- Michał Sawicz <michal.sawicz@canonical.com>  Tue, 04 Jun 2013 14:45:29 +0200

qml-phone-shell (1.80) raring; urgency=low

  * Focus/unfocus apps on lock/unlock to make sure keyboard is hidden.

 -- Michał Sawicz <michal.sawicz@canonical.com>  Sat, 01 Jun 2013 00:31:03 +0200

qml-phone-shell (1.79) raring; urgency=low

  [ Michael Terry ]
  * Make greeter look like the desktop one

  [ Gerry Boland ]
  * Fix a bug where a minimized app gets focus after closing another app
  * Applied a workaround to reduce flickering when launching apps

  [ Ying-Chun Liu (PaulLiu) ]
  * Make the panel translatable

  [ Michael Zanetti ]
  * Limit people lens to max 50 people. More people can be found with search feature.

 -- Michael Zanetti <michael.zanetti@canonical.com>  Fri, 24 May 2013 17:06:05 +0200

qml-phone-shell (1.78) raring; urgency=low

  [ Sergio Schvezov ]
  * Replacing the music and ski safari mock apps with calendar and weather in
    the launcher (LP: #1178262).

  [ Daniel d'Andrada ]
  * Support pointer-to-touch event conversion for desktop testing.
  * Use DirectionalDragArea in the Launcher.
  * Add AxisVelocityCalculator component.
  * Use touch instead of pointer interaction in autopilot.

  [ Nick Dedekind ]
  * Enable indicators in greeter.
  * Add DashContent tests.

  [ Michael Terry ]
  * Split mock and test LightDM plugins.
  * Add support for more PAM/LightDM features in the greeter.

  [ Ying-Chun Liu (PaulLiu) ]
  * Add i18n support.
  * Add libc6-dev to Build-Depends.

  [ Michał Sawicz ]
  * Unlock onFocusRequested to unlock on incoming call (LP: #1181654).
  * Use device-services in run_on_device.
  * Filter input in greeter. (LP: #1185443).

  [ Albert Astals Cid ]
  * Remove FilterGrid dimensions bahavior.

  [ Ubuntu Translators Team ]
  * Added translations for 36 languages. Thanks!

  [ Michael Zanetti ]
  * Fix autopilot tests on devices.

 -- Michał Sawicz <michal.sawicz@canonical.com>  Fri, 24 May 2013 17:06:05 +0200

qml-phone-shell (1.77) raring; urgency=low

  [ Mathieu Trudel-Lapierre ]
  * debian/control:
    - Drop indicators-client-plugin* Depends for qml-phone-shell to Recommends.
    - Add/update Vcs-Browser, Vcs-Bzr and add a notice to uploaders.
  * debian/copyright: fix syntax.

  [ Michał Sawicz ]
  * Drop indicators-client-examples recommends altogether

  [ Renato Araujo Oliveira Filho ]
  * Renamed Media player files to match with new application name.

  [ Daniel d'Andrada ]
  * New: DirectionalDragArea component. An area that detects axis-aligned
    single-finger drag gestures.
  * Make it possible to send touch events from within QML test code.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 26 Apr 2013 11:15:00 -0400

qml-phone-shell (1.76) raring; urgency=low

  [ Albert Astals Cid ]
  * Remove QSortFilterProxyModelQML::get() to ensure per-role fetching
  * Highlight matching strings in the HUD
  [ Michał Sawicz ]
  * Dropped support for 12.10
  [ Michael Zanetti ]
  * Update autopilot tests for 1.3 release
  [ Andrea Cimitan ]
  * Use SDK's Panel - enable swipe from bottom to reveal Dash bottom bar
  [ Michael Terry ]
  * Introduce a mock LightDM plugin to prepare for real switch
  [ Daniel d'Andrada ]
  * Move definition of global test targets to main tests CMakeLists file
  [ Mirco Müller ]
  * Introduce Notifications UI, currently only driven by tests

 -- Michał Sawicz <michal.sawicz@canonical.com>  Thu, 16 May 2013 15:52:18 +0200

qml-phone-shell (1.75) raring; urgency=low

  * Fix search history in the dash
  * Hud: No appstack anymore
  * Hud: Support having toolbar items enabled/disabled
  * Hud: remove the app quit toolbar item
  * Tweak to improve the switch application animation
  * Correctly load icons when running on the desktop
  * Use real enum from ApplicationInfo instead of its counterfeit local version
  * Added gdb debugging (-g/--gdb) run_on_device option
  * Drop support for quantal in build_unity script
  * Make out of source builds work in sibling directories
  * Clean up debian/control
  * Build with the new Qt 5.0.2 packages
  * Tests for:
    * IndicatorMenuWindow
    * PeopleFilterGrid

 -- Albert Astals Cid <albert.astals@canonical.com>  Thu, 09 May 2013 15:10:03 +0200

qml-phone-shell (1.74) raring; urgency=low

  [ Albert Astals Cid ]
  * Use new HUD api
  * Improvements to build and run scripts
  * Test for GenericLensView
  * Use -z defs for SHARED and MODULE libraries

 -- Sergio Schvezov <sergio.schvezov@canonical.com>  Fri, 26 Apr 2013 13:14:03 -0300

qml-phone-shell (1.73) raring; urgency=low

  [ Albert Astals ]
  * No need to include lens.h in peoplepreviewdata.h
  * Bumping libhud dependency to use the new libhud-client2

  [ Andrea Cimitan ]
  * Adds test for LensView

  [ Michael Zanetti ]
  * Fix execution of local autopilot tests

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Thu, 25 Apr 2013 13:46:23 -0300

qml-phone-shell (1.72) raring; urgency=low

  * bring greeter closer to desktop design
  * simplify SortFilterProxyModel role management
  * CMake and build script improvements
  * enable volume slider in Overview
  * clean up .bzrignore
  * flatten qmluitests and unittests into generic qmltests
  * split out LimitProxyModel out of SortFilterProxyModel
  * replace fake QML wrappers for Ubuntu.Application with a mock
    implementation
  * hide Frequent and Available categories in Apps lens during search
    (LP: #1170495)
  * add first test utilities
  * use fake Unity plugin for Dash tests
  * generate and package API docs
  * close applications after long-press in dash
  * simplify preview calculation
  * tests for:
    * bad indentation
    * Panel
    * indicators Overview
    * IndicatorItem
    * ListViewWithPageHeader
    * Clock
    * OpenEffect
    * FilterGrids
    * MenuContent
    * header standalone compilation

 -- Michał Sawicz <michal.sawicz@canonical.com>  Fri, 19 Apr 2013 21:16:50 +0200

qml-phone-shell (1.71) quantal; urgency=low

  * add missing python3 dependency

 -- Michał Sawicz <michal.sawicz@canonical.com>  Thu, 11 Apr 2013 17:11:15 +0200

qml-phone-shell (1.70) quantal; urgency=low

  * CMake fixes
  * improve HUD PeakDetector performance
  * initial QML coverage measurement
  * enable coverage analysis for C/C++
  * require out-of-source builds
  * fix incorrect linkage in hudclient.cpp
  * reduce warnings
  * add an optional on-commit test hook
  * tests for:
    * IndicatorRow
    * Tile
    * SearchIndicator
    * trailing whitespace
    * PageHeader
    * SearchHistoryModel
    * ResponsiveFlowView
    * SideStage
    * Indicators
  * move tests into subdirectories
  * increase test setup consistency
  * remove some dead code
  * register CategoryFilter to QML
  * use a static python install path for autopilot
  * merge first stages of libunity-api
  * drop unneeded moc includes

 -- Michał Sawicz <michal.sawicz@canonical.com>  Thu, 11 Apr 2013 14:42:22 +0200

qml-phone-shell (1.69) quantal; urgency=low

  [ Sergio Schvezov ]
  * Removing mocks for calendar, clock and calculator.

  [ Michał Sawicz ]
  * Add entries needed in the .desktop file and change the name and comment.

 -- Sergio Schvezov <sergio.schvezov@canonical.com>  Thu, 04 Apr 2013 19:32:06 -0300

qml-phone-shell (1.68) quantal; urgency=low

  * fix launching SideStage apps when there's no side stage
  * CMake cleanups
  * prevent breakage of local builds
  * added README for qmluitests

 -- Michał Sawicz <michal.sawicz@canonical.com>  Thu, 04 Apr 2013 02:02:27 +0200

qml-phone-shell (1.67) quantal; urgency=low

  * use real data in Apps lens Installed category
  * add --clean option in build scripts
  * add CODING guide
  * install test dependencies in build scripts
  * fix phone app name
  * Tests for:
    * Showable
    * Launcher
    * HUD parametrized actions

 -- Michał Sawicz <michal.sawicz@canonical.com>  Wed, 03 Apr 2013 00:11:00 +0200

qml-phone-shell (1.66) quantal; urgency=low

  * Revert Carousel changes due to crash

 -- Michał Sawicz <michal.sawicz@canonical.com>  Thu, 28 Mar 2013 10:51:20 +0100

qml-phone-shell (1.65) quantal; urgency=low

  * Modifying build dep to require python

 -- Sergio Schvezov <sergio.schvezov@canonical.com>  Wed, 27 Mar 2013 16:07:10 -0300

qml-phone-shell (1.64) quantal; urgency=low

  * Rename ubuntu-gallery to gallery-app
  * Resetting Apps lens content position when swiping from left
  * Make the previews more flexible with different screen sizes
  * Tests for:
    * HUD
    * ResponsiveGridView

 -- Albert Astals Cid <albert.astals@canonical.com>  Wed, 20 Mar 2013 17:44:44 +0100

qml-phone-shell (1.63) quantal; urgency=low

  * Rename telephony-app to phone-app
  * notepad-qml has been renamed to notes-app
  * Use a ListView for the Carousel component for scalability
  * Make sure the greeter stays usable for smaller screens
  * Elide username in greeter when too long
  * Improve Carousel creation time
  * CrossFadeImage fixes
  * Fixed play button size
  * Remove unused files
  * Tests for:
    * Revealer
    * HUD
    * Greeter
    * FilterGrid
    * CrossFadeImage

 -- Albert Astals Cid <albert.astals@canonical.com>  Tue, 19 Mar 2013 17:43:21 +0100

qml-phone-shell (1.62) quantal; urgency=low

  * Use one SpecialItem in HUD AppStack
  * Remove outdated manual tests
  * Improve build scripts
  * Hook up other HUD Toolbar actions
  * Tests for:
    * HUD
    * Time.js
    * AnimationControllerWithSignals
    * Carousel
  * Autopilot test framework
  * Force build-dep at python2.7
  * Suppress warnings

 -- Michał Sawicz <michal.sawicz@canonical.com>  Fri, 15 Mar 2013 16:26:22 +0100

qml-phone-shell (1.61) quantal; urgency=low

  * Rename ubuntu-browser to webbrowser-app.

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 08 Mar 2013 15:55:36 +0100

qml-phone-shell (1.60) quantal; urgency=low

  * Fixes in sidestage
  * Reduce memory consumption
  * Introduced testing

 -- Michael Zanetti <michael.zanetti@canonical.com>  Thu, 07 Mar 2013 12:04:19 +0100

qml-phone-shell (1.59) quantal; urgency=low

  * Window management: update screenshots manually and only when an application in focus goes out out focus.
  * Dash apps lens: use screenshot of applications from cache when going back to dash.

 -- Florian Boucault <florian.boucault@canonical.com>  Sat, 23 Feb 2013 17:48:23 +0000

qml-phone-shell (1.58) quantal; urgency=low

  * Sidestage: make the handle bigger to make it easier to grab.

 -- Florian Boucault <florian.boucault@canonical.com>  Fri, 22 Feb 2013 23:20:16 +0000

qml-phone-shell (1.57) quantal; urgency=low

  * fix right-edge swipe breaking

 -- Gerry Boland <gerry.boland@canonical.com>  Wed, 20 Feb 2013 14:37:25 +0000

qml-phone-shell (1.56) quantal; urgency=low

  * use ApplicationManager.keyboardVisible and keyboardHeight for system-wide
    keyboard detection

 -- Florian Boucault <florian.boucault@canonical.com>  Wed, 20 Feb 2013 07:05:49 +0000

qml-phone-shell (1.55) quantal; urgency=low

  * fix seeing flash of previous application when launching a new one

 -- Florian Boucault <florian.boucault@canonical.com>  Wed, 20 Feb 2013 06:15:01 +0000

qml-phone-shell (1.54) quantal; urgency=low

  * fix quitting last application again

 -- Florian Boucault <florian.boucault@canonical.com>  Wed, 20 Feb 2013 03:39:17 +0000

qml-phone-shell (1.53) quantal; urgency=low

  * fix activation of incorrect application
  * fix home lens population and increase initial lens search delay
  * reduce the times of image reloads in carousels
  * reduce memory consumption by tweaking the background images
  * indicator visual and behaviour fixes
  * reduce search crash probability
  * fix panel over greeter when fullscreen app open
  * fix sidestage after quitting last mainstage app

 -- Michał Sawicz <michal.sawicz@canonical.com>  Wed, 20 Feb 2013 01:47:27 +0100

qml-phone-shell (1.52) quantal; urgency=low

  * fix launcher for password-protected users
  * fix ebay link for ebay web app
  * allow launching arbitrary apps from command line
  * show sidestage on sidestage app activation
  * add sidestage support to the HUD
  * disable main stage's right edge when sidestage is enabled
  * destroy greeter contents when hidden to save memory
  * fix indicators height
  * visual fixes to HUD
  * remove spotify from dash
  * show dash after closing last application
  * rename qmlproject to unity
  * add Lenses::loaded property to prevent acting on non-ready Lens
    objects

 -- Michał Sawicz <michal.sawicz@canonical.com>  Mon, 18 Feb 2013 17:51:34 +0100

qml-phone-shell (1.51) quantal; urgency=low

  * use lens data in home
  * increase flicking velocity in dash

 -- Michał Sawicz <michal.sawicz@canonical.com>  Sat, 16 Feb 2013 20:59:58 +0100

qml-phone-shell (1.50) quantal; urgency=low

  * New side stage feature.
  * Implemented support for volume control using hardware keys.
  * reduce the edge detection size to 2 GUs.
  * use mock music lens.
  * add an "expandable" property to FilterGrid.
  * Use the current time as a icon for Time&Date device menu item. Missing device menu plane and volume icons added.
  * decrease delegate height for those showing contact details.
  * adjust music and videos lens to latest design spec.

 -- Florian Boucault <florian.boucault@canonical.com>  Sat, 16 Feb 2013 02:50:24 +0000

qml-phone-shell (1.49) quantal; urgency=low

  * fix people preview
  * show page headers when switching lenses

 -- Michał Sawicz <michal.sawicz@canonical.com>  Fri, 15 Feb 2013 11:12:37 +0100

qml-phone-shell (1.48) quantal; urgency=low

  * more HUD fixes
  * bottom bar fullscreen behavior fix
  * clean up stage implementation
  * reduce memory footprint by reducing image sizes

 -- Michał Sawicz <michal.sawicz@canonical.com>  Fri, 15 Feb 2013 01:49:05 +0100

qml-phone-shell (1.47) quantal; urgency=low

  * darken view on open indicators
  * design tweaks for HUD, people lens and video preview
  * added carousel in music lens
  * workaround people lens performance
  * add carousel in people lens and use real data in Home people carousel

 -- Michał Sawicz <michal.sawicz@canonical.com>  Wed, 13 Feb 2013 22:00:32 +0100

qml-phone-shell (1.46) quantal; urgency=low

  * new people preview
  * HUD fixes
  * fullscreen mode support
  * use external mock lens for videos
  * rework bottombar communication due to PID mismatch
  * improve unity build script
  * rename ubuntu-gallery
  * connect up the HUD quit button
  * unfocus HUD text entry on speech recognition
  * carousel fixes for low item count
  * new greeter

 -- Michał Sawicz <michal.sawicz@canonical.com>  Tue, 12 Feb 2013 10:24:09 +0100

qml-phone-shell (1.45) quantal; urgency=low

  * new people carousel
  * integration of voice and parametrized actions in HUD
  * xml-based user list for greeter
  * new people lens layout
  * refactored top panel

 -- Michał Sawicz <michal.sawicz@canonical.com>  Sun, 10 Feb 2013 13:06:25 +0100

qml-phone-shell (1.44) quantal; urgency=low

  * latest designs for greeter and video preview
  * initial integration with HUD service
  * HUD parametrized actions UI
  * licensing and packaging fixes
  * asynchronous loading in video preview to reduce delay
  * search support in People and Generic lens views

 -- Michał Sawicz <michal.sawicz@canonical.com>  Fri, 08 Feb 2013 00:34:18 +0100

qml-phone-shell (1.43) quantal; urgency=low

  * carousel view in dash
  * smarter dash categories
  * generic lens view
  * fixes to HUD
  * fix launching gallery
  * close preview when launching player
  * run_on_device tweaks

 -- Michał Sawicz <michal.sawicz@canonical.com>  Wed, 06 Feb 2013 20:34:28 +0100

qml-phone-shell (1.42) quantal; urgency=low

  * restore video playback

 -- Michał Sawicz <michal.sawicz@canonical.com>  Tue, 05 Feb 2013 23:42:07 +0100

qml-phone-shell (1.41) quantal; urgency=low

  * Video previews
  * run_on_device is tunneled through adb forward

 -- Michael Zanetti <michael.zanetti@canonical.com>  Tue, 05 Feb 2013 17:46:57 +0100

qml-phone-shell (1.40) quantal; urgency=low

  * Fix missing installed files

 -- Albert Astals Cid  <albert.astals@canonical.com>  Tue, 05 Feb 2013 11:26:46 +0100

qml-phone-shell (1.39) quantal; urgency=low

  * HUD ui with fake data

 -- Albert Astals Cid  <albert.astals@canonical.com>  Mon, 04 Feb 2013 18:48:39 +0100

qml-phone-shell (1.38) quantal; urgency=low

  * fix launching of notepad

 -- Bill Filler <bill.filler@canonical.com>  Fri, 01 Feb 2013 03:21:29 -0500

qml-phone-shell (1.37) quantal; urgency=low

  * QT_QPA_PLATFORM was renamed from hybris to ubuntu, so reflecting at the
    env variable to make it to work fullscreen at the devices again

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Fri, 01 Feb 2013 02:35:44 -0500

qml-phone-shell (1.36) quantal; urgency=low

  * launch real notepad app
  * fix launching of mock apps

 -- Bill Filler <bill.filler@canonical.com>  Thu, 31 Jan 2013 21:36:05 -0500

qml-phone-shell (1.35) quantal; urgency=low

  * integrate ubuntu-browser instead of snowshoe

 -- Bill Filler <bill.filler@canonical.com>  Thu, 31 Jan 2013 17:33:37 -0500

qml-phone-shell (1.34) quantal; urgency=low

  * Qt5-proper release

 -- Michał Sawicz <michal.sawicz@canonical.com>  Thu, 31 Jan 2013 17:34:06 +0000

qml-phone-shell (1.33) quantal; urgency=low

  * New release

 -- Florian Boucault <florian.boucault@canonical.com>  Thu, 17 Jan 2013 07:39:47 +0700

qml-phone-shell (1.32) quantal; urgency=low

  * New release

 -- Michał Sawicz <michal.sawicz@canonical.com>  Fri, 21 Dec 2012 21:49:43 +0100

qml-phone-shell (1.31) quantal; urgency=low

  * New release

 -- Michał Sawicz <michal.sawicz@canonical.com>  Fri, 21 Dec 2012 02:06:37 +0100

qml-phone-shell (1.30) quantal; urgency=low

  * New release

 -- Michał Sawicz <michal.sawicz@canonical.com>  Wed, 19 Dec 2012 19:29:40 +0100

qml-phone-shell (1.29) quantal; urgency=low

  * New release

 -- Florian Boucault <florian.boucault@canonical.com>  Wed, 19 Dec 2012 00:07:55 +0000

qml-phone-shell (1.28) quantal; urgency=low

  * New release

 -- Florian Boucault <florian.boucault@canonical.com>  Tue, 18 Dec 2012 19:03:04 +0000

qml-phone-shell (1.27) quantal; urgency=low

  * New release

 -- Michał Sawicz <michal.sawicz@canonical.com>  Tue, 18 Dec 2012 02:22:35 +0100

qml-phone-shell (1.26) quantal; urgency=low

  * New release

 -- Florian Boucault <florian.boucault@canonical.com>  Fri, 14 Dec 2012 18:17:40 +0000

qml-phone-shell (1.25) quantal; urgency=low

  * New release

 -- Florian Boucault <florian.boucault@canonical.com>  Thu, 13 Dec 2012 22:51:56 +0000

qml-phone-shell (1.24) quantal; urgency=low

  * New release

 -- Florian Boucault <florian.boucault@canonical.com>  Wed, 12 Dec 2012 21:49:50 +0000

qml-phone-shell (1.23) quantal; urgency=low

  * New release

 -- Florian Boucault <florian.boucault@canonical.com>  Tue, 11 Dec 2012 20:38:08 +0000

qml-phone-shell (1.22) quantal; urgency=low

  * New release

 -- Florian Boucault <florian.boucault@canonical.com>  Tue, 11 Dec 2012 00:13:16 +0000

qml-phone-shell (1.21) quantal; urgency=low

  * New release with fullscreen launcher fixes

 -- Bill Filler <bill.filler@canonical.com>  Fri, 07 Dec 2012 09:36:37 +0000

qml-phone-shell (1.20) quantal; urgency=low

  * New release

 -- Florian Boucault <florian.boucault@canonical.com>  Thu, 06 Dec 2012 16:53:05 +0000

qml-phone-shell (1.19) quantal; urgency=low

  * enable multi-threaded render for apps

 -- Bill Filler <bill.filler@canonical.com>  Wed, 05 Dec 2012 17:34:09 +0000

qml-phone-shell (1.18) quantal; urgency=low

  [ Bill Filler ]
  * update launcher to use wk2-render (chromeless webkit) for facebook
    and twitter

 -- Florian Boucault <florian.boucault@canonical.com>  Wed, 05 Dec 2012 12:20:50 +0000

qml-phone-shell (1.17) quantal; urgency=low

  * New release

 -- Florian Boucault <florian.boucault@canonical.com>  Sat, 01 Dec 2012 01:18:03 +0000

qml-phone-shell (1.16) quantal; urgency=low

  * fix to launch new gallery with correct args

 -- Bill Filler <bill.filler@canonical.com>  Thu, 29 Nov 2012 17:04:36 -0500

qml-phone-shell (1.15) quantal; urgency=low

  * New release

 -- Florian Boucault <florian.boucault@canonical.com>  Wed, 28 Nov 2012 20:35:03 +0000

qml-phone-shell (1.14) quantal; urgency=low

  * New release

 -- Florian Boucault <florian.boucault@canonical.com>  Mon, 26 Nov 2012 21:39:36 +0000

qml-phone-shell (1.13) quantal; urgency=low

  * New release

 -- Florian Boucault <florian.boucault@canonical.com>  Fri, 23 Nov 2012 19:47:54 +0000

qml-phone-shell (1.12) quantal; urgency=low

  * Daily release

 -- Florian Boucault <florian.boucault@canonical.com>  Thu, 22 Nov 2012 10:21:11 +0000

qml-phone-shell (1.11) quantal; urgency=low

  * Daily release

 -- Florian Boucault <florian.boucault@canonical.com>  Wed, 21 Nov 2012 22:06:38 +0000

qml-phone-shell (1.10) quantal; urgency=low

  * Daily release

 -- Florian Boucault <florian.boucault@canonical.com>  Wed, 21 Nov 2012 01:04:32 +0000

qml-phone-shell (1.9) quantal; urgency=low

  * New release

 -- Florian Boucault <florian.boucault@canonical.com>  Mon, 19 Nov 2012 18:55:51 +0000

qml-phone-shell (1.8) quantal; urgency=low

  [ Michał Sawicz ]
  * new codebase

 -- Florian Boucault <florian.boucault@canonical.com>  Fri, 09 Nov 2012 00:15:19 +0000

qml-phone-shell (1.2) quantal; urgency=low

  * fix working dir for launch
  * launch script that sets up ofono and then calls telephony-app

 -- Bill Filler <bill.filler@canonical.com>  Mon, 05 Nov 2012 17:28:31 -0500

qml-phone-shell (1.1) quantal; urgency=low

  * comment out console.log() to prevent crash

 -- Bill Filler <bill.filler@canonical.com>  Sun, 28 Oct 2012 22:18:36 +0100

qml-phone-shell (1.0) quantal; urgency=low

  * Remove install rule for qml-phone-shell.conf

 -- Ricardo Mendoza <ricardo.mendoza@canonical.com>  Fri, 26 Oct 2012 12:09:03 -0430

qml-phone-shell (0.9) quantal; urgency=low

  * Remove qml-phone-shell.conf to use new ubuntu-session.

 -- Ricardo Mendoza <ricardo.mendoza@canonical.com>  Fri, 26 Oct 2012 11:10:04 -0430

qml-phone-shell (0.8) quantal; urgency=low

  * Fix for both size and scrolling.

 -- Michael Frey <michael.frey@canonical.com>  Thu, 25 Oct 2012 14:28:46 +0200

qml-phone-shell (0.7) quantal; urgency=low

  [Michael Frey]
  * qml-phone-shell.conf: better setup of env vars and launch
    via dbus-luanch to properly setup session bus
  * shellapplication.cpp: don't setup custom env before launching
    processes

 -- Bill Filler <bill.filler@canonical.com>  Sun, 21 Oct 2012 11:32:42 +0200

qml-phone-shell (0.6) quantal; urgency=low

  * added additional Android env vars to upstart script

 -- Bill Filler <bill.filler@canonical.com>  Fri, 19 Oct 2012 09:35:25 -0400

qml-phone-shell (0.5) quantal; urgency=low

  * added support to launch telephony-app

 -- Bill Filler <bill.filler@canonical.com>  Thu, 18 Oct 2012 13:45:25 -0400

qml-phone-shell (0.4) quantal; urgency=low

  * Creating a release

 -- Sergio Schvezov <sergio.schvezov@canonical.com>  Mon, 15 Oct 2012 13:05:34 -0300

qml-phone-shell (0.3) quantal; urgency=low

  * added support for launching applications

 -- Bill Filler <bill.filler@canonical.com>  Fri, 12 Oct 2012 12:42:33 -0400

qml-phone-shell (0.2) quantal; urgency=low

  * New release that includes upstart support.

 -- Tony Espy <espy@canonical.com>  Thu, 11 Oct 2012 17:18:07 -0400

qml-phone-shell (0.1) quantal; urgency=low

  * Initial release

 -- Bill Filler <bill.filler@canonical.com>  Wed, 10 Oct 2012 10:19:53 -0400
unity8 (8.15+17.04.20170404.7-0ubuntu2) zesty; urgency=medium

  [ Michael Zanetti ]
  * Make the default store uri point to gnome software center

